package com.ces.web.nj.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author YYB
 */
@Controller
@RequestMapping("/nj")
@RequiresRoles({Constant.RoleCode.NJ})
public class NJController {

    @GetMapping
    public ModelAndView njIndex() {
        return new ModelAndView("nj/areaPlan");
    }

    @GetMapping("/onefloor")
    public ModelAndView onefloorIndex() {
        return new ModelAndView("nj/onefloor");
    }

    @GetMapping("/twofloor")
    public ModelAndView twofloorIndex() {
        return new ModelAndView("nj/twofloor");
    }

    @GetMapping("/xxyfloor")
    public ModelAndView xxyfloorIndex() {
        return new ModelAndView("nj/xxyfloor");
    }

    @GetMapping("/cfloor")
    public ModelAndView cfloorIndex() {
        return new ModelAndView("nj/cfloor");
    }

    @GetMapping("/hjfloor")
    public ModelAndView hjfloorIndex() {
        return new ModelAndView("nj/hjfloor");
    }

    @GetMapping("/ywfloor")
    public ModelAndView ywfloorIndex() {
        return new ModelAndView("nj/ywfloor");
    }

    @GetMapping("/twodoor")
    public ModelAndView twodoorIndex() {
        return new ModelAndView("nj/twodoor");
    }
}
