package com.ces.web.xinshoufan.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("/xsf")
@RequiresRoles({Constant.RoleCode.XSF})
public class XinshoufanController {

    /**
     * 进入新收犯首页
     * @return
     */
    @GetMapping
    public ModelAndView xinshoufanIndex(){
        return new ModelAndView("xsf/areaPlan");
    }


    @GetMapping("/jqone")
    public ModelAndView jqoneIndex(){
        return new ModelAndView("xsf/jqone");
    }

    @GetMapping("/jqtwo")
    public ModelAndView jqtwoIndex(){
        return new ModelAndView("xsf/jqtwo");
    }

    @GetMapping("/jqthere")
    public ModelAndView jqthereIndex(){
        return new ModelAndView("xsf/jqthere");
    }

    @GetMapping("/jqfour")
    public ModelAndView jqfourIndex(){
        return new ModelAndView("xsf/jqfour");
    }

    @GetMapping("/jqfive")
    public ModelAndView jqfiveIndex(){
        return new ModelAndView("xsf/jqfive");
    }

    @GetMapping("/jqseven")
    public ModelAndView jqsevenIndex(){
        return new ModelAndView("xsf/jqseven");
    }

    @GetMapping("/jqeight")
    public ModelAndView jqeightIndex(){
        return new ModelAndView("xsf/jqeight");
    }

    @GetMapping("/jqnine")
    public ModelAndView jqnineIndex(){
        return new ModelAndView("xsf/jqnine");
    }
}
