<%@ page import="com.ces.common.constant.Constant" %>
<%@ page import="org.apache.shiro.SecurityUtils" %>
<%@ page import="com.ces.framework.shiro.dto.UserDTO" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://shiro.apache.org/tags" prefix="shiro"%>
<%
    request.setAttribute("ctx", request.getContextPath());

    pageContext.setAttribute("role_code_wgs", Constant.RoleCode.WGS);
    pageContext.setAttribute("role_code_bs", Constant.RoleCode.BS);
    pageContext.setAttribute("role_code_bxj", Constant.RoleCode.BXJ);
    pageContext.setAttribute("role_code_nh", Constant.RoleCode.NH);
    pageContext.setAttribute("role_code_nj", Constant.RoleCode.NJ);
    pageContext.setAttribute("role_code_qp", Constant.RoleCode.QP);
    pageContext.setAttribute("role_code_wjc", Constant.RoleCode.WJC);
    pageContext.setAttribute("role_code_xsf", Constant.RoleCode.XSF);
    pageContext.setAttribute("role_code_zyy", Constant.RoleCode.ZYY);
    pageContext.setAttribute("role_code_zp", Constant.RoleCode.ZP);
%>
<script>
    let ctx = '${ctx}';

</script>
<script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
<script src="${ctx}/static/js/kmedia-uni.js"></script>
<script src="${ctx}/static/js/main.js"></script>
<script src="${ctx}/static/js/rem.js"></script>
<script src="${ctx}/static/js/popper.min.js"></script>
<script src="${ctx}/static/libs/layer/layer.js"></script>
<link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
<link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
<link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>

<div class="logout">
    <a href="javascript:;">退出登录</a>
</div>

<script>
    $(function () {
        $(".logout a").click(function () {
            layer.confirm('是否确定退出登录？', {
                title: '提示信息',
                btn: ['确定','取消']
            }, function(){
                window.location.href = '${ctx}/login';
            }, function(){

            });
        })
    })
</script>
<style>
    .logout{
        position: fixed;
        top: 25px;
        right: 30px;
    }
    .logout a{
        color: #fff!important;
        font-size: 16px;
        text-decoration: none;
    }
    .logout a:hover{
        color: #fff!important;
    }
    .layui-layer-dialog .layui-layer-content{
        color: #333!important;
    }
    .layui-layer-btn a{
        font-size: 14px!important;
    }
    .layui-layer-msg .layui-layer-content{
        color: #fff!important;
    }
</style>