<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nh">二号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>13</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>45</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>46</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            // 左1
            {top: '64.68%', left: '10.59%', gbid: '31011500001320002260'},
            {top: '91.87%', left: '2.90%', gbid: '31011500001320002104'},
            // 中上
            {top: '1.49%', left: '29.21%', gbid: '31011500001320002100'},
            {top: '1.49%', left: '71.01%', gbid: '31011500001320002266'},
            // 中左
            {top: '21.72%', left: '26.87%', gbid: '31011500001320002257'},
            {top: '42.79%', left: '26.87%', gbid: '31011500001320002263'},
            {top: '66.17%', left: '26.87%', gbid: '31011500001320002102'},
            // 中右
            {top: '31.51%', left: '70.90%', gbid: '31011500001320002264'},
            {top: '66.17%', left: '70.90%', gbid: '31011500001320002101'},
            // 下
            {top: '90.71%', left: '23.97%', gbid: '31011500001320002259'},
            {top: '93.86%', left: '47.16%', gbid: '31011500001320002261'},
            {top: '90.71%', left: '66.44%', gbid: '31011500001320002383'},
            {top: '90.71%', left: '87.29%', gbid: '31011500001320002258'}
        ],
        'arr2': [
            // 浴室左1
            {top: '19.73%', left: '9.70%', gbid: '31011500001320002288'},
            {top: '34.83%', left: '9.70%', gbid: '31011500001320002271'},
            // 中上
            {top: '1.49%', left: '49.61%', gbid: '31011500001320002099'},
            // 中左1卫
            {top: '16.42%', left: '15.94%', gbid: '31011500001320002301'},
            {top: '29.19%', left: '15.94%', gbid: '31011500001320002299'},
            {top: '43.38%', left: '15.94%', gbid: '31011500001320002292'},
            {top: '57.88%', left: '15.94%', gbid: '31011500001320002321'},
            {top: '72.31%', left: '15.94%', gbid: '31011500001320002317'},
            // 中左1监舍
            {top: '18.08%', left: '22.30%', gbid: '31011500001320002302'},
            {top: '30.51%', left: '22.30%', gbid: '31011500001320002298'},
            {top: '45.11%', left: '22.30%', gbid: '31011500001320002291'},
            {top: '59.37%', left: '22.30%', gbid: '31011500001320002280'},
            {top: '73.96%', left: '22.30%', gbid: '31011500001320002318'},
            // 中左2卫
            {top: '16.42%', left: '29.80%', gbid: '31011500001320002297'},
            {top: '29.19%', left: '29.80%', gbid: '31011500001320002295'},
            {top: '43.38%', left: '29.80%', gbid: '31011500001320002286'},
            {top: '57.88%', left: '29.80%', gbid: '31011500001320002320'},
            {top: '72.31%', left: '29.80%', gbid: '31011500001320002315'},
            // 中左1监舍
            {top: '18.08%', left: '35.80%', gbid: '31011500001320002300'},
            {top: '30.51%', left: '35.80%', gbid: '31011500001320002293'},
            {top: '45.11%', left: '35.80%', gbid: '31011500001320002290'},
            {top: '59.37%', left: '35.80%', gbid: '31011500001320002265'},
            {top: '73.96%', left: '35.80%', gbid: '31011500001320002316'},
            // 左中下室值岗
            {top: '93.86%', left: '25.31%', gbid: '31011500001320002289'},
            // 中
            {top: '78.44%', left: '46.49%', gbid: '31011500001320002269'},
            {top: '87.56%', left: '47.71%', gbid: '31011500001320002268'},
            // { top: '94.03%', left: '47.05%' },
            // 右中1监舍
            {top: '18.08%', left: '63.43%', gbid: '31011500001320002304'},
            {top: '30.51%', left: '63.43%', gbid: '31011500001320002308'},
            {top: '45.27%', left: '63.43%', gbid: '31011500001320002313'},
            // 右中1学习
            {top: '60.20%', left: '64.77%', gbid: '31011500001320002282'},
            {top: '73.96%', left: '64.77%', gbid: '31011500001320002284'},
            // 右中1卫
            {top: '16.75%', left: '69.68%', gbid: '31011500001320002303'},
            {top: '29.19%', left: '69.68%', gbid: '31011500001320002303'},
            {top: '43.78%', left: '69.68%', gbid: '31011500001320002311'},
            // 右中2监舍
            {top: '18.08%', left: '77.03%', gbid: '31011500001320002306'},
            {top: '30.51%', left: '77.03%', gbid: '31011500001320002310'},
            {top: '45.27%', left: '77.03%', gbid: '31011500001320002314'},
            // 右中2学习
            {top: '60.20%', left: '78.48%', gbid: '31011500001320002285'},
            {top: '73.96%', left: '78.48%', gbid: '31011500001320002283'},
            // 右中2卫
            {top: '16.75%', left: '82.94%', gbid: '31011500001320002305'},
            {top: '29.19%', left: '82.94%', gbid: '31011500001320002309'},
            {top: '43.78%', left: '82.94%', gbid: '31011500001320002296'},
            // 右中下
            {top: '90.88%', left: '66.56%', gbid: '31011500001320002267'},
            // 右边
            {top: '2.49%', left: '89.41%', gbid: '31011500001320002281'},
            {top: '74.63%', left: '88.70%', gbid: '31011500001320002287'},
        ],
        'arr3': [
            // 浴室左1
            {top: '19.73%', left: '9.70%', gbid: '31011500001320002342'},
            {top: '34.83%', left: '9.70%', gbid: '31011500001320002324'},
            // 中上
            {top: '1.49%', left: '49.61%', gbid: '31011500001320002335'},
            // 中左1卫
            {top: '16.42%', left: '15.94%', gbid: '31011500001320002357'},
            {top: '29.19%', left: '15.94%', gbid: '31011500001320002353'},
            {top: '43.38%', left: '15.94%', gbid: '31011500001320002349'},
            {top: '72.31%', left: '15.94%', gbid: '31011500001320002376'},
            // 中左1监舍
            {top: '16.42%', left: '21.30%', gbid: '31011500001320002358'},
            {top: '23.52%', left: '21.30%', gbid: '31011500001320002359'},
            {top: '29.19%', left: '21.30%', gbid: '31011500001320002354'},
            {top: '43.38%', left: '21.30%', gbid: '31011500001320002350'},
            {top: '57.88%', left: '21.30%', gbid: '31011500001320002325'},
            {top: '66.18%', left: '21.30%', gbid: '31011500001320002334'},
            {top: '72.31%', left: '21.30%', gbid: '31011500001320002377'},
            // 中左2卫
            {top: '16.42%', left: '29.80%', gbid: '31011500001320002355'},
            {top: '29.19%', left: '29.80%', gbid: '31011500001320002351'},
            {top: '43.38%', left: '29.80%', gbid: '31011500001320002341'},
            {top: '57.88%', left: '29.80%', gbid: '31011500001320002378'},
            // 中左1监舍
            {top: '18.08%', left: '35.80%', gbid: '31011500001320002356'},
            {top: '30.51%', left: '35.80%', gbid: '31011500001320002352'},
            {top: '45.11%', left: '35.80%', gbid: '31011500001320002345'},
            {top: '59.37%', left: '35.80%', gbid: '31011500001320002379'},
            {top: '73.96%', left: '35.80%', gbid: '31011500001320002375'},
            // 左中下室值岗
            {top: '93.86%', left: '25.31%', gbid: '31011500001320002344'},
            // 中
            {top: '78.44%', left: '46.49%', gbid: '31011500001320002323'},
            {top: '87.56%', left: '47.71%', gbid: '31011500001320002322'},
            // { top: '94.03%', left: '47.05%' },
            // 右中1监舍
            {top: '18.08%', left: '63.43%', gbid: '31011500001320002361'},
            {top: '30.51%', left: '63.43%', gbid: '31011500001320002368'},
            // 右中1学习
            {top: '60.20%', left: '64.77%', gbid: '31011500001320002339'},
            {top: '73.96%', left: '64.77%', gbid: '31011500001320002337'},
            // 右中1卫
            {top: '16.75%', left: '69.68%', gbid: '31011500001320002360'},
            {top: '29.19%', left: '69.68%', gbid: '31011500001320002367'},
            // 右中2监舍
            {top: '18.08%', left: '77.03%', gbid: '31011500001320002366'},
            {top: '30.51%', left: '77.03%', gbid: '31011500001320002370'},
            // 禁闭
            {top: '43.62%', left: '60.42%', gbid: '31011500001320002371'},
            {top: '47.60%', left: '64.55%', gbid: '31011500001320002363'},
            {top: '47.60%', left: '71.13%', gbid: '31011500001320002373'},
            {top: '47.76%', left: '77.48%', gbid: '31011500001320002374'},
            {top: '43.78%', left: '83.17%', gbid: '31011500001320002364'},
            // 右中2学习
            {top: '60.20%', left: '78.48%', gbid: '31011500001320002340'},
            {top: '73.96%', left: '78.48%', gbid: '31011500001320002338'},
            // 右中2卫
            {top: '16.75%', left: '82.94%', gbid: '31011500001320002362'},
            {top: '29.19%', left: '82.94%', gbid: '31011500001320002369'},
            // 右边
            {top: '2.49%', left: '89.41%', gbid: '31011500001320002336'},
            {top: '19.90%', left: '88.63%', gbid: '31011500001320002365'},
            {top: '74.63%', left: '88.70%', gbid: '31011500001320002343'},
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/floor2_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
