<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>女子监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right {
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }

        .area-box li {
            cursor: pointer;
        }

        .area-box li a {
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">女子监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/nj/onefloor">
                                <div class="menu-mc">
                                    <span>一号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">171</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/twofloor">
                                <div class="menu-mc">
                                    <span>二号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">118</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/xxyfloor">
                                <div class="menu-mc">
                                    <span>新习艺楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">50</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/cfloor">
                                <div class="menu-mc">
                                    <span>炊场</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">21</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/hjfloor">
                                <div class="menu-mc">
                                    <span>会见楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">33</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/ywfloor">
                                <div class="menu-mc">
                                    <span>医务楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">28</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nj/twodoor">
                                <div class="menu-mc">
                                    <span>二大门</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">10</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/nj/onefloor">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>一号楼</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/bgq_floor_1.png"/></a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/nj/xxyfloor">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>新习艺楼</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/nj/cfloor"> <img src="${ctx}/static/images/G_floor.png"/></a>
                            <span>炊场</span>
                        </li>
                        <li class="c_floor">
                            <a href="${ctx}/nj/hjfloor"> <img src="${ctx}/static/images/C_floor.png"/></a>
                            <span>会见楼</span>
                        </li>
                        <li class="e_floor">
                            <a href="${ctx}/nj/ywfloor"> <img src="${ctx}/static/images/E_floor.png"/></a>
                            <span>医务楼</span>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="${ctx}/nj/twodoor"> <img src="${ctx}/static/images/D_floor_1.png"/></a>
                            <span>二大门</span>
                        </li>
                        <li class="f_floor">
                            <a href="${ctx}/nj/twofloor">
                                <img src="${ctx}/static/images/F_floor.png"/>
                                <span>二号楼</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>