<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>炊场</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nj">炊场</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.9rem',
                left: '2rem',
                gbid: '31011700001320000381'
            }, {
                top: '0.9rem',
                left: '5.85rem',
                gbid: '31011700001320000388'
            }, {
                top: '0.9rem',
                left: '9.75rem',
                gbid: '31011700001320000379'
            }, {
                top: '2.6rem',
                left: '3.05rem',
                gbid: '31011700001320000374'
            }, {
                top: '2.6rem',
                left: '4.4rem',
                gbid: '31011700001320000375'
            }, {
                top: '2.6rem',
                left: '5.8rem',
                gbid: '31011700001320000377'
            }, {
                top: '2.6rem',
                left: '7.2rem',
                gbid: '31011700001320000392'
            }, {
                top: '5rem',
                left: '8.6rem',
                gbid: '31011700001320000386'
            }, {
                top: '5rem',
                left: '3.05rem',
                gbid: '31011700001320000391'
            }, {
                top: '5rem',
                left: '4.4rem',
                gbid: '31011700001320000390'
            }, {
                top: '4.6rem',
                left: '5.8rem',
                gbid: '31011700001320000383'
            }, {
                top: '5rem',
                left: '7.2rem',
                gbid: '31011700001320000387'
            }, {
                top: '5.6rem',
                left: '5.8rem',
                gbid: '31011700001320000382'
            }, {
                top: '3.65rem',
                left: '1.75rem',
                gbid: '31011700001320000376'
            }, {
                top: '3.45rem',
                left: '0.93rem',
                gbid: '31011700001320000384'
            }, {
                top: '3.65rem',
                left: '11.2rem',
                gbid: '31011700001320000373'
            }, {
                top: '3.45rem',
                left: '10.2rem',
                gbid: '31011700001320000385'
            }, {
                top: '6.9rem',
                left: '10rem',
                gbid: '31011700001320000378'
            }, {
                top: '6.9rem',
                left: '5.8rem',
                gbid: '31011700001320000389'
            }, {
                top: '6.9rem',
                left: '2rem',
                gbid: '31011700001320000380'
            }, {
                top: '2.6rem',
                left: '8.6rem',
                gbid: '31011700001320000393'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nvjian_cookware.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
