<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会见楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nj">会见楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.88rem',
                left: '5.2rem',
                gbid: '31011700001320000424'
            }, {
                top: '2.2rem',
                left: '0.47rem',
                gbid: '31011700001320000410'
            }, {
                top: '4.3rem',
                left: '0.47rem',
                gbid: '31011700001320000406'
            }, {
                top: '3.25rem',
                left: '1.25rem',
                gbid: '31011700001320000408'
            }, {
                top: '3.25rem',
                left: '1.9rem',
                gbid: '31011700001320000415'
            }, {
                top: '2.8rem',
                left: '4.2rem',
                gbid: '31011700001320000418'
            }, {
                top: '2.8rem',
                left: '7.1rem',
                gbid: '31011700001320000419'
            }, {
                top: '2.8rem',
                left: '8.7rem',
                gbid: '31011700001320000412'
            }, {
                top: '3.35rem',
                left: '10.45rem',
                gbid: '31011700001320000409'
            }, {
                top: '3.35rem',
                left: '9.8rem',
                gbid: '31011700001320000416'
            }, {
                top: '1.9rem',
                left: '11.2rem',
                gbid: '31011700001320000407'
            }, {
                top: '3.7rem',
                left: '11.2rem',
                gbid: '31011700001320000425'
            }, {
                top: '5rem',
                left: '11.2rem',
                gbid: '31011700001320000411'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011700001320000417'
            }, {
                top: '5rem',
                left: '8.7rem',
                gbid: '31011700001320000413'
            }, {
                top: '5rem',
                left: '7.1rem',
                gbid: '31011700001320000420'
            }, {
                top: '6.9rem',
                left: '9.1rem',
                gbid: '31011700001320000423'
            }, {
                top: '6.9rem',
                left: '2.95rem',
                gbid: '31011700001320000426'
            }, {
                top: '3.9rem',
                left: '2.6rem',
                gbid: '31011700001320000414'
            }, {
                top: '3.9rem',
                left: '4.4rem',
                gbid: '31011700001320000421'
            }, {
                top: '3.9rem',
                left: '6.45rem',
                gbid: '31011700001320000422'
            }
        ],
        'arr2': [
            {
                top: '0.85rem',
                left: '5.2rem',
                gbid: '31011700001320000402'
            }, {
                top: '2.2rem',
                left: '5.15rem',
                gbid: '31011700001320000397'
            }, {
                top: '2rem',
                left: '1.58rem',
                gbid: '31011700001320000395'
            }, {
                top: '2rem',
                left: '10.13rem',
                gbid: '31011700001320000399'
            }, {
                top: '4.5rem',
                left: '1.58rem',
                gbid: '31011700001320000394'
            }, {
                top: '4.5rem',
                left: '10.13rem',
                gbid: '31011700001320000398'
            }, {
                top: '3.38rem',
                left: '11.2rem',
                gbid: '31011700001320000401'
            }, {
                top: '5.63rem',
                left: '5.15rem',
                gbid: '31011700001320000396'
            }, {
                top: '3.75rem',
                left: '2.85rem',
                gbid: '31011700001320000405'
            }, {
                top: '3.75rem',
                left: '7.2rem',
                gbid: '31011700001320000403'
            }, {
                top: '7rem',
                left: '3rem',
                gbid: '31011700001320000404'
            }, {
                top: '7rem',
                left: '9.05rem',
                gbid: '31011700001320000400'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nvjian_huiyi' + index +'.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
