<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nj">二号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>32</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>44</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>42</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000174'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000202'
            }, {
                top: '0.45rem',
                left: '3.3rem',
                gbid: '31011700001320000176'
            }, {
                top: '0.45rem',
                left: '5.05rem',
                gbid: '31011700001320000203'
            }, {
                top: '0.45rem',
                left: '6.8rem',
                gbid: '31011700001320000210'
            }, {
                top: '0.45rem',
                left: '8.5rem',
                gbid: '31011700001320000199'
            }, {
                top: '0.7rem',
                left: '10.45rem',
                gbid: '31011700001320000209'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000175'
            }, {
                top: '0.9rem',
                left: '3rem',
                gbid: '31011700001320000195'
            }, {
                top: '1.6rem',
                left: '10.5rem',
                gbid: '31011700001320000193'
            }, {
                top: '2.4rem',
                left: '11.25rem',
                gbid: '31011700001320000197'
            }, {
                top: '3.9rem',
                left: '11.05rem',
                gbid: '31011700001320000196'
            }, {
                top: '5.45rem',
                left: '10.3rem',
                gbid: '31011700001320000194'
            }, {
                top: '2.5rem',
                left: '4.28rem',
                gbid: '31011700001320000171'
            }, {
                top: '2.5rem',
                left: '5.3rem',
                gbid: '31011700001320000169'
            }, {
                top: '2.5rem',
                left: '6.3rem',
                gbid: '31011700001320000167'
            }, {
                top: '2.5rem',
                left: '7.23rem',
                gbid: '31011700001320000165'
            }, {
                top: '2.5rem',
                left: '9.32rem',
                gbid: '31011700001320000206'
            }, {
                top: '3.6rem',
                left: '9.7rem',
                gbid: '31011700001320000173'
            }, {
                top: '5rem',
                left: '9.3rem',
                gbid: '31011700001320000205'
            }, {
                top: '5rem',
                left: '4.28rem',
                gbid: '31011700001320000170'
            }, {
                top: '5rem',
                left: '3.35rem',
                gbid: '31011700001320000172'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011700001320000168'
            }, {
                top: '5rem',
                left: '6.3rem',
                gbid: '31011700001320000166'
            }, {
                top: '5rem',
                left: '7.23rem',
                gbid: '31011700001320000164'
            }, {
                top: '5rem',
                left: '8.35rem',
                gbid: '31011700001320000207'
            }, {
                top: '2.5rem',
                left: '8.4rem',
                gbid: '31011700001320000208'
            }, {
                top: '5.45rem',
                left: '0.5rem',
                gbid: '31011700001320000200'
            }, {
                top: '6.1rem',
                left: '0.5rem',
                gbid: '31011700001320000201'
            }, {
                top: '3.9rem',
                left: '7.45rem',
                gbid: '31011700001320000198'
            }, {
                top: '6.78rem',
                left: '5.58rem',
                gbid: '31011700001320000177'
            }, {
                top: '7.25rem',
                left: '5.5rem',
                gbid: '31011700001320000204'
            }
        ],
        'arr2': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000236'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000212'
            }, {
                top: '0.45rem',
                left: '3.3rem',
                gbid: '31011700001320000218'
            }, {
                top: '0.45rem',
                left: '5.15rem',
                gbid: '31011700001320000188'
            }, {
                top: '0.45rem',
                left: '6.8rem',
                gbid: '31011700001320000183'
            }, {
                top: '0.45rem',
                left: '8.5rem',
                gbid: '31011700001320000191'
            }, {
                top: '0.7rem',
                left: '10.5rem',
                gbid: '31011700001320000238'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000235'
            }, {
                top: '0.9rem',
                left: '4.3rem',
                gbid: '31011700001320000219'
            }, {
                top: '1.4rem',
                left: '0.95rem',
                gbid: '31011700001320000213'
            }, {
                top: '1.6rem',
                left: '10.5rem',
                gbid: '31011700001320000369'
            }, {
                top: '2.2rem',
                left: '10.5rem',
                gbid: '31011700001320000221'
            }, {
                top: '3.7rem',
                left: '10.7rem',
                gbid: '31011700001320000184'
            }, {
                top: '6.08rem',
                left: '10.3rem',
                gbid: '31011700001320000220'
            }, {
                top: '1.6rem',
                left: '9.3rem',
                gbid: '31011700001320000185'
            }, {
                top: '2.5rem',
                left: '2.38rem',
                gbid: '31011700001320000234'
            }, {
                top: '2.5rem',
                left: '4.28rem',
                gbid: '31011700001320000231'
            }, {
                top: '2.5rem',
                left: '3.3rem',
                gbid: '31011700001320000233'
            }, {
                top: '2.5rem',
                left: '5.3rem',
                gbid: '31011700001320000229'
            }, {
                top: '2.5rem',
                left: '6.3rem',
                gbid: '31011700001320000227'
            }, {
                top: '2.5rem',
                left: '7.23rem',
                gbid: '31011700001320000225'
            }, {
                top: '2.7rem',
                left: '9.39rem',
                gbid: '31011700001320000178'
            }, {
                top: '4.2rem',
                left: '9.39rem',
                gbid: '31011700001320000179'
            }, {
                top: '5.7rem',
                left: '9.39rem',
                gbid: '31011700001320000182'
            }, {
                top: '5rem',
                left: '4.28rem',
                gbid: '31011700001320000230'
            }, {
                top: '5rem',
                left: '3.3rem',
                gbid: '31011700001320000232'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011700001320000228'
            }, {
                top: '5rem',
                left: '6.3rem',
                gbid: '31011700001320000226'
            }, {
                top: '5rem',
                left: '7.23rem',
                gbid: '31011700001320000224'
            }, {
                top: '5.2rem',
                left: '8.4rem',
                gbid: '31011700001320000189'
            }, {
                top: '3.2rem',
                left: '8.4rem',
                gbid: '31011700001320000187'
            }, {
                top: '3.35rem',
                left: '1.7rem',
                gbid: '31011700001320000215'
            }, {
                top: '6.95rem',
                left: '0.5rem',
                gbid: '31011700001320000223'
            }, {
                top: '5.45rem',
                left: '0.5rem',
                gbid: '31011700001320000192'
            }, {
                top: '6.1rem',
                left: '0.5rem',
                gbid: '31011700001320000186'
            }, {
                top: '3.9rem',
                left: '4.5rem',
                gbid: '31011700001320000217'
            }, {
                top: '3.9rem',
                left: '7.4rem',
                gbid: '31011700001320000216'
            }, {
                top: '3.4rem',
                left: '7.9rem',
                gbid: '31011700001320000214'
            }, {
                top: '3.4rem',
                left: '8.85rem',
                gbid: '31011700001320000237'
            }, {
                top: '6.9rem',
                left: '11.2rem',
                gbid: '31011700001320000222'
            }, {
                top: '6.75rem',
                left: '8.45rem',
                gbid: '31011700001320000190'
            }, {
                top: '6.78rem',
                left: '5.58rem',
                gbid: '31011700001320000239'
            }, {
                top: '7.25rem',
                left: '5.5rem',
                gbid: '31011700001320000211'
            }, {
                top: '7.25rem',
                left: '3.2rem',
                gbid: '31011700001320000181'
            }
        ],
        'arr3': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000263'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000240'
            }, {
                top: '0.45rem',
                left: '3rem',
                gbid: '31011700001320000246'
            }, {
                top: '0.45rem',
                left: '5.15rem',
                gbid: '31011700001320000275'
            }, {
                top: '0.45rem',
                left: '6.6rem',
                gbid: '31011700001320000270'
            }, {
                top: '0.45rem',
                left: '8.5rem',
                gbid: '31011700001320000278'
            }, {
                top: '0.7rem',
                left: '10.5rem',
                gbid: '31011700001320000280'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000262'
            }, {
                top: '0.9rem',
                left: '4.3rem',
                gbid: '31011700001320000247'
            }, {
                top: '1.4rem',
                left: '0.95rem',
                gbid: '31011700001320000241'
            }, {
                top: '1.6rem',
                left: '10.5rem',
                gbid: '31011700001320000370'
            }, {
                top: '2.2rem',
                left: '10.5rem',
                gbid: '31011700001320000249'
            }, {
                top: '3.3rem',
                left: '10.7rem',
                gbid: '31011700001320000271'
            }, {
                top: '4.6rem',
                left: '10.7rem',
                gbid: '31011700001320000273'
            }, {
                top: '6.08rem',
                left: '10.3rem',
                gbid: '31011700001320000248'
            }, {
                top: '1.6rem',
                left: '9.3rem',
                gbid: '31011700001320000272'
            }, {
                top: '2.5rem',
                left: '2.38rem',
                gbid: '31011700001320000260'
            }, {
                top: '2.5rem',
                left: '4.28rem',
                gbid: '31011700001320000257'
            }, {
                top: '2.5rem',
                left: '3.3rem',
                gbid: '31011700001320000259'
            }, {
                top: '2.5rem',
                left: '5.3rem',
                gbid: '31011700001320000255'
            }, {
                top: '2.5rem',
                left: '6.3rem',
                gbid: '31011700001320000253'
            }, {
                top: '2.5rem',
                left: '7.23rem',
                gbid: '31011700001320000251'
            }, {
                top: '2.7rem',
                left: '9.39rem',
                gbid: '31011700001320000265'
            }, {
                top: '4.2rem',
                left: '9.39rem',
                gbid: '31011700001320000266'
            }, {
                top: '5.7rem',
                left: '9.39rem',
                gbid: '31011700001320000269'
            }, {
                top: '5rem',
                left: '3.3rem',
                gbid: '31011700001320000258'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011700001320000254'
            }, {
                top: '5rem',
                left: '6.3rem',
                gbid: '31011700001320000252'
            }, {
                top: '5rem',
                left: '7.23rem',
                gbid: '31011700001320000250'
            }, {
                top: '5.2rem',
                left: '8.4rem',
                gbid: '31011700001320000276'
            }, {
                top: '3.2rem',
                left: '8.4rem',
                gbid: '31011700001320000274'
            }, {
                top: '3.35rem',
                left: '1.7rem',
                gbid: '31011700001320000243'
            }, {
                top: '6.1rem',
                left: '0.5rem',
                gbid: '31011700001320000279'
            }, {
                top: '3.9rem',
                left: '4.5rem',
                gbid: '31011700001320000245'
            }, {
                top: '3.9rem',
                left: '7.4rem',
                gbid: '31011700001320000244'
            }, {
                top: '3.4rem',
                left: '7.9rem',
                gbid: '31011700001320000242'
            }, {
                top: '3.4rem',
                left: '8.85rem',
                gbid: '31011700001320000264'
            }, {
                top: '6.75rem',
                left: '8.45rem',
                gbid: '31011700001320000277'
            }, {
                top: '6.98rem',
                left: '5.58rem',
                gbid: '31011700001320000281'
            }, {
                top: '7.25rem',
                left: '3.2rem',
                gbid: '31011700001320000268'
            }, {
                top: '3.5rem',
                left: '9.8rem',
                gbid: '31011700001320000267'
            }, {
                top: '5rem',
                left: '2.35rem',
                gbid: '31011700001320000261'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nv2_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
