<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>教育楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">教育楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320003084'
            }, {
                top: '3.6rem',
                left: '2.1rem',
                gbid: '31011800001320002975'
            }, {
                top: '2.5rem',
                left: '3.95rem',
                gbid: '31011800001320003057'
            }, {
                top: '2.5rem',
                left: '5.95rem',
                gbid: '31011800001320003077'
            }, {
                top: '4.9rem',
                left: '3.95rem',
                gbid: '31011800001320002979'
            }, {
                top: '4.9rem',
                left: '5.95rem',
                gbid: '31011800001320002974'
            }, {
                top: '2.6rem',
                left: '7.8rem',
                gbid: '31011800001320002976'
            }, {
                top: '5rem',
                left: '7.8rem',
                gbid: '31011800001320003080'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320003081'
            }, {
                top: '2.35rem',
                left: '9.19rem',
                gbid: '31011800001320003079'
            }, {
                top: '3.5rem',
                left: '9.68rem',
                gbid: '31011800001320002977'
            }, {
                top: '4rem',
                left: '11.08rem',
                gbid: '31011800001320003083'
            }
        ],
        'arr2': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320003085'
            }, {
                top: '3.6rem',
                left: '2.1rem',
                gbid: '31011800001320002978'
            }, {
                top: '2.5rem',
                left: '3.85rem',
                gbid: '31011800001320003065'
            }, {
                top: '2.5rem',
                left: '5.15rem',
                gbid: '31011800001320003075'
            }, {
                top: '2.5rem',
                left: '6.3rem',
                gbid: '31011800001320003063'
            }, {
                top: '2.5rem',
                left: '7.8rem',
                gbid: '31011800001320003060'
            }, {
                top: '4.9rem',
                left: '3.85rem',
                gbid: '31011800001320003064'
            }, {
                top: '4.9rem',
                left: '6.3rem',
                gbid: '31011800001320003061'
            }, {
                top: '4.9rem',
                left: '7.8rem',
                gbid: '31011800001320003062'
            }, {
                top: '4.9rem',
                left: '9.2rem',
                gbid: '31011800001320003165'
            }, {
                top: '7rem',
                left: '5.4rem',
                gbid: '31011800001320002981'
            },
            {
                top: '0.725rem',
                left: '5.4rem',
                gbid: '31011800001320002980'
            }
        ],
        'arr3': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320002985'
            }, {
                top: '3.6rem',
                left: '2.1rem',
                gbid: '31011800001320002984'
            }, {
                top: '2.5rem',
                left: '3.85rem',
                gbid: '31011800001320003074'
            }, {
                top: '2.5rem',
                left: '5.15rem',
                gbid: '31011800001320003073'
            }, {
                top: '2.5rem',
                left: '6.3rem',
                gbid: '31011800001320003072'
            }, {
                top: '2.5rem',
                left: '7.8rem',
                gbid: '31011800001320003067'
            }, {
                top: '4.9rem',
                left: '3.76rem',
                gbid: '31011800001320003070'
            }, {
                top: '4.9rem',
                left: '6.3rem',
                gbid: '31011800001320003068'
            }, {
                top: '4.9rem',
                left: '7.8rem',
                gbid: '31011800001320003071'
            }, {
                top: '4.9rem',
                left: '9.2rem',
                gbid: '31011800001320003066'
            }, {
                top: '7rem',
                left: '5.4rem',
                gbid: '31011800001320002982'
            }, {
                top: '4.9rem',
                left: '5.2rem',
                gbid: '31011800001320003069'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jiaoyu_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
