<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>五监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">五监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>25</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>22</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>2</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002399'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002398'
            }, {
                top: '2rem',
                left: '0.5rem',
                gbid: '31011800001320002403'
            }, {
                top: '4.45rem',
                left: '0.58rem',
                gbid: '31011800001320002402'
            }, {
                top: '2.48rem',
                left: '2.36rem',
                gbid: '31011800001320002397'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002395'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002393'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002391'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002389'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002387'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002538'
            }, {
                top: '2.48rem',
                left: '9.36rem',
                gbid: '31011800001320002404'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002396'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002394'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002392'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002390'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002388'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002386'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320003177'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002401'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002400'
            }, {
                top: '3.5rem',
                left: '10.18rem',
                gbid: '31011800001320002539'
            }, {
                top: '3.8rem',
                left: '7.5rem',
                gbid: '31011800001320002405'
            },
            {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002760'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002537'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002420'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002419'
            }, {
                top: '3.3rem',
                left: '0.58rem',
                gbid: '31011800001320002422'
            }, {
                top: '7rem',
                left: '0.7rem',
                gbid: '31011800001320002421'
            }, {
                top: '2.48rem',
                left: '2.36rem',
                gbid: '31011800001320002417'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002415'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002413'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002411'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002409'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002407'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002767'
            }, {
                top: '2.48rem',
                left: '9.36rem',
                gbid: '31011800001320002423'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002418'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002416'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002414'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002412'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002410'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002408'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320002406'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002541'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002773'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002434'
            }, {
                top: '0.75rem',
                left: '10.2rem',
                gbid: '31011800001320002542'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002433'
            }, {
                top: '3.3rem',
                left: '0.58rem',
                gbid: '31011800001320002442'
            }, {
                top: '7rem',
                left: '0.7rem',
                gbid: '31011800001320002436'
            }, {
                top: '2.48rem',
                left: '2.36rem',
                gbid: '31011800001320002441'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002439'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002431'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002429'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002427'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002425'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002768'
            }, {
                top: '2.48rem',
                left: '9.36rem',
                gbid: '31011800001320002437'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002432'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002440'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002438'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002430'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002428'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002426'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320002424'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002540'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002435'
            }
        ],
        'arr4': [
            {
                top: '7.15rem',
                left: '5.6rem',
                gbid: '31011800001320002369'
            }, {
                top: '0.8rem',
                left: '5.6rem',
                gbid: '31011800001320002512'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu5_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
