<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>六监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">六监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>8</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>2</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320002461'
            }, {
                top: '3.9rem',
                left: '3.8rem',
                gbid: '31011800001320002460'
            }, {
                top: '2.6rem',
                left: '7.25rem',
                gbid: '31011800001320002378'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002459'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002458'
            }, {
                top: '3.6rem',
                left: '9.68rem',
                gbid: '31011800001320002796'
            }, {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002795'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002797'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002475'
            }, {
                top: '0.75rem',
                left: '0.8rem',
                gbid: '31011800001320002635'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002798'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002479'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002476'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002477'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002634'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002474'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002478'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002473'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002471'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002469'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002467'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002465'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002463'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002472'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002470'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002468'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002466'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002464'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002462'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002492'
            }, {
                top: '0.75rem',
                left: '0.8rem',
                gbid: '31011800001320002637'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002799'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002497'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002494'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002495'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002636'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002493'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002496'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002491'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002489'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002487'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002485'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002483'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002481'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002490'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002488'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002486'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002484'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002482'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002480'
            }
        ],
        'arr4': [
            {
                top: '7.15rem',
                left: '5.6rem',
                gbid: '31011800001320002370'
            }, {
                top: '3.6rem',
                left: '9.3rem',
                gbid: '31011800001320002371'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu6_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
