<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>三监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">三监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>8</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>2</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320002310'
            }, {
                top: '3.9rem',
                left: '3.8rem',
                gbid: '31011800001320002309'
            }, {
                top: '2.6rem',
                left: '7.25rem',
                gbid: '31011800001320002888'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002522'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002308'
            }, {
                top: '3.6rem',
                left: '9.68rem',
                gbid: '31011800001320002523'
            }, {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002445'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002536'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002447'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002524'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002307'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002448'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002449'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002889'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002446'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002306'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002305'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002303'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002301'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002299'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002297'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002295'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002304'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002302'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002300'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002298'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002296'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002294'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002451'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002525'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002293'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002452'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002453'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002890'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002450'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002292'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002291'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002289'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002762'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002287'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002285'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002283'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002290'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002288'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002761'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002286'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002284'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002282'
            }
        ],
        'arr4': [
            {
                top: '7.15rem',
                left: '5.6rem',
                gbid: '31011800001320002509'
            }, {
                top: '0.8rem',
                left: '5.6rem',
                gbid: '31011800001320002508'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu3_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
