<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">二监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>8</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>2</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320002193'
            }, {
                top: '3.9rem',
                left: '3.8rem',
                gbid: '31011800001320002192'
            }, {
                top: '2.6rem',
                left: '7.25rem',
                gbid: '31011800001320002892'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002530'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002190'
            }, {
                top: '3.6rem',
                left: '9.68rem',
                gbid: '31011800001320002531'
            }, {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002342'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002532'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002258'
            }, {
                top: '0.75rem',
                left: '0.8rem',
                gbid: '31011800001320002958'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002533'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002206'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002259'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002260'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002893'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002257'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002205'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002204'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002202'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002200'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002199'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002197'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002195'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002203'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002201'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002191'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002198'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002196'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002194'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002262'
            }, {
                top: '0.75rem',
                left: '0.8rem',
                gbid: '31011800001320002959'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002534'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002206'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002263'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002264'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002894'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002261'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002231'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002229'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002227'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002225'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002223'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002221'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002230'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002228'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002226'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002224'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002222'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002220'
            }
        ],
        'arr4': [
            {
                top: '3.6rem',
                left: '2.8rem',
                gbid: '31011800001320002506'
            }, {
                top: '3.6rem',
                left: '9.3rem',
                gbid: '31011800001320002507'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu2_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
