<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>东习艺楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/wjc">东习艺楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>15</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '2.3rem',
                left: '1.6rem',
                gbid: '31011000001320000842'
            }, {
                top: '2.3rem',
                left: '10.2rem',
                gbid: '31011000001320000840'
            }, {
                top: '2.1rem',
                left: '3.2rem',
                gbid: '31011000001320000848'
            }, {
                top: '0.3rem',
                left: '3.2rem',
                gbid: '31011000001320000844'
            }, {
                top: '3.5rem',
                left: '8.5rem',
                gbid: '31011000001320000845'
            }, {
                top: '2.1rem',
                left: '8.5rem',
                gbid: '31011000001320000847'
            }, {
                top: '0.3rem',
                left: '8.5rem',
                gbid: '31011000001320000843'
            }, {
                top: '3.5rem',
                left: '3.2rem',
                gbid: '31011000001320000846'
            }, {
                top: '5.1rem',
                left: '9.37rem',
                gbid: '31011000001320000841'
            }, {
                top: '5.1rem',
                left: '2.35rem',
                gbid: '31011000001320000852'
            }, {
                top: '6.4rem',
                left: '5.85rem',
                gbid: '31011000001320000854'
            }, {
                top: '7.7rem',
                left: '5.85rem',
                gbid: '31011000001320000853'
            }, {
                top: '4.1rem',
                left: '0.35rem',
                gbid: '31011000001320000849'
            }, {
                top: '4.1rem',
                left: '6rem',
                gbid: '31011000001320000850'
            }, {
                top: '4.1rem',
                left: '11.55rem',
                gbid: '31011000001320000851'
            }
        ],
        'arr2': [
            {
                top: '2.3rem',
                left: '1rem',
                gbid: '31011000001320000867'
            }, {
                top: '2.1rem',
                left: '2.1rem',
                gbid: '31011000001320000866'
            }, {
                top: '0.3rem',
                left: '2.1rem',
                gbid: '31011000001320000862'
            }, {
                top: '3.5rem',
                left: '11.4rem',
                gbid: '31011000001320000863'
            }, {
                top: '2.1rem',
                left: '11.4rem',
                gbid: '31011000001320000865'
            }, {
                top: '0.3rem',
                left: '11.4rem',
                gbid: '31011000001320000861'
            }, {
                top: '3.5rem',
                left: '2.1rem',
                gbid: '31011000001320000864'
            }, {
                top: '5.1rem',
                left: '9.37rem',
                gbid: '31011000001320000857'
            }, {
                top: '5.1rem',
                left: '2.35rem',
                gbid: '31011000001320000868'
            }, {
                top: '4.4rem',
                left: '9.4rem',
                gbid: '31011000001320000869'
            }, {
                top: '6.05rem',
                left: '7.35rem',
                gbid: '31011000001320000855'
            }, {
                top: '6.7rem',
                left: '1.9rem',
                gbid: '31011000001320000856'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/xiyilou' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
