<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>北楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/wjc">北</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>2</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>50</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '7rem',
                left: '2.3rem',
                gbid: '31011000001320000023'
            }, {
                top: '5.1rem',
                left: '10.1rem',
                gbid: '31011000001320000024'
            }
        ],
        'arr2': [
            {
                top: '0.5rem',
                left: '0.61rem',
                gbid: '31011000001320000026'
            }, {
                top: '0.5rem',
                left: '1.61rem',
                gbid: '31011000001320000030'
            }, {
                top: '0.5rem',
                left: '2.61rem',
                gbid: '31011000001320000034'
            }, {
                top: '0.5rem',
                left: '3.55rem',
                gbid: '31011000001320000038'
            }, {
                top: '0.5rem',
                left: '6.05rem',
                gbid: '31011000001320000042'
            }, {
                top: '0.5rem',
                left: '7.05rem',
                gbid: '31011000001320000046'
            }, {
                top: '0.5rem',
                left: '8rem',
                gbid: '31011000001320000050'
            }, {
                top: '0.5rem',
                left: '9rem',
                gbid: '31011000001320000054'
            }, {
                top: '1.7rem',
                left: '0.61rem',
                gbid: '31011000001320000027'
            }, {
                top: '1.7rem',
                left: '1.61rem',
                gbid: '31011000001320000031'
            }, {
                top: '1.7rem',
                left: '2.61rem',
                gbid: '31011000001320000035'
            }, {
                top: '1.7rem',
                left: '3.55rem',
                gbid: '31011000001320000039'
            }, {
                top: '1.7rem',
                left: '6.05rem',
                gbid: '31011000001320000043'
            }, {
                top: '1.7rem',
                left: '7.05rem',
                gbid: '31011000001320000047'
            }, {
                top: '1.7rem',
                left: '8rem',
                gbid: '31011000001320000051'
            }, {
                top: '1.7rem',
                left: '9rem',
                gbid: '31011000001320000055'
            }, {
                top: '3.45rem',
                left: '0.61rem',
                gbid: '31011000001320000028'
            }, {
                top: '3.45rem',
                left: '1.61rem',
                gbid: '31011000001320000032'
            }, {
                top: '3.45rem',
                left: '2.61rem',
                gbid: '31011000001320000036'
            }, {
                top: '3.45rem',
                left: '3.55rem',
                gbid: '31011000001320000040'
            }, {
                top: '3.45rem',
                left: '6.05rem',
                gbid: '31011000001320000044'
            }, {
                top: '3.45rem',
                left: '7.05rem',
                gbid: '31011000001320000048'
            }, {
                top: '3.45rem',
                left: '8rem',
                gbid: '31011000001320000052'
            }, {
                top: '3.45rem',
                left: '9rem',
                gbid: '31011000001320000056'
            }, {
                top: '4.6rem',
                left: '0.61rem',
                gbid: '31011000001320000029'
            }, {
                top: '4.6rem',
                left: '1.61rem',
                gbid: '31011000001320000033'
            }, {
                top: '4.6rem',
                left: '2.61rem',
                gbid: '31011000001320000037'
            }, {
                top: '4.6rem',
                left: '3.55rem',
                gbid: '31011000001320000041'
            }, {
                top: '4.6rem',
                left: '6.05rem',
                gbid: '31011000001320000045'
            }, {
                top: '4.6rem',
                left: '7.05rem',
                gbid: '31011000001320000049'
            }, {
                top: '4.6rem',
                left: '8rem',
                gbid: '31011000001320000053'
            }, {
                top: '4.6rem',
                left: '9rem',
                gbid: '31011000001320000057'
            }, {
                top: '1.5rem',
                left: '10.5rem',
                gbid: '31011000001320000067'
            }, {
                top: '1.5rem',
                left: '4.77rem',
                gbid: '31011000001320000061'
            }, {
                top: '2.6rem',
                left: '4.77rem',
                gbid: '31011000001320000072'
            }, {
                top: '4.4rem',
                left: '4.77rem',
                gbid: '31011000001320000066'
            }, {
                top: '2.6rem',
                left: '9.8rem',
                gbid: '31011000001320000073'
            }, {
                top: '5.1rem',
                left: '10.1rem',
                gbid: '31011000001320000024'
            }, {
                top: '5.3rem',
                left: '0.3rem',
                gbid: '31011000001320000068'
            }, {
                top: '5.3rem',
                left: '3.65rem',
                gbid: '31011000001320000062'
            }, {
                top: '5.3rem',
                left: '6.75rem',
                gbid: '31011000001320000064'
            }, {
                top: '5.3rem',
                left: '8.7rem',
                gbid: '31011000001320000058'
            }, {
                top: '6.65rem',
                left: '3.2rem',
                gbid: '31011000001320000069'
            }, {
                top: '6.65rem',
                left: '6.3rem',
                gbid: '31011000001320000063'
            }, {
                top: '6.65rem',
                left: '8.25rem',
                gbid: '31011000001320000065'
            }, {
                top: '6.65rem',
                left: '8.7rem',
                gbid: '31011000001320000059'
            }, {
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011000001320000060'
            }, {
                top: '7rem',
                left: '2.35rem',
                gbid: '31011000001320000023'
            }, {
                top: '7.3rem',
                left: '3.1rem',
                gbid: '31011000001320000074'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011000001320000075'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/wjc_workshop' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
