<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>南楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/wjc">南</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>40</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>47</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.5rem',
                left: '0.61rem',
                gbid: '31011000001320000479'
            }, {
                top: '0.5rem',
                left: '1.61rem',
                gbid: '31011000001320000483'
            }, {
                top: '0.5rem',
                left: '2.61rem',
                gbid: '31011000001320000487'
            }, {
                top: '0.5rem',
                left: '3.55rem',
                gbid: '31011000001320000491'
            }, {
                top: '0.5rem',
                left: '6.05rem',
                gbid: '31011000001320000495'
            }, {
                top: '0.5rem',
                left: '7.05rem',
                gbid: '31011000001320000499'
            }, {
                top: '0.5rem',
                left: '8.05rem',
                gbid: '31011000001320000503'
            }, {
                top: '1.8rem',
                left: '0.61rem',
                gbid: '31011000001320000480'
            }, {
                top: '1.8rem',
                left: '1.61rem',
                gbid: '31011000001320000484'
            }, {
                top: '1.8rem',
                left: '2.61rem',
                gbid: '31011000001320000488'
            }, {
                top: '1.8rem',
                left: '3.55rem',
                gbid: '31011000001320000492'
            }, {
                top: '1.8rem',
                left: '6.05rem',
                gbid: '31011000001320000496'
            }, {
                top: '1.8rem',
                left: '7.05rem',
                gbid: '31011000001320000500'
            }, {
                top: '1.8rem',
                left: '8.05rem',
                gbid: '31011000001320000504'
            }, {
                top: '3.7rem',
                left: '0.61rem',
                gbid: '31011000001320000481'
            }, {
                top: '3.7rem',
                left: '1.61rem',
                gbid: '31011000001320000486'
            }, {
                top: '3.7rem',
                left: '2.61rem',
                gbid: '31011000001320000490'
            }, {
                top: '3.7rem',
                left: '3.55rem',
                gbid: '31011000001320000494'
            }, {
                top: '3.7rem',
                left: '7.05rem',
                gbid: '31011000001320000498'
            }, {
                top: '5.1rem',
                left: '0.61rem',
                gbid: '31011000001320000482'
            }, {
                top: '5.1rem',
                left: '1.61rem',
                gbid: '31011000001320000486'
            }, {
                top: '5.1rem',
                left: '2.61rem',
                gbid: '31011000001320000490'
            }, {
                top: '5.1rem',
                left: '3.55rem',
                gbid: '31011000001320000494'
            }, {
                top: '5.1rem',
                left: '7.05rem',
                gbid: '31011000001320000498'
            }, {
                top: '5.1rem',
                left: '10.1rem',
                gbid: '31011000001320000642'
            }, {
                top: '5.1rem',
                left: '8.05rem',
                gbid: '31011000001320000502'
            }, {
                top: '0.3rem',
                left: '9.6rem',
                gbid: '31011000001320000505'
            }, {
                top: '2.2rem',
                left: '11.4rem',
                gbid: '31011000001320000506'
            }, {
                top: '1.5rem',
                left: '4.77rem',
                gbid: '31011000001320000509'
            }, {
                top: '2.8rem',
                left: '5.4rem',
                gbid: '31011000001320000643'
            }, {
                top: '2.8rem',
                left: '11.2rem',
                gbid: '31011000001320000644'
            }, {
                top: '5.6rem',
                left: '1.6rem',
                gbid: '31011000001320000507'
            }, {
                top: '4.5rem',
                left: '5.25rem',
                gbid: '31011000001320000512'
            }, {
                top: '5.55rem',
                left: '4.2rem',
                gbid: '31011000001320000510'
            }, {
                top: '6.65rem',
                left: '3.8rem',
                gbid: '31011000001320000508'
            }, {
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011000001320000511'
            }, {
                top: '7.3rem',
                left: '6rem',
                gbid: '31011000001320000645'
            }, {
                top: '7.35rem',
                left: '0.8rem',
                gbid: '31011000001320000641'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011000001320000646'
            }, {
                top: '3.7rem',
                left: '8rem',
                gbid: '31011000001320000501'
            }
        ],
        'arr2': [
            {
                top: '0.5rem',
                left: '1.9rem',
                gbid: '31011000001320000648'
            }, {
                top: '0.5rem',
                left: '2.82rem',
                gbid: '31011000001320000652'
            }, {
                top: '0.5rem',
                left: '3.86rem',
                gbid: '31011000001320000656'
            }, {
                top: '0.5rem',
                left: '5.8rem',
                gbid: '31011000001320000664'
            }, {
                top: '0.5rem',
                left: '6.75rem',
                gbid: '31011000001320000668'
            }, {
                top: '0.5rem',
                left: '7.75rem',
                gbid: '31011000001320000672'
            }, {
                top: '1.6rem',
                left: '0.75rem',
                gbid: '31011000001320000688'
            }, {
                top: '1.8rem',
                left: '1.9rem',
                gbid: '31011000001320000649'
            }, {
                top: '1.8rem',
                left: '2.82rem',
                gbid: '31011000001320000653'
            }, {
                top: '1.8rem',
                left: '3.86rem',
                gbid: '31011000001320000657'
            }, {
                top: '0.5rem',
                left: '4.77rem',
                gbid: '31011000001320000660'
            }, {
                top: '1.8rem',
                left: '5.8rem',
                gbid: '31011000001320000665'
            }, {
                top: '1.8rem',
                left: '6.75rem',
                gbid: '31011000001320000669'
            }, {
                top: '1.8rem',
                left: '7.75rem',
                gbid: '31011000001320000673'
            }, {
                top: '1.6rem',
                left: '8.8rem',
                gbid: '31011000001320000681'
            }, {
                top: '3.7rem',
                left: '0.61rem',
                gbid: '31011000001320000650'
            }, {
                top: '3.7rem',
                left: '1.61rem',
                gbid: '31011000001320000654'
            }, {
                top: '3.7rem',
                left: '2.61rem',
                gbid: '31011000001320000658'
            }, {
                top: '3.7rem',
                left: '3.55rem',
                gbid: '31011000001320000662'
            }, {
                top: '3.7rem',
                left: '6.05rem',
                gbid: '31011000001320000666'
            }, {
                top: '5.1rem',
                left: '6.05rem',
                gbid: '31011000001320000667'
            }, {
                top: '5.1rem',
                left: '9rem',
                gbid: '31011000001320000677'
            }, {
                top: '3.7rem',
                left: '9rem',
                gbid: '31011000001320000676'
            }, {
                top: '3.7rem',
                left: '7.05rem',
                gbid: '31011000001320000670'
            }, {
                top: '5.1rem',
                left: '0.61rem',
                gbid: '31011000001320000651'
            }, {
                top: '5.1rem',
                left: '1.61rem',
                gbid: '31011000001320000655'
            }, {
                top: '5.1rem',
                left: '2.61rem',
                gbid: '31011000001320000659'
            }, {
                top: '5.1rem',
                left: '3.55rem',
                gbid: '31011000001320000663'
            }, {
                top: '5.1rem',
                left: '7.05rem',
                gbid: '31011000001320000671'
            }, {
                top: '5.1rem',
                left: '10.1rem',
                gbid: '31011000001320000690'
            }, {
                top: '5.1rem',
                left: '8.05rem',
                gbid: '31011000001320000675'
            }, {
                top: '1.6rem',
                left: '10.5rem',
                gbid: '31011000001320000687'
            }, {
                top: '1.8rem',
                left: '4.77rem',
                gbid: '31011000001320000661'
            }, {
                top: '2.8rem',
                left: '5.4rem',
                gbid: '31011000001320000647'
            }, {
                top: '2.8rem',
                left: '11.2rem',
                gbid: '31011000001320000691'
            }, {
                top: '5.6rem',
                left: '1.6rem',
                gbid: '31011000001320000678'
            }, {
                top: '4.6rem',
                left: '4.8rem',
                gbid: '31011000001320000686'
            }, {
                top: '5.55rem',
                left: '4.2rem',
                gbid: '31011000001320000684'
            }, {
                top: '5.55rem',
                left: '6.7rem',
                gbid: '31011000001320000682'
            }, {
                top: '5.55rem',
                left: '3.8rem',
                gbid: '31011000001320000679'
            }, {
                top: '6.65rem',
                left: '3.8rem',
                gbid: '31011000001320000680'
            }, {
                top: '6.65rem',
                left: '6.3rem',
                gbid: '31011000001320000685'
            }, {
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011000001320000683'
            }, {
                top: '7.3rem',
                left: '6rem',
                gbid: '31011000001320000692'
            }, {
                top: '7.35rem',
                left: '0.8rem',
                gbid: '31011000001320000689'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011000001320000693'
            }, {
                top: '3.7rem',
                left: '8rem',
                gbid: '31011000001320000674'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nanjian' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
