<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>综合楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/wjc">综合楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '2rem',
                left: '0.5rem',
                gbid: '31011000001320001145'
            }, {
                top: '1.6rem',
                left: '1.1rem',
                gbid: '31011000001320001142'
            }, {
                top: '0.7rem',
                left: '3.1rem',
                gbid: '31011000001320001146'
            }, {
                top: '1.4rem',
                left: '4.1rem',
                gbid: '31011000001320001140'
            }, {
                top: '1.4rem',
                left: '5.6rem',
                gbid: '31011000001320001130'
            }, {
                top: '1.4rem',
                left: '7.4rem',
                gbid: '31011000001320001138'
            }, {
                top: '0.7rem',
                left: '8.7rem',
                gbid: '31011000001320001134'
            }, {
                top: '2rem',
                left: '11.25rem',
                gbid: '31011000001320001132'
            }, {
                top: '3.25rem',
                left: '3.2rem',
                gbid: '31011000001320001143'
            }, {
                top: '3.25rem',
                left: '3.55rem',
                gbid: '31011000001320001147'
            }, {
                top: '2.25rem',
                left: '3.55rem',
                gbid: '31011000001320001148'
            }, {
                top: '3.25rem',
                left: '8.1rem',
                gbid: '31011000001320001149'
            }, {
                top: '2.8rem',
                left: '9.6rem',
                gbid: '31011000001320001144'
            }, {
                top: '4.5rem',
                left: '6.3rem',
                gbid: '31011000001320001136'
            }, {
                top: '7.4rem',
                left: '4.2rem',
                gbid: '31011000001320001137'
            }, {
                top: '3.9rem',
                left: '11.6rem',
                gbid: '31011000001320001133'
            }, {
                top: '6.3rem',
                left: '1.2rem',
                gbid: '31011000001320001131'
            }, {
                top: '6.3rem',
                left: '3.2rem',
                gbid: '31011000001320001141'
            }, {
                top: '6.3rem',
                left: '7.4rem',
                gbid: '31011000001320001139'
            }, {
                top: '6.3rem',
                left: '9.95rem',
                gbid: '31011000001320001135'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/wjc_zonghelou.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
