<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>八监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/xsf">八监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>8</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>10</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.4rem',
                left: '1.05rem',
                gbid: '31011800001320000481'
            },{
                top: '1.4rem',
                left: '4.5rem',
                gbid: '31011800001320000483'
            },{
                top: '1.4rem',
                left: '9.2rem',
                gbid: '31011800001320000484'
            },{
                top: '6.9rem',
                left: '5.85rem',
                gbid: '31011800001320000478'
            },{
                top: '4.45rem',
                left: '1.45rem',
                gbid: '31011800001320000485'
            },{
                top: '4.73rem',
                left: '6.2rem',
                gbid: '31011800001320000479'
            },{
                top: '6.2rem',
                left: '2.3rem',
                gbid: '31011800001320000480'
            },{
                top: '5rem',
                left: '10.37rem',
                gbid: '31011800001320000482'
            }
        ],
        'arr2': [
            {
                top: '1.65rem',
                left: '1.4rem',
                gbid: '31011800001320000487'
            },{
                top: '4.4rem',
                left: '1.4rem',
                gbid: '31011800001320000486'
            },{
                top: '1.35rem',
                left: '6.25rem',
                gbid: '31011800001320000489'
            },{
                top: '1.35rem',
                left: '10.6rem',
                gbid: '31011800001320000494'
            },{
                top: '3rem',
                left: '3.05rem',
                gbid: '31011800001320000490'
            },{
                top: '3rem',
                left: '8.4rem',
                gbid: '31011800001320000492'
            },{
                top: '3rem',
                left: '5.75rem',
                gbid: '31011800001320000491'
            },{
                top: '5.45rem',
                left: '5.75rem',
                gbid: '31011800001320000488'
            },{
                top: '6.2rem',
                left: '2.3rem',
                gbid: '31011800001320000493'
            },{
                top: '4.73rem',
                left: '10.6rem',
                gbid: '31011800001320000495'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/new_eight_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
