<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>五监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/xsf">五监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>4</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>4</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>12</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '5.58rem',
                left: '8.15rem',
                gbid: '31011800001320000443'
            },{
                top: '3rem',
                left: '5.85rem',
                gbid: '31011800001320000441'
            },{
                top: '3rem',
                left: '2.8rem',
                gbid: '31011800001320000440'
            },{
                top: '3rem',
                left: '8.9rem',
                gbid: '31011800001320000442'
            }
        ],
        'arr2': [
            {
                top: '5.58rem',
                left: '8.15rem',
                gbid: '31011800001320000447'
            },{
                top: '3rem',
                left: '5.85rem',
                gbid: '31011800001320000445'
            },{
                top: '3rem',
                left: '2.8rem',
                gbid: '31011800001320000444'
            },{
                top: '0.5rem',
                left: '11rem',
                gbid: '31011800001320000446'
            }
        ],
        'arr3': [
            {
                top: '1.1rem',
                left: '0.35rem',
                gbid: '31011800001320000448'
            },{
                top: '1.1rem',
                left: '9rem',
                gbid: '31011800001320000453'
            },{
                top: '0.5rem',
                left: '5.85rem',
                gbid: '31011800001320000457'
            },{
                top: '2.8rem',
                left: '5.85rem',
                gbid: '31011800001320000459'
            },{
                top: '3rem',
                left: '11.35rem',
                gbid: '31011800001320000454'
            },{
                top: '5.05rem',
                left: '9.3rem',
                gbid: '31011800001320000455'
            },{
                top: '6.7rem',
                left: '2.7rem',
                gbid: '31011800001320000450'
            },{
                top: '6.55rem',
                left: '6.6rem',
                gbid: '31011800001320000451'
            },{
                top: '5rem',
                left: '6.6rem',
                gbid: '31011800001320000456'
            },{
                top: '3.5rem',
                left: '6.6rem',
                gbid: '31011800001320000458'
            },{
                top: '2.4rem',
                left: '7.54rem',
                gbid: '31011800001320000452'
            },{
                top: '4.25rem',
                left: '5.2rem',
                gbid: '31011800001320000449'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/new_five_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
