<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>三监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/xsf">三监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>28</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>27</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.9rem',
                left: '0.33rem',
                gbid: '31011800001320000247'
            },{
                top: '3.9rem',
                left: '5.05rem',
                gbid: '31011800001320000249'
            },{
                top: '3.9rem',
                left: '5.85rem',
                gbid: '31011800001320000248'
            },{
                top: '3.9rem',
                left: '5.45rem',
                gbid: '31011800001320000246'
            },{
                top: '3.9rem',
                left: '11.3rem',
                gbid: '31011800001320000245'
            },{
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011800001320000250'
            },{
                top: '6rem',
                left: '3.1rem',
                gbid: '31011800001320000235'
            },{
                top: '0.1rem',
                left: '5.48rem',
                gbid: '31011800001320000220'
            },{
                top: '0.35rem',
                left: '6.1rem',
                gbid: '31011800001320000236'
            },{
                top: '0.35rem',
                left: '7.2rem',
                gbid: '31011800001320000237'
            },{
                top: '0.35rem',
                left: '8.35rem',
                gbid: '31011800001320000238'
            },{
                top: '0.35rem',
                left: '9.5rem',
                gbid: '31011800001320000239'
            },{
                top: '0.35rem',
                left: '10.65rem',
                gbid: '31011800001320000240'
            },{
                top: '2.1rem',
                left: '6.45rem',
                gbid: '31011800001320000226'
            },{
                top: '2.1rem',
                left: '7.6rem',
                gbid: '31011800001320000227'
            },{
                top: '2.1rem',
                left: '8.7rem',
                gbid: '31011800001320000228'
            },{
                top: '2.1rem',
                left: '9.85rem',
                gbid: '31011800001320000229'
            },{
                top: '2.1rem',
                left: '11rem',
                gbid: '31011800001320000230'
            },{
                top: '5.7rem',
                left: '6.45rem',
                gbid: '31011800001320000231'
            },{
                top: '5.7rem',
                left: '7.6rem',
                gbid: '31011800001320000232'
            },{
                top: '5.7rem',
                left: '8.7rem',
                gbid: '31011800001320000233'
            },{
                top: '5.7rem',
                left: '9.85rem',
                gbid: '31011800001320000234'
            },{
                top: '7.65rem',
                left: '5.48rem',
                gbid: '31011800001320000221'
            },{
                top: '7.4rem',
                left: '6.8rem',
                gbid: '31011800001320000241'
            },{
                top: '0.7rem',
                left: '4.75rem',
                gbid: '31011800001320000222'
            },{
                top: '7.4rem',
                left: '7.9rem',
                gbid: '31011800001320000242'
            },{
                top: '7.4rem',
                left: '10.2rem',
                gbid: '31011800001320000244'
            },{
                top: '7.4rem',
                left: '9.05rem',
                gbid: '31011800001320000243'
            }
        ],
        'arr2': [
            {
                top: '3.9rem',
                left: '0.33rem',
                gbid: '31011800001320000271'
            },{
                top: '3.9rem',
                left: '5.05rem',
                gbid: '31011800001320000274'
            },{
                top: '3.9rem',
                left: '5.85rem',
                gbid: '31011800001320000272'
            },{
                top: '3.9rem',
                left: '5.45rem',
                gbid: '31011800001320000270'
            },{
                top: '3.9rem',
                left: '11.3rem',
                gbid: '31011800001320000269'
            },{
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011800001320000275'
            },{
                top: '6rem',
                left: '2.3rem',
                gbid: '31011800001320000259'
            },{
                top: '6.3rem',
                left: '4.25rem',
                gbid: '31011800001320000273'
            },{
                top: '0.35rem',
                left: '6.1rem',
                gbid: '31011800001320000260'
            },{
                top: '0.35rem',
                left: '7.2rem',
                gbid: '31011800001320000261'
            },{
                top: '0.35rem',
                left: '8.35rem',
                gbid: '31011800001320000262'
            },{
                top: '0.35rem',
                left: '9.5rem',
                gbid: '31011800001320000263'
            },{
                top: '0.35rem',
                left: '10.65rem',
                gbid: '31011800001320000264'
            },{
                top: '2.1rem',
                left: '6.45rem',
                gbid: '31011800001320000251'
            },{
                top: '2.1rem',
                left: '7.6rem',
                gbid: '31011800001320000252'
            },{
                top: '2.1rem',
                left: '8.7rem',
                gbid: '31011800001320000253'
            },{
                top: '2.1rem',
                left: '9.85rem',
                gbid: '31011800001320000382'
            },{
                top: '2.1rem',
                left: '11rem',
                gbid: '31011800001320000254'
            },{
                top: '5.7rem',
                left: '6.45rem',
                gbid: '31011800001320000255'
            },{
                top: '5.7rem',
                left: '7.6rem',
                gbid: '31011800001320000256'
            },{
                top: '5.7rem',
                left: '8.7rem',
                gbid: '31011800001320000257'
            },{
                top: '5.7rem',
                left: '9.85rem',
                gbid: '31011800001320000258'
            },{
                top: '7.4rem',
                left: '6.8rem',
                gbid: '31011800001320000265'
            },{
                top: '0.7rem',
                left: '4.75rem',
                gbid: '31011800001320000223'
            },{
                top: '7.4rem',
                left: '7.9rem',
                gbid: '31011800001320000266'
            },{
                top: '7.4rem',
                left: '10.2rem',
                gbid: '31011800001320000268'
            },{
                top: '7.4rem',
                left: '9.05rem',
                gbid: '31011800001320000267'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/new_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
