<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zp">一号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>25</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>35</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.5rem',
                left: '0.9rem',
                gbid: '31011500001320000104'
            }, {
                top: '1.5rem',
                left: '2.5rem',
                gbid: '31011500001320000090'
            }, {
                top: '1.5rem',
                left: '4.4rem',
                gbid: '31011500001320000098'
            }, {
                top: '1.5rem',
                left: '6.3rem',
                gbid: '31011500001320000094'
            }, {
                top: '1.5rem',
                left: '7.9rem',
                gbid: '31011500001320000086'
            }, {
                top: '1.5rem',
                left: '9.5rem',
                gbid: '31011500001320000085'
            }, {
                top: '2.5rem',
                left: '2.5rem',
                gbid: '31011500001320000091'
            }, {
                top: '2.5rem',
                left: '11.3rem',
                gbid: '31011500001320000100'
            }, {
                top: '4.2rem',
                left: '1.0rem',
                gbid: '31011500001320000099'
            }, {
                top: '4.2rem',
                left: '3.7rem',
                gbid: '31011500001320000097'
            }, {
                top: '4.2rem',
                left: '7.1rem',
                gbid: '31011500001320000095'
            }, {
                top: '3.1rem',
                left: '8.2rem',
                gbid: '31011500001320000083'
            }, {
                top: '3.1rem',
                left: '10rem',
                gbid: '31011500001320000081'
            }, {
                top: '4.6rem',
                left: '9.6rem',
                gbid: '31011500001320000084'
            }, {
                top: '4.6rem',
                left: '11.4rem',
                gbid: '31011500001320000082'
            }, {
                top: '7.4rem',
                left: '11.4rem',
                gbid: '31011500001320000093'
            }, {
                top: '5.1rem',
                left: '11rem',
                gbid: '31011500001320000102'
            }, {
                top: '5.1rem',
                left: '0.3rem',
                gbid: '31011500001320000103'
            }, {
                top: '5.7rem',
                left: '10rem',
                gbid: '31011500001320000092'
            }, {
                top: '7rem',
                left: '1.9rem',
                gbid: '31011500001320000089'
            }, {
                top: '7rem',
                left: '3.3rem',
                gbid: '31011500001320000089'
            }, {
                top: '7rem',
                left: '4.85rem',
                gbid: '31011500001320000087'
            }, {
                top: '7rem',
                left: '7.15rem',
                gbid: '31011500001320000096'
            }, {
                top: '7rem',
                left: '8.9rem',
                gbid: '31011500001320000105'
            }, {
                top: '7.3rem',
                left: '5.85rem',
                gbid: '31011500001320000101'
            }
        ],
        'arr2': [
            {
                top: '0.5rem',
                left: '0.85rem',
                gbid: '31011500001320000116'
            }, {
                top: '0.5rem',
                left: '2.32rem',
                gbid: '31011500001320000120'
            }, {
                top: '0.5rem',
                left: '3.8rem',
                gbid: '31011500001320000124'
            }, {
                top: '0.5rem',
                left: '5.2rem',
                gbid: '31011500001320000128'
            }, {
                top: '0.5rem',
                left: '6.7rem',
                gbid: '31011500001320000132'
            }, {
                top: '0.5rem',
                left: '8.1rem',
                gbid: '31011500001320000110'
            }, {
                top: '0.5rem',
                left: '9.55rem',
                gbid: '31011500001320000114'
            }, {
                top: '1.7rem',
                left: '0.85rem',
                gbid: '31011500001320000115'
            }, {
                top: '1.7rem',
                left: '2.32rem',
                gbid: '31011500001320000119'
            }, {
                top: '1.7rem',
                left: '3.8rem',
                gbid: '31011500001320000123'
            }, {
                top: '1.7rem',
                left: '5.2rem',
                gbid: '31011500001320000127'
            }, {
                top: '1.7rem',
                left: '6.7rem',
                gbid: '31011500001320000131'
            }, {
                top: '1.7rem',
                left: '8.1rem',
                gbid: '31011500001320000109'
            }, {
                top: '1.7rem',
                left: '9.55rem',
                gbid: '31011500001320000113'
            }, {
                top: '3.5rem',
                left: '0.85rem',
                gbid: '31011500001320000117'
            }, {
                top: '3.5rem',
                left: '2.32rem',
                gbid: '31011500001320000121'
            }, {
                top: '3.5rem',
                left: '3.8rem',
                gbid: '31011500001320000125'
            }, {
                top: '3.5rem',
                left: '5.2rem',
                gbid: '31011500001320000129'
            }, {
                top: '3.5rem',
                left: '6.7rem',
                gbid: '31011500001320000107'
            }, {
                top: '3.5rem',
                left: '8.1rem',
                gbid: '31011500001320000111'
            }, {
                top: '4.8rem',
                left: '0.85rem',
                gbid: '31011500001320000118'
            }, {
                top: '4.8rem',
                left: '2.32rem',
                gbid: '31011500001320000122'
            }, {
                top: '4.8rem',
                left: '3.8rem',
                gbid: '31011500001320000126'
            }, {
                top: '4.8rem',
                left: '5.2rem',
                gbid: '31011500001320000130'
            }, {
                top: '4.8rem',
                left: '6.7rem',
                gbid: '31011500001320000108'
            }, {
                top: '4.8rem',
                left: '8.1rem',
                gbid: '31011500001320000112'
            }, {
                top: '6.3rem',
                left: '8.4rem',
                gbid: '31011500001320000136'
            }, {
                top: '6.3rem',
                left: '4.5rem',
                gbid: '31011500001320000133'
            }, {
                top: '6.3rem',
                left: '2.2rem',
                gbid: '31011500001320000139'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011500001320000142'
            }, {
                top: '7.4rem',
                left: '0.8rem',
                gbid: '31011500001320000138'
            }, {
                top: '4.3rem',
                left: '9.85rem',
                gbid: '31011500001320000135'
            }, {
                top: '2.6rem',
                left: '9.85rem',
                gbid: '31011500001320000140'
            }, {
                top: '1.95rem',
                left: '10.95rem',
                gbid: '31011500001320000137'
            }, {
                top: '7.3rem',
                left: '11.2rem',
                gbid: '31011500001320000141'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/zhoupu_one' + index +'.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
