<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zp">二号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>39</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>37</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.3rem',
                left: '0.75rem',
                gbid: '31011500001320000234'
            }, {
                top: '0.3rem',
                left: '2.05rem',
                gbid: '31011500001320000240'
            }, {
                top: '0.3rem',
                left: '3.3rem',
                gbid: '31011500001320000244'
            }, {
                top: '0.3rem',
                left: '4.6rem',
                gbid: '31011500001320000248'
            }, {
                top: '0.3rem',
                left: '5.85rem',
                gbid: '31011500001320000252'
            }, {
                top: '0.3rem',
                left: '7.1rem',
                gbid: '31011500001320000228'
            }, {
                top: '1.8rem',
                left: '0.75rem',
                gbid: '31011500001320000233'
            }, {
                top: '1.8rem',
                left: '2.05rem',
                gbid: '31011500001320000239'
            }, {
                top: '1.8rem',
                left: '3.3rem',
                gbid: '31011500001320000243'
            }, {
                top: '1.8rem',
                left: '4.6rem',
                gbid: '31011500001320000247'
            }, {
                top: '1.8rem',
                left: '5.85rem',
                gbid: '31011500001320000251'
            }, {
                top: '1.8rem',
                left: '7.1rem',
                gbid: '31011500001320000227'
            }, {
                top: '1.8rem',
                left: '8.35rem',
                gbid: '31011500001320000256'
            }, {
                top: '1.8rem',
                left: '9.65rem',
                gbid: '31011500001320000257'
            }, {
                top: '3.7rem',
                left: '0.75rem',
                gbid: '31011500001320000237'
            }, {
                top: '3.7rem',
                left: '2.05rem',
                gbid: '31011500001320000241'
            }, {
                top: '3.7rem',
                left: '3.3rem',
                gbid: '31011500001320000245'
            }, {
                top: '3.7rem',
                left: '4.6rem',
                gbid: '31011500001320000249'
            }, {
                top: '3.7rem',
                left: '5.85rem',
                gbid: '31011500001320000225'
            }, {
                top: '3.7rem',
                left: '7.1rem',
                gbid: '31011500001320000229'
            }, {
                top: '3.7rem',
                left: '8.35rem',
                gbid: '31011500001320000231'
            }, {
                top: '5.1rem',
                left: '0.75rem',
                gbid: '31011500001320000238'
            }, {
                top: '5.1rem',
                left: '2.05rem',
                gbid: '31011500001320000242'
            }, {
                top: '5.1rem',
                left: '3.3rem',
                gbid: '31011500001320000246'
            }, {
                top: '5.1rem',
                left: '4.6rem',
                gbid: '31011500001320000250'
            }, {
                top: '5.1rem',
                left: '5.85rem',
                gbid: '31011500001320000226'
            }, {
                top: '5.1rem',
                left: '7.1rem',
                gbid: '31011500001320000230'
            }, {
                top: '5.1rem',
                left: '8.35rem',
                gbid: '31011500001320000232'
            }, {
                top: '2.1rem',
                left: '10.95rem',
                gbid: '31011500001320000220'
            }, {
                top: '4.5rem',
                left: '9.9rem',
                gbid: '31011500001320000221'
            }, {
                top: '6.5rem',
                left: '8.75rem',
                gbid: '31011500001320000222'
            }, {
                top: '6.5rem',
                left: '5.2rem',
                gbid: '31011500001320000253'
            }, {
                top: '6.5rem',
                left: '3.3rem',
                gbid: '31011500001320000255'
            }, {
                top: '6.5rem',
                left: '2rem',
                gbid: '31011500001320000258'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011500001320000224'
            }, {
                top: '7.4rem',
                left: '0.8rem',
                gbid: '31011500001320000260'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011500001320000223'
            }, {
                top: '7.4rem',
                left: '5.2rem',
                gbid: '31011500001320000254'
            }, {
                top: '2.75rem',
                left: '10.25rem',
                gbid: '31011500001320000259'
            }
        ],
        'arr2': [
            {
                top: '0.3rem',
                left: '0.75rem',
                gbid: '31011500001320000276'
            }, {
                top: '0.3rem',
                left: '2.05rem',
                gbid: '31011500001320000280'
            }, {
                top: '0.3rem',
                left: '3.3rem',
                gbid: '31011500001320000284'
            }, {
                top: '0.3rem',
                left: '4.6rem',
                gbid: '31011500001320000287'
            }, {
                top: '0.3rem',
                left: '5.85rem',
                gbid: '31011500001320000290'
            }, {
                top: '0.3rem',
                left: '7.1rem',
                gbid: '31011500001320000270'
            }, {
                top: '1.8rem',
                left: '0.75rem',
                gbid: '31011500001320000275'
            }, {
                top: '1.8rem',
                left: '2.05rem',
                gbid: '31011500001320000279'
            }, {
                top: '1.8rem',
                left: '3.3rem',
                gbid: '31011500001320000283'
            }, {
                top: '1.8rem',
                left: '4.6rem',
                gbid: '31011500001320000261'
            }, {
                top: '1.8rem',
                left: '5.85rem',
                gbid: '31011500001320000289'
            }, {
                top: '1.8rem',
                left: '7.1rem',
                gbid: '31011500001320000269'
            }, {
                top: '1.8rem',
                left: '8.35rem',
                gbid: '31011500001320000291'
            }, {
                top: '1.8rem',
                left: '9.65rem',
                gbid: '31011500001320000292'
            }, {
                top: '3.7rem',
                left: '0.75rem',
                gbid: '31011500001320000277'
            }, {
                top: '3.7rem',
                left: '2.05rem',
                gbid: '31011500001320000281'
            }, {
                top: '3.7rem',
                left: '3.3rem',
                gbid: '31011500001320000285'
            }, {
                top: '3.7rem',
                left: '4.6rem',
                gbid: '31011500001320000262'
            }, {
                top: '3.7rem',
                left: '5.85rem',
                gbid: '31011500001320000267'
            }, {
                top: '3.7rem',
                left: '7.1rem',
                gbid: '31011500001320000271'
            }, {
                top: '3.7rem',
                left: '8.35rem',
                gbid: '31011500001320000273'
            }, {
                top: '5.1rem',
                left: '0.75rem',
                gbid: '31011500001320000278'
            }, {
                top: '5.1rem',
                left: '2.05rem',
                gbid: '31011500001320000282'
            }, {
                top: '5.1rem',
                left: '3.3rem',
                gbid: '31011500001320000286'
            }, {
                top: '5.1rem',
                left: '4.6rem',
                gbid: '31011500001320000288'
            }, {
                top: '5.1rem',
                left: '5.85rem',
                gbid: '31011500001320000268'
            }, {
                top: '5.1rem',
                left: '7.1rem',
                gbid: '31011500001320000272'
            }, {
                top: '5.1rem',
                left: '8.35rem',
                gbid: '31011500001320000274'
            }, {
                top: '4.5rem',
                left: '9.9rem',
                gbid: '31011500001320000265'
            }, {
                top: '6.5rem',
                left: '8.75rem',
                gbid: '31011500001320000266'
            }, {
                top: '6.5rem',
                left: '5.2rem',
                gbid: '31011500001320000263'
            }, {
                top: '6.5rem',
                left: '3.3rem',
                gbid: '31011500001320000294'
            }, {
                top: '6.5rem',
                left: '2rem',
                gbid: '31011500001320000293'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011500001320000297'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011500001320000296'
            }, {
                top: '7.4rem',
                left: '5.2rem',
                gbid: '31011500001320000264'
            }, {
                top: '2.75rem',
                left: '10.25rem',
                gbid: '31011500001320000295'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/zhoupu_two' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
