<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>病房</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zyy">病房</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>15</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>10</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>29</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            // 上
            { top: '3.81%', left: '11.48%' , gbid: '31011500001320001008'},
            { top: '3.81%', left: '45.82%' , gbid: '31011500001320001002'},
            { top: '3.81%', left: '81.50%' , gbid: '31011500001320001009'},
            // 中候诊1
            { top: '26.70%', left: '8.58%' , gbid: '31011500001320001006'},
            { top: '26.70%', left: '33.67%' , gbid: '31011500001320001005'},
            { top: '26.70%', left: '59.31%' , gbid: '31011500001320001004'},
            { top: '26.70%', left: '84.30%' , gbid: '31011500001320001003'},
            // 中门诊
            { top: '39.30%', left: '21.18%' , gbid: '31011500001320001016'},
            { top: '39.14%', left: '46.38%' , gbid: '31011500001320001015'},
            { top: '39.14%', left: '71.13%' , gbid: '31011500001320001014'},
            // 中下
            { top: '63.18%', left: '33.67%' , gbid: '31011500001320001010'},
            { top: '62.85%', left: '59.31%' , gbid: '31011500001320001013'},
            { top: '63.02%', left: '84.30%' , gbid: '31011500001320001011'},
            // 右
            { top: '38.81%', left: '96.54%' , gbid: '31011500001320001012'},
            // 下
            { top: '88.06%', left: '46.60%' , gbid: '31011500001320001007'},
        ],
        'arr2': [
            // 右1
            { top: '4.81%', left: '67.00%' , gbid: '31011500001320001029'},
            { top: '28.52%', left: '67.00%' , gbid: '31011500001320001027'},
            { top: '51.74%', left: '67.00%' , gbid: '31011500001320001026'},
            { top: '75.12%', left: '67.00%' , gbid: '31011500001320001025'},
            { top: '89.05%', left: '67.00%' , gbid: '31011500001320001024'},
            // 右2
            { top: '4.81%', left: '87.85%' , gbid: '31011500001320001023'},
            { top: '28.52%', left: '87.85%' , gbid: '31011500001320001021'},
            { top: '51.74%', left: '87.85%' , gbid: '31011500001320001020'},
            { top: '75.12%', left: '87.85%' , gbid: '31011500001320001019'},
            { top: '89.05%', left: '87.85%' , gbid: '31011500001320001018'},
        ],
        'arr3': [
            // 左1
            { top: '5.64%', left: '9.80%' , gbid: '31011500001320001059'},
            { top: '17.25%', left: '9.80%' , gbid: '31011500001320001035'},
            { top: '28.52%', left: '9.80%' , gbid: '31011500001320001037'},
            { top: '40.13%', left: '9.80%' , gbid: '31011500001320001039'},
            { top: '51.74%', left: '9.80%' , gbid: '31011500001320001041'},
            { top: '63.02%', left: '9.80%' , gbid: '31011500001320001043'},
            { top: '75.12%', left: '9.80%' , gbid: '31011500001320001045'},
            { top: '89.05%', left: '9.80%' , gbid: '31011500001320001047'},
            // 左2
            { top: '5.64%', left: '30.8%' , gbid: '31011500001320001060'},
            { top: '17.25%', left: '30.8%' , gbid: '31011500001320001036'},
            { top: '28.52%', left: '30.8%' , gbid: '31011500001320001038'},
            { top: '40.13%', left: '30.8%' , gbid: '31011500001320001040'},
            { top: '51.74%', left: '30.8%' , gbid: '31011500001320001042'},
            { top: '63.02%', left: '30.8%' , gbid: '31011500001320001044'},
            { top: '75.12%', left: '30.8%' , gbid: '31011500001320001046'},
            { top: '89.05%', left: '30.8%' , gbid: '31011500001320001048'},
            // 右1
            { top: '4.81%', left: '67.00%' , gbid: '31011500001320001057'},
            { top: '28.52%', left: '67.00%' , gbid: '31011500001320001055'},
            { top: '51.74%', left: '67.00%' , gbid: '31011500001320001053'},
            { top: '75.12%', left: '67.00%' , gbid: '31011500001320001051'},
            { top: '89.05%', left: '67.00%' , gbid: '31011500001320001034'},
            // 右2
            { top: '17.25%', left: '77.48%' , gbid: '31011500001320001033'},
            { top: '40.13%', left: '77.48%' , gbid: '31011500001320001032'},
            { top: '63.02%', left: '77.48%' , gbid: '31011500001320001031'},
            // 右3
            { top: '4.81%', left: '87.85%' , gbid: '31011500001320001058'},
            { top: '28.52%', left: '87.85%' , gbid: '31011500001320001056'},
            { top: '51.74%', left: '87.85%' , gbid: '31011500001320001054'},
            { top: '75.12%', left: '87.85%' , gbid: '31011500001320001052'},
            { top: '89.05%', left: '87.85%' , gbid: '31011500001320001050'},
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/bingfang1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
