<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>感染</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zyy">感染</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>33</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>22</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>23</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            // 上
            { top: '3.15%', left: '18.51%' , gbid: '31011500001320001205'},
            { top: '3.15%', left: '74.14%' , gbid: '31011500001320001204'},
            // 左1
            { top: '22.06%', left: '4.57%' , gbid: '31011500001320001117'},
            { top: '42.12%', left: '4.57%' , gbid: '31011500001320001223'},
            { top: '63.35%', left: '4.57%' , gbid: '31011500001320001116'},
            { top: '83.25%', left: '4.57%' , gbid: '31011500001320001224'},
            // 左2
            { top: '22.06%', left: '13.60%' , gbid: '31011500001320001049'},
            { top: '42.12%', left: '13.60%' , gbid: '31011500001320001222'},
            { top: '63.35%', left: '13.60%' , gbid: '31011500001320001115'},
            { top: '83.25%', left: '13.60%' , gbid: '31011500001320001225'},
            // 左走廊
            { top: '25.87%', left: '21.00%' , gbid: '31011500001320001208'},
            { top: '64.00%', left: '21.00%' , gbid: '31011500001320001209'},
            // 左3
            { top: '22.06%', left: '28.43%' , gbid: '31011500001320001114'},
            { top: '42.12%', left: '28.43%' , gbid: '31011500001320001226'},
            // 左4
            { top: '21.89%', left: '37.57%' , gbid: '31011500001320001113'},
            { top: '42.12%', left: '37.57%' , gbid: '31011500001320001219'},
            // 左
            { top: '63.85%', left: '33.22%' , gbid: '31011500001320001213'},
            { top: '83.25%', left: '33.22%' , gbid: '31011500001320001214'},
            // 中走廊
            { top: '25.70%', left: '49.50%' , gbid: '31011500001320001206'},
            { top: '63.85%', left: '49.50%' , gbid: '31011500001320001207'},
            // 右1
            { top: '22.06%', left: '65.33%' , gbid: '31011500001320001112'},
            { top: '42.12%', left: '65.33%' , gbid: '31011500001320001218'},
            { top: '63.35%', left: '65.33%' , gbid: '31011500001320001215'},
            { top: '83.25%', left: '65.33%' , gbid: '31011500001320001216'},
            // 右走廊
            { top: '25.87%', left: '76.81%' , gbid: '31011500001320001210'},
            { top: '64.00%', left: '76.81%' , gbid: '31011500001320001211'},
            // 右2
            { top: '42.12%', left: '83.95%' , gbid: '31011500001320001217'},
            { top: '63.35%', left: '83.95%' , gbid: '31011500001320001111'},
            { top: '83.25%', left: '83.95%' , gbid: '31011500001320001212'},
            // 右3
            { top: '22.06%', left: '92.87%' , gbid: '31011500001320001202'},
            { top: '42.12%', left: '92.87%' , gbid: '31011500001320001221'},
            { top: '63.35%', left: '92.87%' , gbid: '31011500001320001203'},
            { top: '83.25%', left: '92.87%' , gbid: '31011500001320001220'},

        ],
        'arr2': [
            // 上
            { top: '3.15%', left: '17.61%' , gbid: '31011500001320001228'},
            { top: '3.15%', left: '72.58%' , gbid: '31011500001320001227'},
            // 左1
            { top: '32.67%', left: '9.81%' , gbid: '31011500001320001242'},
            { top: '63.85%', left: '9.81%' , gbid: '31011500001320001243'},
            { top: '83.25%', left: '9.81%' , gbid: '31011500001320001244'},
            // 左走廊
            { top: '25.87%', left: '21.00%' , gbid: '31011500001320001230'},
            { top: '64.00%', left: '21.00%' , gbid: '31011500001320001231'},
            // 左2
            { top: '21.89%', left: '33.22%' , gbid: '31011500001320001235'},
            { top: '41.46%', left: '33.22%' , gbid: '31011500001320001236'},
            { top: '63.85%', left: '33.22%' , gbid: '31011500001320001241'},
            { top: '83.25%', left: '33.22%' , gbid: '31011500001320001234'},
            // 中走廊
            { top: '25.70%', left: '49.50%' , gbid: '31011500001320001229'},
            // 右1
            { top: '22.06%', left: '65.33%' , gbid: '31011500001320001237'},
            { top: '42.12%', left: '65.33%' , gbid: '31011500001320001238'},
            { top: '63.35%', left: '65.33%' , gbid: '31011500001320001239'},
            { top: '83.25%', left: '65.33%' , gbid: '31011500001320001240'},
            // 右走廊
            { top: '25.87%', left: '76.81%' , gbid: '31011500001320001232'},
            { top: '64.00%', left: '76.81%' , gbid: '31011500001320001233'},
            // 右2
            { top: '22.06%', left: '88.18%' , gbid: '31011500001320001245'},
            { top: '42.12%', left: '88.18%' , gbid: '31011500001320001246'},
            { top: '63.35%', left: '88.18%' , gbid: '31011500001320001247'},
            { top: '83.25%', left: '88.18%' , gbid: '31011500001320001248'},
        ],
        'arr3': [
            // 上
            { top: '3.15%', left: '17.61%' , gbid: '31011500001320001252'},
            { top: '3.15%', left: '72.58%' , gbid: '31011500001320001251'},
            // 左1
            { top: '32.67%', left: '9.81%' , gbid: '31011500001320001265'},
            { top: '63.85%', left: '9.81%' , gbid: '31011500001320001266'},
            { top: '83.25%', left: '9.81%' , gbid: '31011500001320001267'},
            // 左走廊
            { top: '25.87%', left: '21.00%' , gbid: '31011500001320001256'},
            { top: '64.00%', left: '21.00%' , gbid: '31011500001320001255'},
            // 左2
            { top: '21.89%', left: '33.22%' , gbid: '31011500001320001259'},
            { top: '41.46%', left: '33.22%' , gbid: '31011500001320001258'},
            { top: '63.85%', left: '33.22%' , gbid: '31011500001320001264'},
            { top: '83.25%', left: '33.22%' , gbid: '31011500001320001257'},
            // 中走廊
            { top: '25.70%', left: '49.50%' , gbid: '31011500001320001249'},
            { top: '63.85%', left: '49.50%' , gbid: '31011500001320001250'},
            // 右1
            { top: '22.06%', left: '65.33%' , gbid: '31011500001320001261'},
            { top: '42.12%', left: '65.33%' , gbid: '31011500001320001260'},
            { top: '63.35%', left: '65.33%' , gbid: '31011500001320001263'},
            { top: '83.25%', left: '65.33%' , gbid: '31011500001320001262'},
            // 右走廊
            { top: '25.87%', left: '76.81%' , gbid: '31011500001320001254'},
            { top: '64.00%', left: '76.81%' , gbid: '31011500001320001253'},
            // 右2
            { top: '22.06%', left: '88.18%' , gbid: '31011500001320001269'},
            { top: '42.12%', left: '88.18%' , gbid: '31011500001320001268'},
            { top: '63.35%', left: '88.18%' , gbid: '31011500001320001270'},
            { top: '83.25%', left: '88.18%' , gbid: '31011500001320001271'},
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/ganran1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
