package com.ces.web.bxj.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

@RestController
@RequestMapping("/bxj")
@RequiresRoles({Constant.RoleCode.BXJ})
public class BxjController {

    @GetMapping
    public ModelAndView bxjAreaPlanView () {
        return new ModelAndView("bxj/bxjAreaPlan");
    }

    @GetMapping("/jqone")
    public ModelAndView jqoneIndex() {
        return new ModelAndView("bxj/jqone");
    }

    @GetMapping("/jqtwo")
    public ModelAndView jqtwoIndex() {
        return new ModelAndView("bxj/jqtwo");
    }

    @GetMapping("/jqthere")
    public ModelAndView jqthereIndex() {
        return new ModelAndView("bxj/jqthere");
    }

    @GetMapping("/jqfour")
    public ModelAndView jqfourIndex() {
        return new ModelAndView("bxj/jqfour");
    }

    @GetMapping("/jqfive")
    public ModelAndView jqfiveIndex() {
        return new ModelAndView("bxj/jqfive");
    }

    @GetMapping("/jqsix")
    public ModelAndView jqsixIndex() {
        return new ModelAndView("bxj/jqsix");
    }

    @GetMapping("/jqseven")
    public ModelAndView jqsevenIndex() {
        return new ModelAndView("bxj/jqseven");
    }

    @GetMapping("/wss")
    public ModelAndView wssIndex() {
        return new ModelAndView("bxj/wss");
    }
}
