package com.ces.web.nh.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

@RestController
@RequestMapping("/nh")
@RequiresRoles({Constant.RoleCode.NH})
public class NhController {

    @GetMapping
    public ModelAndView nhAreaPlanView () {
        return new ModelAndView("nh/nhAreaPlan");
    }

    @GetMapping("/onefloor")
    public ModelAndView onefloorIndex () {
        return new ModelAndView("nh/onefloor");
    }

    @GetMapping("/twofloor")
    public ModelAndView twofloorIndex () {
        return new ModelAndView("nh/twofloor");
    }

    @GetMapping("/therefloor")
    public ModelAndView therefloorIndex () {
        return new ModelAndView("nh/therefloor");
    }

    @GetMapping("/fourfloor")
    public ModelAndView fourfloorIndex () {
        return new ModelAndView("nh/fourfloor");
    }
}
