package com.ces.web.qp.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * 王少强
 */
@Controller
@RequestMapping("/qp")
@RequiresRoles({Constant.RoleCode.QP})
public class QPController {

    /**
     * 进入青浦首页
     * @return
     */
    @GetMapping
    public ModelAndView qpIndex(){
        return new ModelAndView("qp/areaPlan");
    }

    @GetMapping("/onearea")
    public ModelAndView oneareaIndex(){
        return new ModelAndView("qp/onearea");
    }

    @GetMapping("/twoarea")
    public ModelAndView twoareaIndex(){
        return new ModelAndView("qp/twoarea");
    }

    @GetMapping("/threearea")
    public ModelAndView threeareaIndex(){
        return new ModelAndView("qp/threearea");
    }

    @GetMapping("/fourarea")
    public ModelAndView fourareaIndex(){
        return new ModelAndView("qp/fourarea");
    }

    @GetMapping("/fivearea")
    public ModelAndView fiveareaIndex(){
        return new ModelAndView("qp/fivearea");
    }

    @GetMapping("/sixarea")
    public ModelAndView sixareaIndex(){
        return new ModelAndView("qp/sixarea");
    }

    @GetMapping("/onecq")
    public ModelAndView onecqIndex(){
        return new ModelAndView("qp/onecq");
    }

    @GetMapping("/edufloor")
    public ModelAndView edufloorIndex(){
        return new ModelAndView("qp/edufloor");
    }
}
