package com.ces.web.wjc.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author YYB
 */
@Controller
@RequestMapping("/wjc")
@RequiresRoles({Constant.RoleCode.WJC})
public class WJCController {

    @GetMapping
    public ModelAndView njIndex() {
        return new ModelAndView("wjc/areaPlan");
    }

    @GetMapping("/east")
    public ModelAndView eastIndex() {
        return new ModelAndView("wjc/east");
    }

    @GetMapping("/south")
    public ModelAndView southIndex() {
        return new ModelAndView("wjc/south");
    }

    @GetMapping("/north")
    public ModelAndView northIndex() {
        return new ModelAndView("wjc/north");
    }

    @GetMapping("/zhl")
    public ModelAndView zhlIndex() {
        return new ModelAndView("wjc/zhl");
    }

    @GetMapping("/dxyl")
    public ModelAndView dxylIndex() {
        return new ModelAndView("wjc/dxyl");
    }

    @GetMapping("/xxyl")
    public ModelAndView xxylIndex() {
        return new ModelAndView("wjc/xxyl");
    }

    @GetMapping("/njxl")
    public ModelAndView njxlIndex() {
        return new ModelAndView("wjc/njxl");
    }

    @GetMapping("/bjxl")
    public ModelAndView bjxlIndex() {
        return new ModelAndView("wjc/bjxl");
    }
}
