package com.ces.web.zongyiyuan.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("/zyy")
@RequiresRoles({Constant.RoleCode.ZYY})
public class ZongyiyuanController {

    /**
     * 进入总医院首页
     * @return
     */
    @GetMapping
    public ModelAndView zongyiyuanIndex(){
        return new ModelAndView("zyy/areaPlan");
    }

    @GetMapping("/bffloor")
    public ModelAndView bffloorIndex(){
        return new ModelAndView("zyy/bffloor");
    }

    @GetMapping("/grfloor")
    public ModelAndView grfloorIndex(){
        return new ModelAndView("zyy/grfloor");
    }

    @GetMapping("/fzfloor")
    public ModelAndView fzfloorIndex(){
        return new ModelAndView("zyy/fzfloor");
    }

    @GetMapping("/xtsfloor")
    public ModelAndView xtsfloorIndex(){
        return new ModelAndView("zyy/xtsfloor");
    }
}
