package com.ces.web.zp.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author YYB
 */
@Controller
@RequestMapping("/zp")
@RequiresRoles({Constant.RoleCode.ZP})
public class ZPController {

    @GetMapping
    public ModelAndView njIndex() {
        return new ModelAndView("zp/areaPlan");
    }

    @GetMapping("/onefloor")
    public ModelAndView onefloorIndex() {
        return new ModelAndView("zp/onefloor");
    }

    @GetMapping("/twofloor")
    public ModelAndView twofloorIndex() {
        return new ModelAndView("zp/twofloor");
    }

    @GetMapping("/therefloor")
    public ModelAndView therefloorIndex() {
        return new ModelAndView("zp/therefloor");
    }

    @GetMapping("/hjfloor")
    public ModelAndView hjfloorIndex() {
        return new ModelAndView("zp/hjfloor");
    }
}
