<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>五监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">五监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>29</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>32</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '10.45%',
                left: '1.65%',
                gbid: '31010500001320000091'
            },
            {
                top: '33.33%',
                left: '1.70%',
                gbid: '31010500001320000050'
            }, {
                top: '64.01%',
                left: '6.00%',
                gbid: '31010500001320000811'
            },
            {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000544'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000223'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000221'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000228'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000226'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000232'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000230'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000225'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000220'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000229'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000227'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000233'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000231'
            },
            {
                top: '3.15%',
                left: '89.86%',
                gbid: '31010500001320000092'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000047'
            },
            {
                top: '50.08%',
                left: '90.19%',
                gbid: '31010500001320000049'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000052'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000048'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000234'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000236'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000043'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000045'
            },
            {
                top: '69.65%',
                left: '34.00%',
                gbid: '31010500001320000235'
            },
            {
                top: '90.40%',
                left: '34.00%',
                gbid: '31010500001320000237'
            }, {
                top: '69.65%',
                left: '58.00%',
                gbid: '31010500001320000044'
            }, {
                top: '90.40%',
                left: '58.00%',
                gbid: '31010500001320000046'
            }
        ],
        'arr2': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000210'
            },
            {
                top: '25.37%',
                left: '1.60%',
                gbid: '31010500001320000089'
            },
            {
                top: '41.79%',
                left: '1.60%',
                gbid: '31010500001320000209'
            },
            {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000812'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000289'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000211'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000208'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000214'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000193'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000200'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000204'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000215'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000190'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000195'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000199'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000206'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000202'
            },
            {
                top: '3.15%',
                left: '89.86%',
                gbid: '31010500001320000197'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000219'
            },
            {
                top: '50.08%',
                left: '91.69%',
                gbid: '31010500001320000217'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000081'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000207'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000198'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000192'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000205'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000218'
            }, {
                top: '65.00%',
                left: '70.23%',
                gbid: '31010500001320000212'
            },
            {
                top: '69.65%',
                left: '34.00%',
                gbid: '31010500001320000216'
            },
            {
                top: '90.40%',
                left: '34.00%',
                gbid: '31010500001320000203'
            }, {
                top: '69.65%',
                left: '58.00%',
                gbid: '31010500001320000196'
            }, {
                top: '90.40%',
                left: '58.00%',
                gbid: '31010500001320000188'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000201'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu5_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
