<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>四监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">四监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>31</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>34</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000383'
            }, {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000661'
            },
            {
                top: '31.01%',
                left: '1.70%',
                gbid: '31010500001320000384'
            },
            {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000660'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000161'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000158'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000167'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000165'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000247'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000169'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000163'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000159'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000168'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000166'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000255'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000170'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000378'
            }, {
                top: '40.00%',
                left: '89.86%',
                gbid: '31010500001320000389'
            },
            {
                top: '67.16%',
                left: '91.64%',
                gbid: '31010500001320000758'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000386'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000388'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000266'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000282'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000337'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000358'
            }, {
                top: '65.00%',
                left: '70.23%',
                gbid: '31010500001320000315'
            },
            {
                top: '69.65%',
                left: '34.00%',
                gbid: '31010500001320000277'
            },
            {
                top: '90.40%',
                left: '34.00%',
                gbid: '31010500001320000293'
            }, {
                top: '69.65%',
                left: '58.00%',
                gbid: '31010500001320000347'
            }, {
                top: '90.40%',
                left: '58.00%',
                gbid: '31010500001320000304'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000326'
            },
        ],
        'arr2': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000416'
            },
            {
                top: '25.37%',
                left: '1.60%',
                gbid: '31010500001320000418'
            },
            {
                top: '41.79%',
                left: '1.60%',
                gbid: '31010500001320000419'
            },
            {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000663'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000662'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000393'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000390'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000398'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000396'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000402'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000401'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000394'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000391'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000399'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000397'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000403'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000400'
            },
            {
                top: '10.50%',
                left: '92.00%',
                gbid: '31010500001320000417'
            },
            {
                top: '34.49%',
                left: '92.00%',
                gbid: '31010500001320000422'
            },
            {
                top: '67.16%',
                left: '92.00%',
                gbid: '31010500001320000815'
            },
            {
                top: '84.74%',
                left: '92.00%',
                gbid: '31010500001320000420'
            }, {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000421'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000404'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000406'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000408'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000410'
            }, {
                top: '65.00%',
                left: '70.23%',
                gbid: '31010500001320000412'
            }, {
                top: '85.57%',
                left: '70.23%',
                gbid: '31010500001320000414'
            },
            {
                top: '69.65%',
                left: '34.00%',
                gbid: '31010500001320000405'
            },
            {
                top: '90.40%',
                left: '34.00%',
                gbid: '31010500001320000407'
            }, {
                top: '69.65%',
                left: '58.00%',
                gbid: '31010500001320000409'
            }, {
                top: '90.40%',
                left: '58.00%',
                gbid: '31010500001320000411'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000413'
            }, {
                top: '90.40%',
                left: '81.80%',
                gbid: '31010500001320000415'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu4_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
