<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">一监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>33</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>35</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [{
            top: '19.57%',
            left: '6.0%',
            gbid: '31010500001320000380'
        }, {
            top: '39.30%',
            left: '6.00%',
            gbid: '31010500001320000377'
        }, {
            top: '65.00%',
            left: '6.00%',
            gbid: '31010500001320000732'
        }, {
            top: '85.57%',
            left: '6.00%',
            gbid: '31010500001320000093'
        }, {
            top: '8.96%',
            left: '22.00%',
            gbid: '31010500001320000349'
        }, {
            top: '29.85%',
            left: '22.00%',
            gbid: '31010500001320000345'
        }, {
            top: '49.92%',
            left: '16.00%',
            gbid: '31010500001320000376'
        }, {
            top: '6.14%',
            left: '33.67%',
            gbid: '31010500001320000350'
        }, {
            top: '26.20%',
            left: '33.67%',
            gbid: '31010500001320000346'
        }, {
            top: '8.96%',
            left: '45.93%',
            gbid: '31010500001320000354'
        }, {
            top: '29.85%',
            left: '45.93%',
            gbid: '31010500001320000352'
        }, {
            top: '8.96%',
            left: '70.35%',
            gbid: '31010500001320000359'
        }, {
            top: '29.85%',
            left: '70.35%',
            gbid: '31010500001320000356'
        }, {
            top: '6.14%',
            left: '58.00%',
            gbid: '31010500001320000355'
        }, {
            top: '26.20%',
            left: '58.00%',
            gbid: '31010500001320000353'
        }, {
            top: '6.14%',
            left: '81.94%',
            gbid: '31010500001320000360'
        }, {
            top: '26.20%',
            left: '81.94%',
            gbid: '31010500001320000357'
        }, {
            top: '10.45%',
            left: '91.53%',
            gbid: '31010500001320000379'
        }, {
            top: '85.57%',
            left: '91.53%',
            gbid: '31010500001320000375'
        }, {
            top: '65.00%',
            left: '18.95%',
            gbid: '31010500001320000361'
        }, {
            top: '85.57%',
            left: '18.95%',
            gbid: '31010500001320000363'
        }, {
            top: '65.00%',
            left: '37.12%',
            gbid: '31010500001320000365'
        }, {
            top: '85.57%',
            left: '37.12%',
            gbid: '31010500001320000366'
        }, {
            top: '65.00%',
            left: '54.96%',
            gbid: '31010500001320000368'
        }, {
            top: '85.57%',
            left: '54.96%',
            gbid: '31010500001320000371'
        }, {
            top: '65.00%',
            left: '73.47%',
            gbid: '31010500001320000373'
        }, {
            top: '69.65%',
            left: '27.50%',
            gbid: '31010500001320000362'
        }, {
            top: '90.40%',
            left: '27.50%',
            gbid: '31010500001320000364'
        }, {
            top: '69.65%',
            left: '45.48%',
            gbid: '31010500001320000370'
        }, {
            top: '90.40%',
            left: '45.48%',
            gbid: '31010500001320000367'
        }, {
            top: '69.65%',
            left: '63.88%',
            gbid: '31010500001320000369'
        }, {
            top: '90.40%',
            left: '63.88%',
            gbid: '31010500001320000372'
        }, {
            top: '69.65%',
            left: '81.80%',
            gbid: '31010500001320000374'
        }
        ],
        'arr2': [{
            top: '11.11%',
            left: '6.0%',
            gbid: '31010500001320000574'
        }, {
            top: '34.83%',
            left: '6.00%',
            gbid: '31010500001320000577'
        }, {
            top: '65.00%',
            left: '6.00%',
            gbid: '31010500001320000578'
        }, {
            top: '85.57%',
            left: '6.00%',
            gbid: '31010500001320000094'
        }, {
            top: '8.96%',
            left: '22.00%',
            gbid: '31010500001320000487'
        }, {
            top: '29.85%',
            left: '22.00%',
            gbid: '31010500001320000454'
        }, {
            top: '49.92%',
            left: '16.00%',
            gbid: '31010500001320000576'
        }, {
            top: '6.14%',
            left: '33.67%',
            gbid: '31010500001320000498'
        }, {
            top: '26.20%',
            left: '33.67%',
            gbid: '31010500001320000465'
        }, {
            top: '8.96%',
            left: '45.93%',
            gbid: '31010500001320000538'
        }, {
            top: '29.85%',
            left: '45.93%',
            gbid: '31010500001320000520'
        }, {
            top: '8.96%',
            left: '70.35%',
            gbid: '31010500001320000555'
        }, {
            top: '29.85%',
            left: '70.35%',
            gbid: '31010500001320000550'
        }, {
            top: '6.14%',
            left: '58.00%',
            gbid: '31010500001320000546'
        }, {
            top: '26.20%',
            left: '58.00%',
            gbid: '31010500001320000531'
        }, {
            top: '6.14%',
            left: '81.94%',
            gbid: '31010500001320000556'
        }, {
            top: '26.20%',
            left: '81.94%',
            gbid: '31010500001320000554'
        }, {
            top: '10.45%',
            left: '91.53%',
            gbid: '31010500001320000573'
        }, {
            top: '85.57%',
            left: '91.53%',
            gbid: '31010500001320000575'
        }, {
            top: '65.00%',
            left: '18.95%',
            gbid: '31010500001320000557'
        }, {
            top: '85.57%',
            left: '18.95%',
            gbid: '31010500001320000559'
        }, {
            top: '65.00%',
            left: '37.12%',
            gbid: '31010500001320000561'
        }, {
            top: '85.57%',
            left: '37.12%',
            gbid: '31010500001320000563'
        }, {
            top: '65.00%',
            left: '54.96%',
            gbid: '31010500001320000565'
        }, {
            top: '85.57%',
            left: '54.96%',
            gbid: '31010500001320000567'
        }, {
            top: '65.00%',
            left: '73.47%',
            gbid: '31010500001320000569'
        }, {
            top: '69.65%',
            left: '27.50%',
            gbid: '31010500001320000558'
        }, {
            top: '90.40%',
            left: '27.50%',
            gbid: '31010500001320000560'
        }, {
            top: '69.65%',
            left: '45.48%',
            gbid: '31010500001320000562'
        }, {
            top: '90.40%',
            left: '45.48%',
            gbid: '31010500001320000564'
        }, {
            top: '69.65%',
            left: '63.88%',
            gbid: '31010500001320000566'
        }, {
            top: '90.40%',
            left: '63.88%',
            gbid: '31010500001320000568'
        }, {
            top: '69.65%',
            left: '81.80%',
            gbid: '31010500001320000570'
        }, {
            top: '90.40%',
            left: '81.80%',
            gbid: '31010500001320000571'
        }, {
            top: '85.57%',
            left: '73.47%',
            gbid: '31010500001320000572'
        }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
