<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>七监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">七监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>26</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>29</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '8.70%',
                left: '6.02%',
                gbid: '31010500001320000982'
            },
            {
                top: '33.33%',
                left: '1.70%',
                gbid: '31010500001320000720'
            }, {
                top: '64.01%',
                left: '6.00%',
                gbid: '31010500001320000761'
            },
            {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000278'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000973'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000968'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000965'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000966'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000969'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000963'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000800'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000774'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000816'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000809'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000824'
            },
            {
                top: '3.15%',
                left: '89.86%',
                gbid: '31010500001320000948'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000700'
            },
            {
                top: '38.14%',
                left: '96.20%',
                gbid: '31010500001320000947'
            },
            {
                top: '44.28%',
                left: '90.19%',
                gbid: '31010500001320000967'
            },
            {
                top: '67.83%',
                left: '91.64%',
                gbid: '31010500001320000659'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000709'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000797'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000962'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000975'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000964'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000986'
            },
        ],
        'arr2': [
            {
                top: '14.93%',
                left: '1.60%',
                gbid: '31010500001320000780'
            },
            {
                top: '32.18%',
                left: '1.60%',
                gbid: '31010500001320000738'
            },
            {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000708'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000268'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000970'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000990'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000979'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000981'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000974'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000972'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000762'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000756'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000770'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000769'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000772'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000771'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000776'
            },
            {
                top: '38.14%',
                left: '96.20%',
                gbid: '31010500001320000946'
            },
            {
                top: '53.73%',
                left: '92.00%',
                gbid: '31010500001320000987'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000710'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000798'
            },
            {
                top: '65.00%',
                left: '22.19%',
                gbid: '31010500001320000997'
            }, {
                top: '85.57%',
                left: '22.19%',
                gbid: '31010500001320000977'
            }, {
                top: '65.00%',
                left: '46.82%',
                gbid: '31010500001320000988'
            }, {
                top: '85.57%',
                left: '46.82%',
                gbid: '31010500001320000984'
            },
            {
                top: '69.65%',
                left: '34.00%',
                gbid: '31010500001320000773'
            },
            {
                top: '90.40%',
                left: '34.00%',
                gbid: '31010500001320000775'
            }, {
                top: '69.65%',
                left: '58.00%',
                gbid: '31010500001320000777'
            }, {
                top: '90.40%',
                left: '58.00%',
                gbid: '31010500001320000778'
            }
        ],
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu7_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
