<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>六监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">六监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>27</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>27</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '2.32%',
                left: '6.13%',
                gbid: '31010500001320000640'
            },
            {
                top: '17.25%',
                left: '6.13%',
                gbid: '31010500001320000112'
            },
            {
                top: '41.00%',
                left: '6.13%',
                gbid: '31010500001320000119'
            }, {
                top: '67.33%',
                left: '6.13%',
                gbid: '31010500001320000808'
            },
            {
                top: '85.57%',
                left: '6.13%',
                gbid: '31010500001320000547'
            },
            {
                top: '6.14%',
                left: '21.63%',
                gbid: '31010500001320000245'
            }, {
                top: '33.00%',
                left: '21.63%',
                gbid: '31010500001320000246'
            }, {
                top: '60.70%',
                left: '21.63%',
                gbid: '31010500001320000248'
            },
            {
                top: '15.59%',
                left: '36.34%',
                gbid: '31010500001320000244'
            }, {
                top: '42.95%',
                left: '36.34%',
                gbid: '31010500001320000243'
            }, {
                top: '70.32%',
                left: '36.34%',
                gbid: '31010500001320000242'
            },
            {
                top: '75.29%',
                left: '48.72%',
                gbid: '31010500001320000117'
            },
            {
                top: '11.77%',
                left: '65.89%',
                gbid: '31010500001320000128'
            },
            {
                top: '3.81%',
                left: '32.66%',
                gbid: '31010500001320000127'
            }, {
                top: '31.38%',
                left: '32.66%',
                gbid: '31010500001320000124'
            }, {
                top: '58.71%',
                left: '32.66%',
                gbid: '31010500001320000121'
            },
            {
                top: '3.81%',
                left: '80.00%',
                gbid: '31010500001320000129'
            }, {
                top: '31.38%',
                left: '80.00%',
                gbid: '31010500001320000130'
            }, {
                top: '58.71%',
                left: '80.00%',
                gbid: '31010500001320000131'
            },
            {
                top: '3.81%',
                left: '87.86%',
                gbid: '31010500001320000649'
            },
            {
                top: '17.41%',
                left: '91.75%',
                gbid: '31010500001320000113'
            },
            {
                top: '37.14%',
                left: '96.20%',
                gbid: '31010500001320000114'
            },
            {
                top: '67.83%',
                left: '91.64%',
                gbid: '31010500001320000433'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000299'
            },
            {
                top: '94.20%',
                left: '23.63%',
                gbid: '31010500001320000105'
            }, {
                top: '94.20%',
                left: '47.05%',
                gbid: '31010500001320000116'
            }, {
                top: '94.20%',
                left: '65.55%',
                gbid: '31010500001320000115'
            }
        ],
        'arr2': [
            {
                top: '6.47%',
                left: '6.13%',
                gbid: '31010500001320000548'
            },
            {
                top: '26.87%',
                left: '6.13%',
                gbid: '31010500001320000134'
            },
            {
                top: '43.62%',
                left: '6.13%',
                gbid: '31010500001320000140'
            }, {
                top: '67.33%',
                left: '6.13%',
                gbid: '31010500001320000810'
            },
            {
                top: '85.57%',
                left: '6.13%',
                gbid: '31010500001320000549'
            },
            {
                top: '15.59%',
                left: '21.63%',
                gbid: '31010500001320000452'
            }, {
                top: '33.00%',
                left: '21.63%',
                gbid: '31010500001320000238'
            }, {
                top: '70.32%',
                left: '21.63%',
                gbid: '31010500001320000551'
            },
            {
                top: '15.59%',
                left: '36.34%',
                gbid: '31010500001320000450'
            }, {
                top: '42.95%',
                left: '36.34%',
                gbid: '31010500001320000448'
            }, {
                top: '70.32%',
                left: '36.34%',
                gbid: '31010500001320000446'
            },
            {
                top: '2.32%',
                left: '48.72%',
                gbid: '31010500001320000138'
            },
            {
                top: '11.77%',
                left: '61.65%',
                gbid: '31010500001320000107'
            }, {
                top: '39.14%',
                left: '61.65%',
                gbid: '31010500001320000108'
            }, {
                top: '66.17%',
                left: '61.65%',
                gbid: '31010500001320000106'
            },
            {
                top: '11.77%',
                left: '75.92%',
                gbid: '31010500001320000110'
            }, {
                top: '39.14%',
                left: '75.92%',
                gbid: '31010500001320000109'
            }, {
                top: '66.17%',
                left: '75.92%',
                gbid: '31010500001320000111'
            },
            {
                top: '3.81%',
                left: '16.83%',
                gbid: '31010500001320000453'
            }, {
                top: '58.71%',
                left: '16.83%',
                gbid: '31010500001320000552'
            },
            {
                top: '3.81%',
                left: '32.66%',
                gbid: '31010500001320000451'
            }, {
                top: '31.38%',
                left: '32.66%',
                gbid: '31010500001320000449'
            }, {
                top: '58.71%',
                left: '32.66%',
                gbid: '31010500001320000447'
            },
            {
                top: '3.65%',
                left: '89.41%',
                gbid: '31010500001320000136'
            },
            {
                top: '17.41%',
                left: '91.75%',
                gbid: '31010500001320000423'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000137'
            },
            {
                top: '94.20%',
                left: '47.05%',
                gbid: '31010500001320000104'
            }
        ],
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu6_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
