<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>三监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">三监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>35</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>37</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000622'
            }, {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000533'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000097'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000490'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000486'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000495'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000493'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000500'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000497'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000491'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000510'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000496'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000494'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000501'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000499'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000621'
            }, {
                top: '46.00%',
                left: '89.86%',
                gbid: '31010500001320000529'
            },
            {
                top: '85.74%',
                left: '91.64%',
                gbid: '31010500001320000524'
            },
            {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000527'
            },
            {
                top: '65.00%',
                left: '18.95%',
                gbid: '31010500001320000502'
            }, {
                top: '85.57%',
                left: '18.95%',
                gbid: '31010500001320000504'
            }, {
                top: '65.00%',
                left: '37.12%',
                gbid: '31010500001320000506'
            }, {
                top: '85.57%',
                left: '37.12%',
                gbid: '31010500001320000508'
            }, {
                top: '65.00%',
                left: '54.96%',
                gbid: '31010500001320000511'
            }, {
                top: '85.57%',
                left: '54.96%',
                gbid: '31010500001320000514'
            }, {
                top: '65.00%',
                left: '73.47%',
                gbid: '31010500001320000516'
            },
            {
                top: '85.57%',
                left: '73.47%',
                gbid: '31010500001320000523'
            },
            {
                top: '69.65%',
                left: '27.50%',
                gbid: '31010500001320000503'
            },
            {
                top: '90.40%',
                left: '27.50%',
                gbid: '31010500001320000515'
            }, {
                top: '69.65%',
                left: '45.48%',
                gbid: '31010500001320000507'
            }, {
                top: '90.40%',
                left: '45.48%',
                gbid: '31010500001320000505'
            }, {
                top: '69.65%',
                left: '63.88%',
                gbid: '31010500001320000512'
            }, {
                top: '90.40%',
                left: '63.88%',
                gbid: '31010500001320000513'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000517'
            }, {
                top: '90.40%',
                left: '81.80%',
                gbid: '31010500001320000488'
            },
        ],
        'arr2': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000624'
            },
            {
                top: '27.53%',
                left: '1.45%',
                gbid: '31010500001320000519'
            },
            {
                top: '50.25%',
                left: '3.23%',
                gbid: '31010500001320000620'
            },
            {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000820'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000096'
            },
            {
                top: '8.80%',
                left: '22.19%',
                gbid: '31010500001320000457'
            }, {
                top: '28.00%',
                left: '22.19%',
                gbid: '31010500001320000625'
            },
            {
                top: '8.80%',
                left: '46.82%',
                gbid: '31010500001320000462'
            }, {
                top: '28.00%',
                left: '46.82%',
                gbid: '31010500001320000460'
            },
            {
                top: '8.80%',
                left: '70.23%',
                gbid: '31010500001320000467'
            }, {
                top: '28.00%',
                left: '70.23%',
                gbid: '31010500001320000464'
            },
            {
                top: '5.64%',
                left: '33.67%',
                gbid: '31010500001320000458'
            }, {
                top: '25.87%',
                left: '33.67%',
                gbid: '31010500001320000455'
            }, {
                top: '5.64%',
                left: '58.10%',
                gbid: '31010500001320000463'
            }, {
                top: '25.87%',
                left: '58.10%',
                gbid: '31010500001320000461'
            }, {
                top: '5.64%',
                left: '81.94%',
                gbid: '31010500001320000468'
            },
            {
                top: '25.87%',
                left: '81.94%',
                gbid: '31010500001320000466'
            },
            {
                top: '10.50%',
                left: '92.00%',
                gbid: '31010500001320000623'
            },
            {
                top: '45.61%',
                left: '92.00%',
                gbid: '31010500001320000530'
            },
            {
                top: '84.74%',
                left: '92.00%',
                gbid: '31010500001320000525'
            }, {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000528'
            },
            {
                top: '65.00%',
                left: '18.95%',
                gbid: '31010500001320000469'
            }, {
                top: '85.57%',
                left: '18.95%',
                gbid: '31010500001320000471'
            }, {
                top: '65.00%',
                left: '37.12%',
                gbid: '31010500001320000473'
            }, {
                top: '85.57%',
                left: '37.12%',
                gbid: '31010500001320000475'
            }, {
                top: '65.00%',
                left: '54.96%',
                gbid: '31010500001320000478'
            }, {
                top: '85.57%',
                left: '54.96%',
                gbid: '31010500001320000480'
            }, {
                top: '65.00%',
                left: '73.47%',
                gbid: '31010500001320000482'
            },
            {
                top: '85.57%',
                left: '73.47%',
                gbid: '31010500001320000484'
            },
            {
                top: '69.65%',
                left: '27.50%',
                gbid: '31010500001320000470'
            },
            {
                top: '90.40%',
                left: '27.50%',
                gbid: '31010500001320000472'
            }, {
                top: '69.65%',
                left: '45.48%',
                gbid: '31010500001320000474'
            }, {
                top: '90.40%',
                left: '45.48%',
                gbid: '31010500001320000477'
            }, {
                top: '69.65%',
                left: '63.88%',
                gbid: '31010500001320000479'
            }, {
                top: '90.40%',
                left: '63.88%',
                gbid: '31010500001320000481'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000483'
            }, {
                top: '90.40%',
                left: '81.80%',
                gbid: '31010500001320000485'
            },
        ],
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu3_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
