<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">二监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>38</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>38</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000342'
            }, {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000819'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000095'
            },
            {
                top: '10.61%',
                left: '19.00%',
                gbid: '31010500001320000303'
            }, {
                top: '32.84%',
                left: '19.00%',
                gbid: '31010500001320000300'
            },
            {
                top: '10.61%',
                left: '37.24%',
                gbid: '31010500001320000309'
            }, {
                top: '32.84%',
                left: '37.24%',
                gbid: '31010500001320000307'
            },
            {
                top: '10.61%',
                left: '55.18%',
                gbid: '31010500001320000313'
            }, {
                top: '32.84%',
                left: '55.18%',
                gbid: '31010500001320000311'
            },
            {
                top: '10.61%',
                left: '73.24%',
                gbid: '31010500001320000316'
            }, {
                top: '32.84%',
                left: '73.24%',
                gbid: '31010500001320000320'
            },
            {
                top: '6.30%',
                left: '27.20%',
                gbid: '31010500001320000305'
            }, {
                top: '26.53%',
                left: '27.20%',
                gbid: '31010500001320000301'
            },
            {
                top: '6.30%',
                left: '45.26%',
                gbid: '31010500001320000310'
            }, {
                top: '26.53%',
                left: '45.26%',
                gbid: '31010500001320000308'
            }, {
                top: '6.30%',
                left: '63.40%',
                gbid: '31010500001320000314'
            }, {
                top: '26.53%',
                left: '63.40%',
                gbid: '31010500001320000312'
            }, {
                top: '6.30%',
                left: '81.94%',
                gbid: '31010500001320000317'
            },
            {
                top: '26.20%',
                left: '81.94%',
                gbid: '31010500001320000319'
            },
            {
                top: '19.40%',
                left: '91.75%',
                gbid: '31010500001320000341'
            }, {
                top: '51.08%',
                left: '89.86%',
                gbid: '31010500001320000340'
            }, {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000339'
            },
            {
                top: '65.00%',
                left: '18.95%',
                gbid: '31010500001320000318'
            }, {
                top: '85.57%',
                left: '18.95%',
                gbid: '31010500001320000322'
            }, {
                top: '65.00%',
                left: '37.12%',
                gbid: '31010500001320000324'
            }, {
                top: '85.57%',
                left: '37.12%',
                gbid: '31010500001320000327'
            }, {
                top: '65.00%',
                left: '54.96%',
                gbid: '31010500001320000329'
            }, {
                top: '85.57%',
                left: '54.96%',
                gbid: '31010500001320000331'
            }, {
                top: '65.00%',
                left: '73.47%',
                gbid: '31010500001320000335'
            },
            {
                top: '85.57%',
                left: '73.47%',
                gbid: '31010500001320000333'
            },
            {
                top: '69.65%',
                left: '27.50%',
                gbid: '31010500001320000321'
            },
            {
                top: '90.40%',
                left: '27.50%',
                gbid: '31010500001320000323'
            }, {
                top: '69.65%',
                left: '45.48%',
                gbid: '31010500001320000325'
            }, {
                top: '90.40%',
                left: '45.48%',
                gbid: '31010500001320000328'
            }, {
                top: '69.65%',
                left: '63.88%',
                gbid: '31010500001320000330'
            }, {
                top: '90.40%',
                left: '63.88%',
                gbid: '31010500001320000332'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000336'
            }, {
                top: '90.40%',
                left: '81.80%',
                gbid: '31010500001320000334'
            },
        ],
        'arr2': [
            {
                top: '10.12%',
                left: '6.0%',
                gbid: '31010500001320000615'
            }, {
                top: '65.00%',
                left: '6.00%',
                gbid: '31010500001320000818'
            }, {
                top: '85.57%',
                left: '6.00%',
                gbid: '31010500001320000658'
            },
            {
                top: '10.61%',
                left: '19.00%',
                gbid: '31010500001320000616'
            }, {
                top: '32.84%',
                left: '19.00%',
                gbid: '31010500001320000600'
            },
            {
                top: '10.61%',
                left: '37.24%',
                gbid: '31010500001320000614'
            }, {
                top: '32.84%',
                left: '37.24%',
                gbid: '31010500001320000601'
            },
            {
                top: '10.61%',
                left: '55.18%',
                gbid: '31010500001320000603'
            }, {
                top: '32.84%',
                left: '55.18%',
                gbid: '31010500001320000602'
            },
            {
                top: '10.61%',
                left: '73.24%',
                gbid: '31010500001320000604'
            }, {
                top: '32.84%',
                left: '73.24%',
                gbid: '31010500001320000605'
            },
            {
                top: '6.30%',
                left: '27.20%',
                gbid: '31010500001320000580'
            }, {
                top: '26.53%',
                left: '27.20%',
                gbid: '31010500001320000579'
            },
            {
                top: '6.30%',
                left: '45.26%',
                gbid: '31010500001320000582'
            }, {
                top: '26.53%',
                left: '45.26%',
                gbid: '31010500001320000581'
            }, {
                top: '6.30%',
                left: '63.40%',
                gbid: '31010500001320000584'
            }, {
                top: '26.53%',
                left: '63.40%',
                gbid: '31010500001320000583'
            }, {
                top: '6.30%',
                left: '81.94%',
                gbid: '31010500001320000585'
            },
            {
                top: '26.20%',
                left: '81.94%',
                gbid: '31010500001320000593'
            },
            {
                top: '10.50%',
                left: '92.00%',
                gbid: '31010500001320000599'
            }, {
                top: '84.74%',
                left: '92.00%',
                gbid: '31010500001320000532'
            }, {
                top: '50.41%',
                left: '15.80%',
                gbid: '31010500001320000617'
            },
            {
                top: '65.00%',
                left: '18.95%',
                gbid: '31010500001320000606'
            }, {
                top: '85.57%',
                left: '18.95%',
                gbid: '31010500001320000607'
            }, {
                top: '65.00%',
                left: '37.12%',
                gbid: '31010500001320000608'
            }, {
                top: '85.57%',
                left: '37.12%',
                gbid: '31010500001320000609'
            }, {
                top: '65.00%',
                left: '54.96%',
                gbid: '31010500001320000610'
            }, {
                top: '85.57%',
                left: '54.96%',
                gbid: '31010500001320000611'
            }, {
                top: '65.00%',
                left: '73.47%',
                gbid: '31010500001320000613'
            },
            {
                top: '85.57%',
                left: '73.47%',
                gbid: '31010500001320000612'
            },
            {
                top: '69.65%',
                left: '27.50%',
                gbid: '31010500001320000587'
            },
            {
                top: '90.40%',
                left: '27.50%',
                gbid: '31010500001320000588'
            }, {
                top: '69.65%',
                left: '45.48%',
                gbid: '31010500001320000589'
            }, {
                top: '90.40%',
                left: '45.48%',
                gbid: '31010500001320000590'
            }, {
                top: '69.65%',
                left: '63.88%',
                gbid: '31010500001320000591'
            }, {
                top: '90.40%',
                left: '63.88%',
                gbid: '31010500001320000592'
            }, {
                top: '69.65%',
                left: '81.80%',
                gbid: '31010500001320000594'
            }, {
                top: '90.40%',
                left: '81.80%',
                gbid: '31010500001320000586'
            },
        ],
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jianqu2_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
