<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>卫生所</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj">卫生所</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>15</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.82%',
                left: '18.39%',
                gbid: '31010500001320000868'
            },
            {
                top: '3.15%',
                left: '46.38%',
                gbid: '31010500001320000840'
            },
            {
                top: '1.82%',
                left: '82.05%',
                gbid: '31010500001320000857'
            },
            {
                top: '45.44%',
                left: '48.79%',
                gbid: '31010500001320000864'
            },
            {
                top: '90.22%',
                left: '18.39%',
                gbid: '31010500001320000832'
            },
            {
                top: '93.6%',
                left: '47.49%',
                gbid: '31010500001320000836'
            },
            {
                top: '90.38%',
                left: '86.06%',
                gbid: '31010500001320000759'
            },
            {
                top: '18.91%',
                left: '15.00%',
                gbid: '31010500001320000843'
            },
            {
                top: '29.02%',
                left: '15.00%',
                gbid: '31010500001320000842'
            },
            {
                top: '38.81%',
                left: '15.00%',
                gbid: '31010500001320000837'
            },
            {
                top: '48.92%',
                left: '15.00%',
                gbid: '31010500001320000838'
            },
            {
                top: '58.87%',
                left: '15.00%',
                gbid: '31010500001320000835'
            },
            {
                top: '68.49%',
                left: '15.00%',
                gbid: '31010500001320000833'
            },
            {
                top: '78.11%',
                left: '15.00%',
                gbid: '31010500001320000845'
            },
            {
                top: '18.91%',
                left: '83.45%',
                gbid: '31010500001320000863'
            },
            {
                top: '29.02%',
                left: '83.45%',
                gbid: '31010500001320000841'
            },
            {
                top: '38.81%',
                left: '83.45%',
                gbid: '31010500001320000867'
            },
            {
                top: '48.92%',
                left: '83.45%',
                gbid: '31010500001320000839'
            },
            {
                top: '58.87%',
                left: '83.45%',
                gbid: '31010500001320000834'
            },
            {
                top: '68.49%',
                left: '83.45%',
                gbid: '31010500001320000862'
            },
            {
                top: '78.11%',
                left: '83.45%',
                gbid: '31010500001320000844'
            },

        ],
        'arr2': [
            {
                top: '3.15%',
                left: '46.38%',
                gbid: '31010500001320000860'
            },
            {
                top: '1.82%',
                left: '82.05%',
                gbid: '31010500001320000858'
            },
            {
                top: '47.10%',
                left: '16.50%',
                gbid: '31010500001320000856'
            },
            {
                top: '92.21%',
                left: '44.82%',
                gbid: '31010500001320000861'
            },
            {
                top: '24.21%',
                left: '10.37%',
                gbid: '31010500001320000865'
            },
            {
                top: '65.17%',
                left: '10.37%',
                gbid: '31010500001320000850'
            },
            {
                top: '20.73%',
                left: '27.42%',
                gbid: '31010500001320000851'
            },
            {
                top: '34.83%',
                left: '27.42%',
                gbid: '31010500001320000853'
            },
            {
                top: '61.19%',
                left: '27.42%',
                gbid: '31010500001320000846'
            },
            {
                top: '75.46%',
                left: '27.42%',
                gbid: '31010500001320000854'
            },
            {
                top: '24.54%',
                left: '66.67%',
                gbid: '31010500001320000852'
            },
            {
                top: '24.54%',
                left: '87.29%',
                gbid: '31010500001320000848'
            },
            {
                top: '57.71%',
                left: '66.67%',
                gbid: '31010500001320000866'
            },
            {
                top: '67.50%',
                left: '62.54%',
                gbid: '31010500001320000855'
            },
            {
                top: '65.84%',
                left: '87.29%',
                gbid: '31010500001320000847'
            }
        ],
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        console.log(dataList[`arr${"${index}"}`].length)
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/weisheng1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
