<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>南汇监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }

        .area-box li {
            cursor: pointer;
        }
        .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">南汇监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/nh/onefloor">
                                <div class="menu-mc">
                                    <span>一号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">162</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nh/twofloor">
                                <div class="menu-mc">
                                    <span>二号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">104</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nh/therefloor">
                                <div class="menu-mc">
                                    <span>三号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">106</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/nh/fourfloor">
                                <div class="menu-mc">
                                    <span>四号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">28</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/nh/onefloor">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>一号楼</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="${ctx}/nh/twofloor">
                                <img src="${ctx}/static/images/bgq_floor.png"/>
                                <span>二号楼</span>
                            </a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/nh/therefloor">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>三号楼</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/nh/fourfloor">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>四号楼</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/C_floor_1.png"/></a>
                        </li>
                        <li class="e_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/E_floor_1.png"/></a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="javascript:void(0);"><img src="${ctx}/static/images/D_floor_1_1.png"/></a>
                        </li>
                        <li class="f_floor">
                            <a href="javascript:void(0);"><img src="${ctx}/static/images/F_floor_1.png"/></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>