<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nh">一号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>63</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>52</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>47</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            // 左外墙1
            { top: '3.65%', left: '3.90%' , gbid: '31011500001320002202'},
            { top: '44.61%', left: '3.34%' , gbid: '31011500001320002206' },
            { top: '84.41%', left: '3.34%' , gbid: '31011500001320002207' },
            { top: '92.04%', left: '3.34%' , gbid: '31011500001320002200' },
            // 浴室左1
            { top: '19.73%', left: '9.70%' , gbid: '31011500001320002165' },
            { top: '34.83%', left: '9.70%' , gbid: '31011500001320002192'},
            { top: '61.69%', left: '9.70%' , gbid: '31011500001320002162'},
            // 中上后隔离门
            { top: '1.66%', left: '29.32%' , gbid: '31011500001320002191'},
            // 中上后门
            { top: '3.15%', left: '46.04%' , gbid: '31011500001320002203'},
            // 中上后楼梯口
            { top: '1.66%', left: '70.79%' , gbid: '31011500001320002188'},
            // 中左1卫
            { top: '16.42%', left: '15.94%' , gbid: '31011500001320002211'},
            { top: '29.19%', left: '15.94%' , gbid: '31011500001320002208'},
            { top: '43.38%', left: '15.94%' , gbid: '31011500001320002196'},
            { top: '57.88%', left: '15.94%' , gbid: '31011500001320002167'},
            { top: '72.31%', left: '15.94%' , gbid: '31011500001320002230'},
            // 中左1监舍
            { top: '18.08%', left: '22.30%' , gbid: '31011500001320002217'},
            { top: '30.51%', left: '22.30%' , gbid: '31011500001320002205'},
            { top: '45.11%', left: '22.30%' , gbid: '31011500001320002194'},
            { top: '59.37%', left: '22.30%' , gbid: '31011500001320002160'},
            { top: '73.96%', left: '22.30%' , gbid: '31011500001320002229'},
            // 中左2卫
            { top: '16.42%', left: '29.80%' , gbid: '31011500001320002212'},
            { top: '29.19%', left: '29.80%' , gbid: '31011500001320002195'},
            { top: '43.38%', left: '29.80%' , gbid: '31011500001320002190'},
            { top: '57.88%', left: '29.80%' , gbid: '31011500001320002232'},
            { top: '72.31%', left: '29.80%' , gbid: '31011500001320002231'},
            // 中左1监舍
            { top: '18.08%', left: '35.80%' , gbid: '31011500001320002214'},
            { top: '30.51%', left: '35.80%' , gbid: '31011500001320002193'},
            { top: '45.11%', left: '35.80%' , gbid: '31011500001320002173'},
            { top: '59.37%', left: '35.80%' , gbid: '31011500001320002228'},
            { top: '73.96%', left: '35.80%' , gbid: '31011500001320002227'},
            // 左中下门厅
            { top: '87.56%', left: '34.45%' , gbid: '31011500001320002179'},
            // 左中下室外球机
            { top: '93.86%', left: '18.73%' , gbid: '31011500001320002199'},
            // 左中下室值岗
            { top: '93.86%', left: '33.67%' , gbid: '31011500001320002189'},
            // 中
            { top: '78.44%', left: '46.49%' , gbid: '31011500001320002181'},
            { top: '94.03%', left: '47.05%' , gbid: '31011500001320002168'},
            // 右中1监舍
            { top: '18.08%', left: '63.43%' , gbid: '31011500001320002216'},
            { top: '28.51%', left: '63.43%' , gbid: '31011500001320002221'},
            { top: '38.51%', left: '63.43%' , gbid: '31011500001320002219'},
            { top: '45.27%', left: '63.43%' , gbid: '31011500001320002222'},
            // 右中1学习
            { top: '60.20%', left: '64.77%' , gbid: '31011500001320002186'},
            { top: '73.96%', left: '64.77%' , gbid: '31011500001320002174'},
            // 右中1卫
            { top: '16.75%', left: '69.68%' , gbid: '31011500001320002210'},
            { top: '29.19%', left: '69.68%' , gbid: '31011500001320002218'},
            { top: '43.78%', left: '69.68%' , gbid: '31011500001320002225'},
            // 右中2监舍
            { top: '18.08%', left: '77.03%' , gbid: '31011500001320002215'},
            { top: '28.51%', left: '77.5%' , gbid: '31011500001320002224'},
            { top: '38.51%', left: '77.5%' , gbid: '31011500001320002220'},
            { top: '45.27%', left: '77.03%' , gbid: '31011500001320002209'},
            // 右中2学习
            { top: '60.20%', left: '78.48%' , gbid: '31011500001320002185'},
            { top: '73.96%', left: '78.48%' , gbid: '31011500001320002187'},
            // 右中2卫
            { top: '16.75%', left: '82.94%' , gbid: '31011500001320002213'},
            { top: '29.19%', left: '82.94%' , gbid: '31011500001320002223'},
            { top: '43.78%', left: '82.94%' , gbid: '31011500001320002226'},
            // 右中下
            { top: '90.88%', left: '59.98%' , gbid: '31011500001320002182'},
            { top: '90.71%', left: '73.13%' , gbid: '31011500001320002385'},
            // 右边
            { top: '3.48%', left: '89.30%' , gbid: '31011500001320002204'},
            { top: '9.78%', left: '89.30%' , gbid: '31011500001320002163'},
            { top: '15.92%', left: '89.30%' , gbid: '31011500001320002175'},
            { top: '22.06%', left: '89.30%' , gbid: '31011500001320002164'},
            { top: '28.19%', left: '89.30%' , gbid: '31011500001320002176'},
            { top: '47.26%', left: '88.70%' , gbid: '31011500001320002161'},
            { top: '74.63%', left: '88.70%' , gbid: '31011500001320002166'},
            { top: '92.54%', left: '88.74%' , gbid: '31011500001320002201'}
        ],
        'arr2': [
            // 浴室左1
            { top: '19.73%', left: '9.70%' , gbid: '31011500001320002238'},
            { top: '34.83%', left: '9.70%' , gbid: '31011500001320002243'},
            // 中上后隔离门
            { top: '1.66%', left: '29.32%' , gbid: '31011500001320002256'},
            // 中上后封门
            { top: '9.29%', left: '45.04%' , gbid: '31011500001320002248'},
            // 中上后楼梯口
            { top: '1.66%', left: '70.79%' , gbid: '31011500001320002237'},
            // 中左1卫
            { top: '16.42%', left: '15.94%' , gbid: '31011500001320002025'},
            { top: '29.19%', left: '15.94%' , gbid: '31011500001320002020'},
            { top: '43.38%', left: '15.94%' , gbid: '31011500001320002015'},
            { top: '57.88%', left: '15.94%' , gbid: '31011500001320002009'},
            { top: '72.31%', left: '15.94%' , gbid: '31011500001320002006'},
            // 中左1监舍
            { top: '18.08%', left: '22.30%' , gbid: '31011500001320002024'},
            { top: '30.51%', left: '22.30%' , gbid: '31011500001320002019'},
            { top: '45.11%', left: '22.30%' , gbid: '31011500001320002014'},
            { top: '59.37%', left: '22.30%' , gbid: '31011500001320002010'},
            { top: '73.96%', left: '22.30%' , gbid: '31011500001320002005'},
            // 中左2卫
            { top: '16.42%', left: '29.80%' , gbid: '31011500001320002023'},
            { top: '29.19%', left: '29.80%' , gbid: '31011500001320002018'},
            { top: '43.38%', left: '29.80%' , gbid: '31011500001320002013'},
            { top: '57.88%', left: '29.80%' , gbid: '31011500001320002008'},
            { top: '72.31%', left: '29.80%' , gbid: '31011500001320002004'},
            // 中左1监舍
            { top: '16.42%', left: '35.80%' , gbid: '31011500001320002021'},
            { top: '24.02%', left: '35.80%' , gbid: '31011500001320002022'},
            { top: '29.19%', left: '35.80%' , gbid: '31011500001320002016'},
            { top: '37.78%', left: '35.80%' , gbid: '31011500001320002017'},
            { top: '43.38%', left: '35.80%' , gbid: '31011500001320002011'},
            { top: '52.28%', left: '35.80%' , gbid: '31011500001320002012'},
            { top: '59.37%', left: '35.80%' , gbid: '31011500001320002007'},
            { top: '73.96%', left: '35.80%' , gbid: '31011500001320002003'},
            // 左中下室值岗
            { top: '93.86%', left: '25.31%' , gbid: '31011500001320002001'},
            // 中
            { top: '78.44%', left: '46.49%' , gbid: '31011500001320002242'},
            { top: '87.23%', left: '45.26%' , gbid: '31011500001320002241'},
            // 右中1监舍
            { top: '18.08%', left: '63.43%' , gbid: '31011500001320002026'},
            { top: '30.51%', left: '63.43%' , gbid: '31011500001320002030'},
            { top: '45.27%', left: '63.43%' , gbid: '31011500001320002035'},
            // 右中1学习
            { top: '60.20%', left: '64.77%' , gbid: '31011500001320002252'},
            { top: '73.96%', left: '64.77%' , gbid: '31011500001320002250'},
            // 右中1卫
            { top: '16.75%', left: '69.68%' , gbid: '31011500001320002027'},
            { top: '29.19%', left: '69.68%' , gbid: '31011500001320002031'},
            { top: '43.78%', left: '69.68%' , gbid: '31011500001320002036'},
            // 右中2监舍
            { top: '18.08%', left: '77.03%' , gbid: '31011500001320002028'},
            { top: '29.19%', left: '78.03%' , gbid: '31011500001320002032'},
            { top: '37.89%', left: '78.03%' , gbid: '31011500001320002034'},
            // 右中2学习
            { top: '60.20%', left: '78.48%' , gbid: '31011500001320002253'},
            { top: '73.96%', left: '78.48%' , gbid: '31011500001320002251'},
            // 右中2卫
            { top: '16.75%', left: '82.94%' , gbid: '31011500001320002029'},
            { top: '29.19%', left: '82.94%' , gbid: '31011500001320002033'},
            // 右中下
            { top: '90.88%', left: '66.56%' , gbid: '31011500001320002240'},
            // 右边
            { top: '2.49%', left: '89.41%' , gbid: '31011500001320002235'},
            { top: '8.62%', left: '89.41%' , gbid: '31011500001320002236'},
            { top: '14.93%', left: '89.41%' , gbid: '31011500001320002234'},
            { top: '21.06%', left: '89.41%' , gbid: '31011500001320002233'},
            { top: '74.63%', left: '88.70%' , gbid: '31011500001320002002'},
        ],
        'arr3': [
            // 浴室左1
            { top: '19.73%', left: '9.70%' , gbid: '31011500001320002042'},
            { top: '34.83%', left: '9.70%' , gbid: '31011500001320002048'},
            // 中上后隔离门
            { top: '1.66%', left: '29.32%' , gbid: '31011500001320002061'},
            // 中上后封门
            { top: '9.29%', left: '45.04%' , gbid: '31011500001320002053'},
            // 中上后楼梯口
            { top: '1.66%', left: '70.79%' , gbid: '31011500001320002060'},
            // 中左1卫
            { top: '16.42%', left: '15.94%' , gbid: '31011500001320002087'},
            { top: '29.19%', left: '15.94%' , gbid: '31011500001320002082'},
            { top: '43.38%', left: '15.94%' , gbid: '31011500001320002077'},
            { top: '57.88%', left: '15.94%' , gbid: '31011500001320002073'},
            { top: '72.31%', left: '15.94%' , gbid: '31011500001320002068'},
            // 中左1监舍
            { top: '18.08%', left: '22.30%' , gbid: '31011500001320002085'},
            { top: '30.51%', left: '22.30%' , gbid: '31011500001320002080'},
            { top: '45.11%', left: '22.30%' , gbid: '31011500001320002076'},
            { top: '59.37%', left: '22.30%' , gbid: '31011500001320002072'},
            { top: '73.96%', left: '22.30%' , gbid: '31011500001320002067'},
            // 中左2卫
            { top: '16.42%', left: '29.80%' , gbid: '31011500001320002084'},
            { top: '29.19%', left: '29.80%' , gbid: '31011500001320002079'},
            { top: '43.38%', left: '29.80%' , gbid: '31011500001320002075'},
            { top: '57.88%', left: '29.80%' , gbid: '31011500001320002071'},
            { top: '72.31%', left: '29.80%' , gbid: '31011500001320002066'},
            // 中左1监舍
            { top: '18.08%', left: '35.80%' , gbid: '31011500001320002083'},
            { top: '30.51%', left: '35.80%' , gbid: '31011500001320002078'},
            { top: '45.11%', left: '35.80%' , gbid: '31011500001320002074'},
            { top: '59.37%', left: '35.80%' , gbid: '31011500001320002069'},
            { top: '73.96%', left: '35.80%' , gbid: '31011500001320002065'},
            // 左中下室值岗
            { top: '93.86%', left: '25.31%' , gbid: '31011500001320002064'},
            // 中
            { top: '78.44%', left: '46.49%' , gbid: '31011500001320002045'},
            { top: '87.23%', left: '45.26%' , gbid: '31011500001320002046'},
            // 右中1监舍
            { top: '18.08%', left: '63.43%' , gbid: '31011500001320002088'},
            { top: '30.51%', left: '63.43%' , gbid: '31011500001320002092'},
            { top: '45.27%', left: '63.43%' , gbid: '31011500001320002095'},
            // 右中1学习
            { top: '60.20%', left: '64.77%' , gbid: '31011500001320002057'},
            { top: '73.96%', left: '64.77%' , gbid: '31011500001320002055'},
            // 右中1卫
            { top: '16.75%', left: '69.68%' , gbid: '31011500001320002089'},
            { top: '29.19%', left: '69.68%' , gbid: '31011500001320002093'},
            { top: '43.78%', left: '69.68%' , gbid: '31011500001320002096'},
            // 右中2监舍
            { top: '18.08%', left: '77.03%' , gbid: '31011500001320002090'},
            // 右中2学习
            { top: '60.20%', left: '78.48%' , gbid: '31011500001320002058'},
            { top: '73.96%', left: '78.48%' , gbid: '31011500001320002056'},
            // 右中2卫
            { top: '16.75%', left: '82.94%' , gbid: '31011500001320002091'},
            { top: '29.19%', left: '82.94%' , gbid: '31011500001320002094'},
            // 右中下
            { top: '90.88%', left: '66.56%' , gbid: '31011500001320002044'},
            // 右边
            { top: '2.49%', left: '89.41%' , gbid: '31011500001320002037'},
            { top: '8.62%', left: '89.41%' , gbid: '31011500001320002038'},
            { top: '14.93%', left: '89.41%' , gbid: '31011500001320002039'},
            { top: '21.06%', left: '89.41%' , gbid: '31011500001320002040'},
            { top: '74.63%', left: '88.70%' , gbid: '31011500001320002043'},
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/floor1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
