<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nj">一号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>55</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>58</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>58</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000003'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000020'
            }, {
                top: '0.4rem',
                left: '3.6rem',
                gbid: '31011700001320000052'
            }, {
                top: '0.4rem',
                left: '8.5rem',
                gbid: '31011700001320000001'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000002'
            }, {
                top: '0.7rem',
                left: '10.45rem',
                gbid: '31011700001320000019'
            }, {
                top: '1.7rem',
                left: '10.4rem',
                gbid: '31011700001320000050'
            }, {
                top: '2.3rem',
                left: '10.4rem',
                gbid: '31011700001320000051'
            }, {
                top: '3.5rem',
                left: '10.15rem',
                gbid: '31011700001320000004'
            }, {
                top: '3.6rem',
                left: '10.65rem',
                gbid: '31011700001320000049'
            }, {
                top: '5.4rem',
                left: '10.4rem',
                gbid: '31011700001320000021'
            }, {
                top: '6.1rem',
                left: '10.4rem',
                gbid: '31011700001320000022'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011700001320000027'
            }, {
                top: '7rem',
                left: '11.2rem',
                gbid: '31011700001320000024'
            }, {
                top: '1.7rem',
                left: '2.4rem',
                gbid: '31011700001320000017'
            }, {
                top: '1.7rem',
                left: '3.5rem',
                gbid: '31011700001320000016'
            }, {
                top: '1.7rem',
                left: '4.7rem',
                gbid: '31011700001320000014'
            }, {
                top: '1.7rem',
                left: '5.8rem',
                gbid: '31011700001320000012'
            }, {
                top: '1.7rem',
                left: '7rem',
                gbid: '31011700001320000010'
            }, {
                top: '1.7rem',
                left: '8.1rem',
                gbid: '31011700001320000008'
            }, {
                top: '1.7rem',
                left: '9.3rem',
                gbid: '31011700001320000006'
            }, {
                top: '3.1rem',
                left: '2.4rem',
                gbid: '31011700001320000018'
            }, {
                top: '3.1rem',
                left: '3.5rem',
                gbid: '31011700001320000015'
            }, {
                top: '3.1rem',
                left: '4.7rem',
                gbid: '31011700001320000013'
            }, {
                top: '3.1rem',
                left: '5.8rem',
                gbid: '31011700001320000011'
            }, {
                top: '3.1rem',
                left: '7rem',
                gbid: '31011700001320000009'
            }, {
                top: '3.1rem',
                left: '8.1rem',
                gbid: '31011700001320000007'
            }, {
                top: '3.1rem',
                left: '9.3rem',
                gbid: '31011700001320000005'
            }, {
                top: '4.3rem',
                left: '2.4rem',
                gbid: '31011700001320000042'
            }, {
                top: '4.3rem',
                left: '3.5rem',
                gbid: '31011700001320000041'
            }, {
                top: '4.3rem',
                left: '4.7rem',
                gbid: '31011700001320000039'
            }, {
                top: '4.3rem',
                left: '5.8rem',
                gbid: '31011700001320000037'
            }, {
                top: '4.3rem',
                left: '7rem',
                gbid: '31011700001320000035'
            }, {
                top: '4.3rem',
                left: '8.1rem',
                gbid: '31011700001320000033'
            }, {
                top: '4.3rem',
                left: '9.3rem',
                gbid: '31011700001320000031'
            }, {
                top: '5.5rem',
                left: '2.38rem',
                gbid: '31011700001320000044'
            }, {
                top: '5.65rem',
                left: '3.5rem',
                gbid: '31011700001320000040'
            }, {
                top: '5.65rem',
                left: '4.7rem',
                gbid: '31011700001320000038'
            }, {
                top: '5.65rem',
                left: '5.8rem',
                gbid: '31011700001320000036'
            }, {
                top: '5.65rem',
                left: '7rem',
                gbid: '31011700001320000034'
            }, {
                top: '5.65rem',
                left: '8.1rem',
                gbid: '31011700001320000032'
            }, {
                top: '5.65rem',
                left: '9.3rem',
                gbid: '31011700001320000030'
            }, {
                top: '5.45rem',
                left: '0.5rem',
                gbid: '31011700001320000028'
            }, {
                top: '5.5rem',
                left: '2rem',
                gbid: '31011700001320000045'
            }, {
                top: '5.5rem',
                left: '2.75rem',
                gbid: '31011700001320000043'
            }, {
                top: '5.15rem',
                left: '9.5rem',
                gbid: '31011700001320000053'
            }, {
                top: '2.5rem',
                left: '9.5rem',
                gbid: '31011700001320000048'
            }, {
                top: '7rem',
                left: '0.5rem',
                gbid: '31011700001320000025'
            }, {
                top: '6.7rem',
                left: '8.45rem',
                gbid: '31011700001320000055'
            }, {
                top: '6.8rem',
                left: '5.6rem',
                gbid: '31011700001320000054'
            }, {
                top: '7.3rem',
                left: '5.6rem',
                gbid: '31011700001320000047'
            }, {
                top: '7rem',
                left: '1.2rem',
                gbid: '31011700001320000026'
            }, {
                top: '6.75rem',
                left: '3.05rem',
                gbid: '31011700001320000023'
            }, {
                top: '6.05rem',
                left: '0.5rem',
                gbid: '31011700001320000029'
            }, {
                top: '0.4rem',
                left: '5.9rem',
                gbid: '31011700001320000513'
            }
        ],
        'arr2': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000059'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000110'
            }, {
                top: '0.4rem',
                left: '3.6rem',
                gbid: '31011700001320000108'
            }, {
                top: '0.4rem',
                left: '8.5rem',
                gbid: '31011700001320000057'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000058'
            }, {
                top: '0.7rem',
                left: '10.45rem',
                gbid: '31011700001320000109'
            }, {
                top: '1.7rem',
                left: '10.4rem',
                gbid: '31011700001320000106'
            }, {
                top: '2.3rem',
                left: '10.4rem',
                gbid: '31011700001320000107'
            }, {
                top: '3.5rem',
                left: '10.15rem',
                gbid: '31011700001320000060'
            }, {
                top: '3.6rem',
                left: '10.65rem',
                gbid: '31011700001320000105'
            }, {
                top: '5.4rem',
                left: '10.4rem',
                gbid: '31011700001320000077'
            }, {
                top: '6.1rem',
                left: '10.4rem',
                gbid: '31011700001320000078'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011700001320000114'
            }, {
                top: '7rem',
                left: '11.2rem',
                gbid: '31011700001320000080'
            }, {
                top: '1.7rem',
                left: '1rem',
                gbid: '31011700001320000076'
            }, {
                top: '1.7rem',
                left: '2.4rem',
                gbid: '31011700001320000073'
            }, {
                top: '1.7rem',
                left: '3.5rem',
                gbid: '31011700001320000072'
            }, {
                top: '1.7rem',
                left: '4.7rem',
                gbid: '31011700001320000070'
            }, {
                top: '1.7rem',
                left: '5.8rem',
                gbid: '31011700001320000068'
            }, {
                top: '1.7rem',
                left: '7rem',
                gbid: '31011700001320000066'
            }, {
                top: '1.7rem',
                left: '8.1rem',
                gbid: '31011700001320000064'
            }, {
                top: '1.7rem',
                left: '9.3rem',
                gbid: '31011700001320000062'
            }, {
                top: '3.1rem',
                left: '1rem',
                gbid: '31011700001320000075'
            }, {
                top: '3.1rem',
                left: '2.4rem',
                gbid: '31011700001320000074'
            }, {
                top: '3.1rem',
                left: '3.5rem',
                gbid: '31011700001320000071'
            }, {
                top: '3.1rem',
                left: '4.7rem',
                gbid: '31011700001320000069'
            }, {
                top: '3.1rem',
                left: '5.8rem',
                gbid: '31011700001320000067'
            }, {
                top: '3.1rem',
                left: '7rem',
                gbid: '31011700001320000065'
            }, {
                top: '3.1rem',
                left: '8.1rem',
                gbid: '31011700001320000063'
            }, {
                top: '3.1rem',
                left: '9.3rem',
                gbid: '31011700001320000061'
            }, {
                top: '4.3rem',
                left: '1rem',
                gbid: '31011700001320000098'
            }, {
                top: '4.3rem',
                left: '2.4rem',
                gbid: '31011700001320000096'
            }, {
                top: '4.3rem',
                left: '3.5rem',
                gbid: '31011700001320000095'
            }, {
                top: '4.3rem',
                left: '4.7rem',
                gbid: '31011700001320000093'
            }, {
                top: '4.3rem',
                left: '5.8rem',
                gbid: '31011700001320000091'
            }, {
                top: '4.3rem',
                left: '7rem',
                gbid: '31011700001320000089'
            }, {
                top: '4.3rem',
                left: '8.1rem',
                gbid: '31011700001320000087'
            }, {
                top: '4.3rem',
                left: '9.3rem',
                gbid: '31011700001320000085'
            }, {
                top: '5.5rem',
                left: '1.02rem',
                gbid: '31011700001320000100'
            }, {
                top: '5.65rem',
                left: '2.4rem',
                gbid: '31011700001320000097'
            }, {
                top: '5.65rem',
                left: '3.5rem',
                gbid: '31011700001320000094'
            }, {
                top: '5.65rem',
                left: '4.7rem',
                gbid: '31011700001320000092'
            }, {
                top: '5.65rem',
                left: '5.8rem',
                gbid: '31011700001320000092'
            }, {
                top: '5.65rem',
                left: '7rem',
                gbid: '31011700001320000088'
            }, {
                top: '5.65rem',
                left: '8.1rem',
                gbid: '31011700001320000086'
            }, {
                top: '5.65rem',
                left: '9.3rem',
                gbid: '31011700001320000084'
            }, {
                top: '5.5rem',
                left: '0.5rem',
                gbid: '31011700001320000101'
            }, {
                top: '5.5rem',
                left: '1.48rem',
                gbid: '31011700001320000099'
            }, {
                top: '5.15rem',
                left: '0.7rem',
                gbid: '31011700001320000102'
            }, {
                top: '5.15rem',
                left: '9.5rem',
                gbid: '31011700001320000111'
            }, {
                top: '2.5rem',
                left: '9.5rem',
                gbid: '31011700001320000104'
            }, {
                top: '7rem',
                left: '0.5rem',
                gbid: '31011700001320000081'
            }, {
                top: '6.7rem',
                left: '2.35rem',
                gbid: '31011700001320000083'
            }, {
                top: '6.7rem',
                left: '4.4rem',
                gbid: '31011700001320000079'
            }, {
                top: '6.7rem',
                left: '8.45rem',
                gbid: '31011700001320000113'
            }, {
                top: '6.8rem',
                left: '5.6rem',
                gbid: '31011700001320000112'
            }, {
                top: '7.3rem',
                left: '5.6rem',
                gbid: '31011700001320000103'
            }, {
                top: '7.35rem',
                left: '1.9rem',
                gbid: '31011700001320000082'
            }
        ],
        'arr3': [
            {
                top: '0.7rem',
                left: '0.5rem',
                gbid: '31011700001320000117'
            }, {
                top: '0.7rem',
                left: '1.3rem',
                gbid: '31011700001320000504'
            }, {
                top: '0.4rem',
                left: '3.6rem',
                gbid: '31011700001320000502'
            }, {
                top: '0.4rem',
                left: '8.5rem',
                gbid: '31011700001320000115'
            }, {
                top: '0.7rem',
                left: '11.2rem',
                gbid: '31011700001320000116'
            }, {
                top: '0.7rem',
                left: '10.45rem',
                gbid: '31011700001320000503'
            }, {
                top: '1.7rem',
                left: '10.4rem',
                gbid: '31011700001320000500'
            }, {
                top: '2.3rem',
                left: '10.4rem',
                gbid: '31011700001320000501'
            }, {
                top: '3.5rem',
                left: '10.15rem',
                gbid: '31011700001320000118'
            }, {
                top: '3.6rem',
                left: '10.65rem',
                gbid: '31011700001320000499'
            }, {
                top: '5.4rem',
                left: '10.4rem',
                gbid: '31011700001320000471'
            }, {
                top: '6.1rem',
                left: '10.4rem',
                gbid: '31011700001320000472'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011700001320000508'
            }, {
                top: '7rem',
                left: '11.2rem',
                gbid: '31011700001320000474'
            }, {
                top: '1.7rem',
                left: '1rem',
                gbid: '31011700001320000470'
            }, {
                top: '1.7rem',
                left: '2.4rem',
                gbid: '31011700001320000467'
            }, {
                top: '1.7rem',
                left: '3.5rem',
                gbid: '31011700001320000466'
            }, {
                top: '1.7rem',
                left: '4.7rem',
                gbid: '31011700001320000128'
            }, {
                top: '1.7rem',
                left: '5.8rem',
                gbid: '31011700001320000126'
            }, {
                top: '1.7rem',
                left: '7rem',
                gbid: '31011700001320000124'
            }, {
                top: '1.7rem',
                left: '8.1rem',
                gbid: '31011700001320000122'
            }, {
                top: '1.7rem',
                left: '9.3rem',
                gbid: '31011700001320000120'
            }, {
                top: '3.1rem',
                left: '1rem',
                gbid: '31011700001320000469'
            }, {
                top: '3.1rem',
                left: '2.4rem',
                gbid: '31011700001320000468'
            }, {
                top: '3.1rem',
                left: '3.5rem',
                gbid: '31011700001320000465'
            }, {
                top: '3.1rem',
                left: '4.7rem',
                gbid: '31011700001320000127'
            }, {
                top: '3.1rem',
                left: '5.8rem',
                gbid: '31011700001320000125'
            }, {
                top: '3.1rem',
                left: '7rem',
                gbid: '31011700001320000123'
            }, {
                top: '3.1rem',
                left: '8.1rem',
                gbid: '31011700001320000121'
            }, {
                top: '3.1rem',
                left: '9.3rem',
                gbid: '31011700001320000119'
            }, {
                top: '4.3rem',
                left: '1rem',
                gbid: '31011700001320000492'
            }, {
                top: '4.3rem',
                left: '2.4rem',
                gbid: '31011700001320000490'
            }, {
                top: '4.3rem',
                left: '3.5rem',
                gbid: '31011700001320000489'
            }, {
                top: '4.3rem',
                left: '4.7rem',
                gbid: '31011700001320000487'
            }, {
                top: '4.3rem',
                left: '5.8rem',
                gbid: '31011700001320000485'
            }, {
                top: '4.3rem',
                left: '7rem',
                gbid: '31011700001320000483'
            }, {
                top: '4.3rem',
                left: '8.1rem',
                gbid: '31011700001320000481'
            }, {
                top: '4.3rem',
                left: '9.3rem',
                gbid: '31011700001320000479'
            }, {
                top: '5.5rem',
                left: '1.02rem',
                gbid: '31011700001320000494'
            }, {
                top: '5.65rem',
                left: '2.4rem',
                gbid: '31011700001320000491'
            }, {
                top: '5.65rem',
                left: '3.5rem',
                gbid: '31011700001320000488'
            }, {
                top: '5.65rem',
                left: '4.7rem',
                gbid: '31011700001320000486'
            }, {
                top: '5.65rem',
                left: '5.8rem',
                gbid: '31011700001320000484'
            }, {
                top: '5.65rem',
                left: '7rem',
                gbid: '31011700001320000482'
            }, {
                top: '5.65rem',
                left: '8.1rem',
                gbid: '31011700001320000480'
            }, {
                top: '5.65rem',
                left: '9.3rem',
                gbid: '31011700001320000478'
            }, {
                top: '5.5rem',
                left: '0.5rem',
                gbid: '31011700001320000495'
            }, {
                top: '5.5rem',
                left: '1.48rem',
                gbid: '31011700001320000493'
            }, {
                top: '5.15rem',
                left: '0.7rem',
                gbid: '31011700001320000496'
            }, {
                top: '5.15rem',
                left: '9.5rem',
                gbid: '31011700001320000505'
            }, {
                top: '2.5rem',
                left: '9.5rem',
                gbid: '31011700001320000498'
            }, {
                top: '7rem',
                left: '0.5rem',
                gbid: '31011700001320000475'
            }, {
                top: '6.7rem',
                left: '2.35rem',
                gbid: '31011700001320000477'
            }, {
                top: '6.7rem',
                left: '4.4rem',
                gbid: '31011700001320000473'
            }, {
                top: '6.7rem',
                left: '8.45rem',
                gbid: '31011700001320000507'
            }, {
                top: '6.8rem',
                left: '5.6rem',
                gbid: '31011700001320000506'
            }, {
                top: '7.3rem',
                left: '5.6rem',
                gbid: '31011700001320000497'
            }, {
                top: '7.35rem',
                left: '1.9rem',
                gbid: '31011700001320000476'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nv1_' + index +'.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
