<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>新习艺楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nj">新习艺楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>15</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>17</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>18</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.9rem',
                left: '3.4rem',
                gbid: '31011700001320000576'
            }, {
                top: '0.9rem',
                left: '8.85rem',
                gbid: '31011700001320000577'
            }, {
                top: '2.8rem',
                left: '2.35rem',
                gbid: '31011700001320000571'
            }, {
                top: '2.8rem',
                left: '4.88rem',
                gbid: '31011700001320000570'
            }, {
                top: '2.8rem',
                left: '7rem',
                gbid: '31011700001320000575'
            }, {
                top: '5rem',
                left: '2.35rem',
                gbid: '31011700001320000572'
            }, {
                top: '5rem',
                left: '4.88rem',
                gbid: '31011700001320000580'
            }, {
                top: '5rem',
                left: '7rem',
                gbid: '31011700001320000569'
            }, {
                top: '5rem',
                left: '8.7rem',
                gbid: '31011700001320000568'
            }, {
                top: '3.8rem',
                left: '11.2rem',
                gbid: '31011700001320000574'
            }, {
                top: '3.45rem',
                left: '9.8rem',
                gbid: '31011700001320000581'
            }, {
                top: '3.9rem',
                left: '8.1rem',
                gbid: '31011700001320000573'
            }, {
                top: '7rem',
                left: '8.6rem',
                gbid: '31011700001320000578'
            }, {
                top: '6.88rem',
                left: '3.28rem',
                gbid: '31011700001320000579'
            }, {
                top: '3.5rem',
                left: '0.65rem',
                gbid: '31011700001320000582'
            }
        ],
        'arr2': [
            {
                top: '0.9rem',
                left: '3.4rem',
                gbid: '31011700001320000139'
            }, {
                top: '0.9rem',
                left: '8.85rem',
                gbid: '31011700001320000583'
            }, {
                top: '2.8rem',
                left: '2.35rem',
                gbid: '31011700001320000143'
            }, {
                top: '2.8rem',
                left: '4.88rem',
                gbid: '31011700001320000137'
            }, {
                top: '2.8rem',
                left: '7rem',
                gbid: '31011700001320000140'
            }, {
                top: '2.8rem',
                left: '8.7rem',
                gbid: '31011700001320000136'
            }, {
                top: '5rem',
                left: '2.35rem',
                gbid: '31011700001320000135'
            }, {
                top: '5rem',
                left: '4.88rem',
                gbid: '31011700001320000134'
            }, {
                top: '5rem',
                left: '7rem',
                gbid: '31011700001320000141'
            }, {
                top: '5rem',
                left: '8.7rem',
                gbid: '31011700001320000131'
            }, {
                top: '3.65rem',
                left: '11.2rem',
                gbid: '31011700001320000132'
            }, {
                top: '3.5rem',
                left: '9.7rem',
                gbid: '31011700001320000129'
            }, {
                top: '2.6rem',
                left: '0.5rem',
                gbid: '31011700001320000130'
            }, {
                top: '4.6rem',
                left: '0.5rem',
                gbid: '31011700001320000133'
            }, {
                top: '7rem',
                left: '0.5rem',
                gbid: '31011700001320000144'
            }, {
                top: '6.9rem',
                left: '2.5rem',
                gbid: '31011700001320000142'
            }, {
                top: '6.9rem',
                left: '4.9rem',
                gbid: '31011700001320000138'
            }
        ],
        'arr3': [
            {
                top: '0.9rem',
                left: '3.4rem',
                gbid: '31011700001320000152'
            }, {
                top: '0.9rem',
                left: '8.85rem',
                gbid: '31011700001320000149'
            }, {
                top: '2.8rem',
                left: '2.35rem',
                gbid: '31011700001320000158'
            }, {
                top: '2.8rem',
                left: '4.88rem',
                gbid: '31011700001320000156'
            }, {
                top: '2.8rem',
                left: '7rem',
                gbid: '31011700001320000159'
            }, {
                top: '2.8rem',
                left: '8.7rem',
                gbid: '31011700001320000155'
            }, {
                top: '5rem',
                left: '2.35rem',
                gbid: '31011700001320000153'
            }, {
                top: '5rem',
                left: '4.88rem',
                gbid: '31011700001320000161'
            }, {
                top: '5rem',
                left: '7rem',
                gbid: '31011700001320000154'
            }, {
                top: '5rem',
                left: '8.7rem',
                gbid: '31011700001320000160'
            }, {
                top: '3.7rem',
                left: '11.2rem',
                gbid: '31011700001320000157'
            }, {
                top: '3.5rem',
                left: '9.7rem',
                gbid: '31011700001320000147'
            }, {
                top: '6.9rem',
                left: '7.55rem',
                gbid: '31011700001320000150'
            }, {
                top: '3.6rem',
                left: '0.5rem',
                gbid: '31011700001320000148'
            }, {
                top: '7rem',
                left: '0.5rem',
                gbid: '31011700001320000162'
            }, {
                top: '6.9rem',
                left: '2.5rem',
                gbid: '31011700001320000146'
            }, {
                top: '6.9rem',
                left: '4.9rem',
                gbid: '31011700001320000145'
            }, {
                top: '6.9rem',
                left: '10.3rem',
                gbid: '31011700001320000151'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/xiyi' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
