<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>四监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">四监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>7</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>1</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.5rem',
                left: '0.58rem',
                gbid: '31011800001320002314'
            }, {
                top: '3.9rem',
                left: '3.8rem',
                gbid: '31011800001320002313'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002757'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002311'
            }, {
                top: '3.6rem',
                left: '9.68rem',
                gbid: '31011800001320002759'
            }, {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002312'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002758'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002328'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002763'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002332'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002329'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002331'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002764'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002327'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002330'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002326'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002324'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002322'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002320'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002318'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002316'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002325'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002323'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002321'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002319'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002317'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002315'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002346'
            }, {
                top: '0.75rem',
                left: '10.38rem',
                gbid: '31011800001320002769'
            }, {
                top: '3.4rem',
                left: '0.6rem',
                gbid: '31011800001320002350'
            }, {
                top: '3.6rem',
                left: '1.34rem',
                gbid: '31011800001320002347'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002348'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002765'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002345'
            }, {
                top: '7rem',
                left: '0.8rem',
                gbid: '31011800001320002349'
            }, {
                top: '2.6rem',
                left: '2.5rem',
                gbid: '31011800001320002444'
            }, {
                top: '2.6rem',
                left: '3.7rem',
                gbid: '31011800001320002343'
            }, {
                top: '2.6rem',
                left: '5.1rem',
                gbid: '31011800001320002340'
            }, {
                top: '2.6rem',
                left: '6.5rem',
                gbid: '31011800001320002338'
            }, {
                top: '2.6rem',
                left: '7.9rem',
                gbid: '31011800001320002336'
            }, {
                top: '2.6rem',
                left: '9.2rem',
                gbid: '31011800001320002334'
            }, {
                top: '5rem',
                left: '2.5rem',
                gbid: '31011800001320002344'
            }, {
                top: '5rem',
                left: '3.7rem',
                gbid: '31011800001320002341'
            }, {
                top: '5rem',
                left: '5.1rem',
                gbid: '31011800001320002339'
            }, {
                top: '5rem',
                left: '6.5rem',
                gbid: '31011800001320002337'
            }, {
                top: '5rem',
                left: '7.9rem',
                gbid: '31011800001320002335'
            }, {
                top: '5rem',
                left: '9.2rem',
                gbid: '31011800001320002333'
            }
        ],
        'arr4': [
            {
                top: '7.15rem',
                left: '5.6rem',
                gbid: '31011800001320002510'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu3_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
