<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/qp">一监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>21</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>24</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>24</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor">监控点<span>3</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002556'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002555'
            }, {
                top: '3.45rem',
                left: '0.6rem',
                gbid: '31011800001320002559'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002553'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002551'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002549'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002547'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002545'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002883'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002554'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002552'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002550'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002548'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002546'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002544'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320002831'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002558'
            }, {
                top: '3.6rem',
                left: '9.7rem',
                gbid: '31011800001320002801'
            }, {
                top: '3.8rem',
                left: '7.5rem',
                gbid: '31011800001320002557'
            },
            {
                top: '2.55rem',
                left: '11.08rem',
                gbid: '31011800001320002802'
            }, {
                top: '5.2rem',
                left: '11.08rem',
                gbid: '31011800001320002914'
            }
        ],
        'arr2': [
            {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002577'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002576'
            }, {
                top: '3.45rem',
                left: '0.58rem',
                gbid: '31011800001320002581'
            }, {
                top: '3.6rem',
                left: '1.32rem',
                gbid: '31011800001320002578'
            }, {
                top: '7rem',
                left: '0.7rem',
                gbid: '31011800001320002580'
            }, {
                top: '2.48rem',
                left: '2.36rem',
                gbid: '31011800001320002575'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002573'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002571'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002569'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002567'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002565'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002563'
            }, {
                top: '2.48rem',
                left: '9.36rem',
                gbid: '31011800001320002561'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002574'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002572'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002570'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002568'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002566'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002564'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320002562'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002560'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002579'
            }, {
                top: '0.75rem',
                left: '10.4rem',
                gbid: '31011800001320002832'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002884'
            }
        ],
        'arr3': [
            {
                top: '0.75rem',
                left: '0.75rem',
                gbid: '31011800001320002887'
            }, {
                top: '0.75rem',
                left: '5.5rem',
                gbid: '31011800001320002599'
            }, {
                top: '7rem',
                left: '5.5rem',
                gbid: '31011800001320002598'
            }, {
                top: '3.6rem',
                left: '1.02rem',
                gbid: '31011800001320002600'
            }, {
                top: '7rem',
                left: '0.7rem',
                gbid: '31011800001320002602'
            }, {
                top: '2.48rem',
                left: '2.36rem',
                gbid: '31011800001320002597'
            }, {
                top: '2.48rem',
                left: '3.36rem',
                gbid: '31011800001320002595'
            }, {
                top: '2.48rem',
                left: '4.3rem',
                gbid: '31011800001320002593'
            }, {
                top: '2.48rem',
                left: '5.3rem',
                gbid: '31011800001320002591'
            }, {
                top: '2.48rem',
                left: '6.28rem',
                gbid: '31011800001320002589'
            }, {
                top: '2.48rem',
                left: '7.25rem',
                gbid: '31011800001320002587'
            }, {
                top: '2.48rem',
                left: '8.36rem',
                gbid: '31011800001320002585'
            }, {
                top: '2.48rem',
                left: '9.36rem',
                gbid: '31011800001320002583'
            }, {
                top: '5rem',
                left: '2.36rem',
                gbid: '31011800001320002596'
            }, {
                top: '5rem',
                left: '3.36rem',
                gbid: '31011800001320002594'
            }, {
                top: '5rem',
                left: '4.3rem',
                gbid: '31011800001320002592'
            }, {
                top: '5rem',
                left: '5.3rem',
                gbid: '31011800001320002590'
            }, {
                top: '5rem',
                left: '6.28rem',
                gbid: '31011800001320002588'
            }, {
                top: '5rem',
                left: '7.25rem',
                gbid: '31011800001320002586'
            }, {
                top: '5rem',
                left: '8.36rem',
                gbid: '31011800001320002584'
            }, {
                top: '5rem',
                left: '9.36rem',
                gbid: '31011800001320002582'
            }, {
                top: '3.8rem',
                left: '9.5rem',
                gbid: '31011800001320002601'
            }, {
                top: '0.75rem',
                left: '10.4rem',
                gbid: '31011800001320002833'
            }, {
                top: '7rem',
                left: '10.4rem',
                gbid: '31011800001320002886'
            }
        ],
        'arr4': [
            {
                top: '3.6rem',
                left: '5.6rem',
                gbid: '31011800001320002639'
            }, {
                top: '3.6rem',
                left: '9.3rem',
                gbid: '31011800001320002640'
            }, {
                top: '3.6rem',
                left: '1.9rem',
                gbid: '31011800001320002638'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/qp/jianqu1_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
