<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>东楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/wjc">东</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>36</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>38</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.5rem',
                left: '0.61rem',
                gbid: '31011000001320000236'
            }, {
                top: '0.5rem',
                left: '1.61rem',
                gbid: '31011000001320000240'
            }, {
                top: '0.5rem',
                left: '2.61rem',
                gbid: '31011000001320000244'
            }, {
                top: '0.5rem',
                left: '3.55rem',
                gbid: '31011000001320000248'
            }, {
                top: '0.5rem',
                left: '6.05rem',
                gbid: '31011000001320000252'
            }, {
                top: '0.5rem',
                left: '7.05rem',
                gbid: '31011000001320000254'
            }, {
                top: '1.7rem',
                left: '0.61rem',
                gbid: '31011000001320000237'
            }, {
                top: '1.7rem',
                left: '1.61rem',
                gbid: '31011000001320000241'
            }, {
                top: '1.7rem',
                left: '2.61rem',
                gbid: '31011000001320000245'
            }, {
                top: '1.7rem',
                left: '3.55rem',
                gbid: '31011000001320000249'
            }, {
                top: '1.7rem',
                left: '6.05rem',
                gbid: '31011000001320000253'
            }, {
                top: '1.7rem',
                left: '7.05rem',
                gbid: '31011000001320000255'
            }, {
                top: '1.7rem',
                left: '9rem',
                gbid: '31011000001320000267'
            }, {
                top: '3.45rem',
                left: '0.61rem',
                gbid: '31011000001320000238'
            }, {
                top: '3.45rem',
                left: '1.61rem',
                gbid: '31011000001320000242'
            }, {
                top: '3.45rem',
                left: '2.61rem',
                gbid: '31011000001320000246'
            }, {
                top: '3.45rem',
                left: '3.55rem',
                gbid: '31011000001320000250'
            }, {
                top: '3.45rem',
                left: '7.05rem',
                gbid: '31011000001320000256'
            }, {
                top: '4.6rem',
                left: '0.61rem',
                gbid: '31011000001320000239'
            }, {
                top: '4.6rem',
                left: '1.61rem',
                gbid: '31011000001320000243'
            }, {
                top: '4.6rem',
                left: '2.61rem',
                gbid: '31011000001320000247'
            }, {
                top: '4.6rem',
                left: '3.55rem',
                gbid: '31011000001320000251'
            }, {
                top: '4.6rem',
                left: '7.05rem',
                gbid: '31011000001320000257'
            }, {
                top: '0.4rem',
                left: '10.9rem',
                gbid: '31011000001320000272'
            }, {
                top: '1.5rem',
                left: '4.77rem',
                gbid: '31011000001320000263'
            }, {
                top: '2.6rem',
                left: '4.77rem',
                gbid: '31011000001320000268'
            }, {
                top: '4.4rem',
                left: '5.3rem',
                gbid: '31011000001320000266'
            }, {
                top: '5.3rem',
                left: '1.6rem',
                gbid: '31011000001320000258'
            }, {
                top: '5.3rem',
                left: '4.4rem',
                gbid: '31011000001320000260'
            }, {
                top: '6.65rem',
                left: '4.1rem',
                gbid: '31011000001320000259'
            }, {
                top: '6.65rem',
                left: '7.3rem',
                gbid: '31011000001320000261'
            }, {
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011000001320000265'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011000001320000269'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011000001320000270'
            }, {
                top: '3.2rem',
                left: '7.7rem',
                gbid: '31011000001320000264'
            }, {
                top: '2.6rem',
                left: '7.5rem',
                gbid: '31011000001320000262'
            }
        ],
        'arr2': [
            {
                top: '0.5rem',
                left: '0.61rem',
                gbid: '31011000001320000273'
            }, {
                top: '0.5rem',
                left: '1.61rem',
                gbid: '31011000001320000277'
            }, {
                top: '0.5rem',
                left: '2.61rem',
                gbid: '31011000001320000281'
            }, {
                top: '0.5rem',
                left: '3.55rem',
                gbid: '31011000001320000285'
            }, {
                top: '0.5rem',
                left: '6.05rem',
                gbid: '31011000001320000289'
            }, {
                top: '0.5rem',
                left: '7.05rem',
                gbid: '31011000001320000293'
            }, {
                top: '1.7rem',
                left: '0.61rem',
                gbid: '31011000001320000274'
            }, {
                top: '1.7rem',
                left: '1.61rem',
                gbid: '31011000001320000278'
            }, {
                top: '1.7rem',
                left: '2.61rem',
                gbid: '31011000001320000282'
            }, {
                top: '1.7rem',
                left: '3.55rem',
                gbid: '31011000001320000286'
            }, {
                top: '1.7rem',
                left: '6.05rem',
                gbid: '31011000001320000290'
            }, {
                top: '1.7rem',
                left: '7.05rem',
                gbid: '31011000001320000294'
            }, {
                top: '1.7rem',
                left: '9rem',
                gbid: '31011000001320000306'
            }, {
                top: '3.45rem',
                left: '0.61rem',
                gbid: '31011000001320000275'
            }, {
                top: '3.45rem',
                left: '1.61rem',
                gbid: '31011000001320000279'
            }, {
                top: '3.45rem',
                left: '2.61rem',
                gbid: '31011000001320000283'
            }, {
                top: '3.45rem',
                left: '3.55rem',
                gbid: '31011000001320000287'
            }, {
                top: '3.45rem',
                left: '7.05rem',
                gbid: '31011000001320000295'
            }, {
                top: '3.45rem',
                left: '6.05rem',
                gbid: '31011000001320000291'
            }, {
                top: '4.6rem',
                left: '0.61rem',
                gbid: '31011000001320000276'
            }, {
                top: '4.6rem',
                left: '1.61rem',
                gbid: '31011000001320000280'
            }, {
                top: '4.6rem',
                left: '2.61rem',
                gbid: '31011000001320000284'
            }, {
                top: '4.6rem',
                left: '3.55rem',
                gbid: '31011000001320000288'
            }, {
                top: '4.6rem',
                left: '7.05rem',
                gbid: '31011000001320000296'
            }, {
                top: '4.6rem',
                left: '6.05rem',
                gbid: '31011000001320000292'
            }, {
                top: '0.4rem',
                left: '10.9rem',
                gbid: '31011000001320000312'
            }, {
                top: '1.5rem',
                left: '4.77rem',
                gbid: '31011000001320000302'
            }, {
                top: '2.6rem',
                left: '4.77rem',
                gbid: '31011000001320000307'
            }, {
                top: '4.4rem',
                left: '4.8rem',
                gbid: '31011000001320000305'
            }, {
                top: '5.3rem',
                left: '1.6rem',
                gbid: '31011000001320000297'
            }, {
                top: '5.3rem',
                left: '4.4rem',
                gbid: '31011000001320000299'
            }, {
                top: '6.65rem',
                left: '4.1rem',
                gbid: '31011000001320000298'
            }, {
                top: '6.65rem',
                left: '7.3rem',
                gbid: '31011000001320000300'
            }, {
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011000001320000304'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011000001320000308'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011000001320000309'
            }, {
                top: '3.2rem',
                left: '7.7rem',
                gbid: '31011000001320000303'
            }, {
                top: '2.6rem',
                left: '7.5rem',
                gbid: '31011000001320000301'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/dongjian' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
