<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>九监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/xsf">九监区</a></div>
            <div class="tab_list">
                <ul>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>79</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.35rem',
                left: '0.3rem',
                gbid: '31011800001320000575'
            },
            {
                top: '0.92rem',
                left: '1.15rem',
                gbid: '31011800001320000512'
            },
            {
                top: '0.92rem',
                left: '1.78rem',
                gbid: '31011800001320000514'
            }, {
                top: '0.92rem',
                left: '2.4rem',
                gbid: '31011800001320000516'
            }, {
                top: '0.92rem',
                left: '3.05rem',
                gbid: '31011800001320000518'
            }, {
                top: '0.92rem',
                left: '3.68rem',
                gbid: '31011800001320000520'
            }, {
                top: '0.92rem',
                left: '4.3rem',
                gbid: '31011800001320000522'
            }, {
                top: '0.92rem',
                left: '4.9rem',
                gbid: '31011800001320000524'
            }, {
                top: '0.92rem',
                left: '5.55rem',
                gbid: '31011800001320000526'
            }, {
                top: '0.92rem',
                left: '6.15rem',
                gbid: '31011800001320000528'
            }, {
                top: '0.92rem',
                left: '6.8rem',
                gbid: '31011800001320000530'
            }, {
                top: '0.92rem',
                left: '7.4rem',
                gbid: '31011800001320000532'
            }, {
                top: '0.92rem',
                left: '8.05rem',
                gbid: '31011800001320000534'
            }, {
                top: '0.92rem',
                left: '8.7rem',
                gbid: '31011800001320000536'
            }, {
                top: '0.92rem',
                left: '9.3rem',
                gbid: '31011800001320000538'
            }, {
                top: '0.92rem',
                left: '9.93rem',
                gbid: '31011800001320000540'
            }, {
                top: '0.92rem',
                left: '10.55rem',
                gbid: '31011800001320000542'
            }, {
                top: '1.4rem',
                left: '1.15rem',
                gbid: '31011800001320000513'
            },
            {
                top: '1.4rem',
                left: '1.78rem',
                gbid: '31011800001320000515'
            },{
                top: '1.4rem',
                left: '2.4rem',
                gbid: '31011800001320000517'
            }, {
                top: '1.4rem',
                left: '3.05rem',
                gbid: '31011800001320000519'
            }, {
                top: '1.4rem',
                left: '3.68rem',
                gbid: '31011800001320000521'
            }, {
                top: '1.4rem',
                left: '4.3rem',
                gbid: '31011800001320000523'
            }, {
                top: '1.4rem',
                left: '4.9rem',
                gbid: '31011800001320000525'
            }, {
                top: '1.4rem',
                left: '5.55rem',
                gbid: '31011800001320000527'
            }, {
                top: '1.4rem',
                left: '6.15rem',
                gbid: '31011800001320000529'
            }, {
                top: '1.4rem',
                left: '6.8rem',
                gbid: '31011800001320000531'
            }, {
                top: '1.4rem',
                left: '7.4rem',
                gbid: '31011800001320000533'
            }, {
                top: '1.4rem',
                left: '8.05rem',
                gbid: '31011800001320000535'
            }, {
                top: '1.4rem',
                left: '8.7rem',
                gbid: '31011800001320000537'
            }, {
                top: '1.4rem',
                left: '9.3rem',
                gbid: '31011800001320000539'
            }, {
                top: '1.4rem',
                left: '9.93rem',
                gbid: '31011800001320000541'
            }, {
                top: '1.4rem',
                left: '10.55rem',
                gbid: '31011800001320000543'
            }, {
                top: '2.4rem',
                left: '1.15rem',
                gbid: '31011800001320000544'
            },
            {
                top: '2.4rem',
                left: '1.78rem',
                gbid: '31011800001320000546'
            }, {
                top: '2.4rem',
                left: '2.4rem',
                gbid: '31011800001320000548'
            }, {
                top: '2.4rem',
                left: '3.05rem',
                gbid: '31011800001320000550'
            }, {
                top: '2.4rem',
                left: '3.68rem',
                gbid: '31011800001320000552'
            }, {
                top: '2.4rem',
                left: '4.3rem',
                gbid: '31011800001320000554'
            }, {
                top: '2.4rem',
                left: '4.9rem',
                gbid: '31011800001320000556'
            }, {
                top: '2.4rem',
                left: '5.55rem',
                gbid: '31011800001320000558'
            }, {
                top: '2.4rem',
                left: '6.15rem',
                gbid: '31011800001320000560'
            }, {
                top: '2.4rem',
                left: '6.8rem',
                gbid: '31011800001320000562'
            }, {
                top: '2.4rem',
                left: '7.4rem',
                gbid: '31011800001320000564'
            }, {
                top: '2.4rem',
                left: '8.05rem',
                gbid: '31011800001320000566'
            }, {
                top: '2.4rem',
                left: '8.7rem',
                gbid: '31011800001320000568'
            }, {
                top: '2.4rem',
                left: '9.3rem',
                gbid: '31011800001320000570'
            }, {
                top: '2.4rem',
                left: '9.93rem',
                gbid: '31011800001320000572'
            }, {
                top: '2.9rem',
                left: '1.15rem',
                gbid: '31011800001320000545'
            },
            {
                top: '2.9rem',
                left: '1.78rem',
                gbid: '31011800001320000547'
            }, {
                top: '2.9rem',
                left: '2.4rem',
                gbid: '31011800001320000549'
            }, {
                top: '2.9rem',
                left: '3.05rem',
                gbid: '31011800001320000551'
            }, {
                top: '2.9rem',
                left: '3.68rem',
                gbid: '31011800001320000553'
            }, {
                top: '2.9rem',
                left: '4.3rem',
                gbid: '31011800001320000555'
            }, {
                top: '2.9rem',
                left: '4.9rem',
                gbid: '31011800001320000557'
            }, {
                top: '2.9rem',
                left: '5.55rem',
                gbid: '31011800001320000559'
            }, {
                top: '2.9rem',
                left: '6.15rem',
                gbid: '31011800001320000561'
            }, {
                top: '2.9rem',
                left: '6.8rem',
                gbid: '31011800001320000563'
            }, {
                top: '2.9rem',
                left: '7.4rem',
                gbid: '31011800001320000565'
            }, {
                top: '2.9rem',
                left: '8.05rem',
                gbid: '31011800001320000567'
            }, {
                top: '2.9rem',
                left: '8.7rem',
                gbid: '31011800001320000569'
            }, {
                top: '2.9rem',
                left: '9.3rem',
                gbid: '31011800001320000571'
            }, {
                top: '2.9rem',
                left: '9.93rem',
                gbid: '31011800001320000573'
            }, {
                top: '4.7rem',
                left: '1.45rem',
                gbid: '31011800001320000503'
            }, {
                top: '4.7rem',
                left: '2.7rem',
                gbid: '31011800001320000504'
            }, {
                top: '4.7rem',
                left: '3.95rem',
                gbid: '31011800001320000505'
            }, {
                top: '4.7rem',
                left: '5.2rem',
                gbid: '31011800001320000506'
            }, {
                top: '4.73rem',
                left: '6.5rem',
                gbid: '31011800001320000507'
            }, {
                top: '5.35rem',
                left: '7.75rem',
                gbid: '31011800001320000496'
            }, {
                top: '5.35rem',
                left: '9rem',
                gbid: '31011800001320000497'
            }, {
                top: '5.35rem',
                left: '10.25rem',
                gbid: '31011800001320000498'
            }, {
                top: '4.05rem',
                left: '3.95rem',
                gbid: '31011800001320000502'
            }, {
                top: '4.05rem',
                left: '10.88rem',
                gbid: '31011800001320000501'
            }, {
                top: '6rem',
                left: '0.85rem',
                gbid: '31011800001320000499'
            }, {
                top: '6rem',
                left: '3.95rem',
                gbid: '31011800001320000500'
            }, {
                top: '7.03rem',
                left: '3.1rem',
                gbid: '31011800001320000510'
            }, {
                top: '7.6rem',
                left: '6.8rem',
                gbid: '31011800001320000509'
            }, {
                top: '7.3rem',
                left: '0.85rem',
                gbid: '31011800001320000508'
            }, {
                top: '7.45rem',
                left: '11.23rem',
                gbid: '31011800001320000574'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/new_nine.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
