<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/xsf">二监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>28</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>27</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '3.9rem',
                left: '0.33rem',
                gbid: '31011800001320000138'
            },{
                top: '3.9rem',
                left: '5.05rem',
                gbid: '31011800001320000140'
            },{
                top: '3.9rem',
                left: '5.85rem',
                gbid: '31011800001320000139'
            },{
                top: '3.9rem',
                left: '5.45rem',
                gbid: '31011800001320000137'
            },{
                top: '3.9rem',
                left: '11.3rem',
                gbid: '31011800001320000136'
            },{
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011800001320000141'
            },{
                top: '6rem',
                left: '3.1rem',
                gbid: '31011800001320000126'
            },{
                top: '0.1rem',
                left: '5.48rem',
                gbid: '31011800001320000110'
            },{
                top: '0.35rem',
                left: '6.1rem',
                gbid: '31011800001320000127'
            },{
                top: '0.35rem',
                left: '7.2rem',
                gbid: '31011800001320000128'
            },{
                top: '0.35rem',
                left: '8.35rem',
                gbid: '31011800001320000129'
            },{
                top: '0.35rem',
                left: '9.5rem',
                gbid: '31011800001320000130'
            },{
                top: '0.35rem',
                left: '10.65rem',
                gbid: '31011800001320000131'
            },{
                top: '2.1rem',
                left: '6.45rem',
                gbid: '31011800001320000117'
            },{
                top: '2.1rem',
                left: '7.6rem',
                gbid: '31011800001320000118'
            },{
                top: '2.1rem',
                left: '8.7rem',
                gbid: '31011800001320000119'
            },{
                top: '2.1rem',
                left: '9.85rem',
                gbid: '31011800001320000120'
            },{
                top: '2.1rem',
                left: '11rem',
                gbid: '31011800001320000121'
            },{
                top: '5.7rem',
                left: '6.45rem',
                gbid: '31011800001320000122'
            },{
                top: '5.7rem',
                left: '7.6rem',
                gbid: '31011800001320000123'
            },{
                top: '5.7rem',
                left: '8.7rem',
                gbid: '31011800001320000124'
            },{
                top: '5.7rem',
                left: '9.85rem',
                gbid: '31011800001320000125'
            },{
                top: '7.65rem',
                left: '5.48rem',
                gbid: '31011800001320000111'
            },{
                top: '7.4rem',
                left: '6.8rem',
                gbid: '31011800001320000132'
            },{
                top: '0.7rem',
                left: '4.75rem',
                gbid: '31011800001320000112'
            },{
                top: '7.4rem',
                left: '7.9rem',
                gbid: '31011800001320000133'
            },{
                top: '7.4rem',
                left: '10.2rem',
                gbid: '31011800001320000135'
            },{
                top: '7.4rem',
                left: '9.05rem',
                gbid: '31011800001320000134'
            }
        ],
        'arr2': [
            {
                top: '3.9rem',
                left: '0.33rem',
                gbid: '31011800001320000163'
            },{
                top: '3.9rem',
                left: '5.05rem',
                gbid: '31011800001320000166'
            },{
                top: '3.9rem',
                left: '5.85rem',
                gbid: '31011800001320000164'
            },{
                top: '3.9rem',
                left: '5.45rem',
                gbid: '31011800001320000162'
            },{
                top: '3.9rem',
                left: '11.3rem',
                gbid: '31011800001320000161'
            },{
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011800001320000167'
            },{
                top: '6rem',
                left: '2.3rem',
                gbid: '31011800001320000151'
            },{
                top: '6.3rem',
                left: '4.25rem',
                gbid: '31011800001320000165'
            },{
                top: '0.35rem',
                left: '6.1rem',
                gbid: '31011800001320000152'
            },{
                top: '0.35rem',
                left: '7.2rem',
                gbid: '31011800001320000153'
            },{
                top: '0.35rem',
                left: '8.35rem',
                gbid: '31011800001320000154'
            },{
                top: '0.35rem',
                left: '9.5rem',
                gbid: '31011800001320000155'
            },{
                top: '0.35rem',
                left: '10.65rem',
                gbid: '31011800001320000156'
            },{
                top: '2.1rem',
                left: '6.45rem',
                gbid: '31011800001320000142'
            },{
                top: '2.1rem',
                left: '7.6rem',
                gbid: '31011800001320000143'
            },{
                top: '2.1rem',
                left: '8.7rem',
                gbid: '31011800001320000144'
            },{
                top: '2.1rem',
                left: '9.85rem',
                gbid: '31011800001320000145'
            },{
                top: '2.1rem',
                left: '11rem',
                gbid: '31011800001320000146'
            },{
                top: '5.7rem',
                left: '6.45rem',
                gbid: '31011800001320000147'
            },{
                top: '5.7rem',
                left: '7.6rem',
                gbid: '31011800001320000148'
            },{
                top: '5.7rem',
                left: '8.7rem',
                gbid: '31011800001320000149'
            },{
                top: '5.7rem',
                left: '9.85rem',
                gbid: '31011800001320000150'
            },{
                top: '7.4rem',
                left: '6.8rem',
                gbid: '31011800001320000157'
            },{
                top: '0.7rem',
                left: '4.75rem',
                gbid: '31011800001320000113'
            },{
                top: '7.4rem',
                left: '7.9rem',
                gbid: '31011800001320000158'
            },{
                top: '7.4rem',
                left: '10.2rem',
                gbid: '31011800001320000160'
            },{
                top: '7.4rem',
                left: '9.05rem',
                gbid: '31011800001320000159'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/new_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
