<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会见楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zp">会见楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>76</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.3rem',
                left: '1.1rem',
                gbid: '31011500001320000013'
            }, {
                top: '0.3rem',
                left: '10.65rem',
                gbid: '31011500001320000012'
            }, {
                top: '1.05rem',
                left: '1.1rem',
                gbid: '31011500001320000039'
            }, {
                top: '1.05rem',
                left: '1.68rem',
                gbid: '31011500001320000050'
            }, {
                top: '1.05rem',
                left: '2.23rem',
                gbid: '31011500001320000061'
            }, {
                top: '1.05rem',
                left: '2.8rem',
                gbid: '31011500001320000069'
            }, {
                top: '1.05rem',
                left: '3.35rem',
                gbid: '31011500001320000070'
            }, {
                top: '1.05rem',
                left: '3.9rem',
                gbid: '31011500001320000071'
            }, {
                top: '1.05rem',
                left: '4.45rem',
                gbid: '31011500001320000072'
            }, {
                top: '1.05rem',
                left: '5rem',
                gbid: '31011500001320000073'
            }, {
                top: '1.05rem',
                left: '5.6rem',
                gbid: '31011500001320000074'
            }, {
                top: '1.05rem',
                left: '6.15rem',
                gbid: '31011500001320000040'
            }, {
                top: '1.05rem',
                left: '6.7rem',
                gbid: '31011500001320000041'
            }, {
                top: '1.05rem',
                left: '7.25rem',
                gbid: '31011500001320000042'
            }, {
                top: '1.05rem',
                left: '7.8rem',
                gbid: '31011500001320000043'
            }, {
                top: '1.05rem',
                left: '8.37rem',
                gbid: '31011500001320000044'
            }, {
                top: '1.05rem',
                left: '8.93rem',
                gbid: '31011500001320000045'
            }, {
                top: '1.05rem',
                left: '9.46rem',
                gbid: '31011500001320000046'
            }, {
                top: '1.05rem',
                left: '10.05rem',
                gbid: '31011500001320000047'
            }, {
                top: '1.05rem',
                left: '10.6rem',
                gbid: '31011500001320000048'
            }, {
                top: '2.3rem',
                left: '1.1rem',
                gbid: '31011500001320000049'
            }, {
                top: '2.3rem',
                left: '1.68rem',
                gbid: '31011500001320000050'
            }, {
                top: '2.3rem',
                left: '2.23rem',
                gbid: '31011500001320000051'
            }, {
                top: '2.3rem',
                left: '2.8rem',
                gbid: '31011500001320000052'
            }, {
                top: '2.3rem',
                left: '3.35rem',
                gbid: '31011500001320000053'
            }, {
                top: '2.3rem',
                left: '3.9rem',
                gbid: '31011500001320000054'
            }, {
                top: '2.3rem',
                left: '4.45rem',
                gbid: '31011500001320000055'
            }, {
                top: '2.3rem',
                left: '5rem',
                gbid: '31011500001320000056'
            }, {
                top: '2.3rem',
                left: '5.6rem',
                gbid: '31011500001320000057'
            }, {
                top: '2.3rem',
                left: '6.15rem',
                gbid: '31011500001320000058'
            }, {
                top: '2.3rem',
                left: '6.7rem',
                gbid: '31011500001320000059'
            }, {
                top: '2.3rem',
                left: '7.25rem',
                gbid: '31011500001320000060'
            }, {
                top: '2.3rem',
                left: '7.8rem',
                gbid: '31011500001320000062'
            }, {
                top: '2.3rem',
                left: '8.37rem',
                gbid: '31011500001320000063'
            }, {
                top: '2.3rem',
                left: '8.93rem',
                gbid: '31011500001320000064'
            }, {
                top: '2.3rem',
                left: '9.46rem',
                gbid: '31011500001320000065'
            }, {
                top: '2.3rem',
                left: '10.05rem',
                gbid: '31011500001320000066'
            }, {
                top: '2.3rem',
                left: '10.6rem',
                gbid: '31011500001320000067'
            }, {
                top: '3.6rem',
                left: '1.1rem',
                gbid: '31011500001320000068'
            }, {
                top: '3.6rem',
                left: '1.68rem',
                gbid: '31011500001320000023'
            }, {
                top: '3.6rem',
                left: '2.33rem',
                gbid: '31011500001320000024'
            }, {
                top: '3.6rem',
                left: '2.9rem',
                gbid: '31011500001320000025'
            }, {
                top: '3.6rem',
                left: '3.5rem',
                gbid: '31011500001320000026'
            }, {
                top: '3.6rem',
                left: '4.1rem',
                gbid: '31011500001320000027'
            }, {
                top: '3.6rem',
                left: '4.65rem',
                gbid: '31011500001320000028'
            }, {
                top: '3.6rem',
                left: '5.27rem',
                gbid: '31011500001320000016'
            }, {
                top: '3.6rem',
                left: '5.85rem',
                gbid: '31011500001320000017'
            }, {
                top: '3.6rem',
                left: '6.45rem',
                gbid: '31011500001320000018'
            }, {
                top: '3.6rem',
                left: '7.05rem',
                gbid: '31011500001320000019'
            }, {
                top: '3.6rem',
                left: '7.6rem',
                gbid: '31011500001320000020'
            }, {
                top: '3.6rem',
                left: '8.25rem',
                gbid: '31011500001320000021'
            }, {
                top: '3.6rem',
                left: '8.82rem',
                gbid: '31011500001320000030'
            }, {
                top: '3.6rem',
                left: '9.4rem',
                gbid: '31011500001320000031'
            }, {
                top: '3.6rem',
                left: '10rem',
                gbid: '31011500001320000032'
            },{
                top: '5.3rem',
                left: '2.05rem',
                gbid: '31011500001320000080'
            }, {
                top: '5.3rem',
                left: '4rem',
                gbid: '31011500001320000079'
            }, {
                top: '5.3rem',
                left: '6rem',
                gbid: '31011500001320000037'
            }, {
                top: '5.3rem',
                left: '8.05rem',
                gbid: '31011500001320000037'
            }, {
                top: '5.3rem',
                left: '10.05rem',
                gbid: '31011500001320000036'
            }, {
                top: '4.3rem',
                left: '9.3rem',
                gbid: '31011500001320000033'
            }, {
                top: '4.3rem',
                left: '1rem',
                gbid: '31011500001320000075'
            }, {
                top: '4.3rem',
                left: '3rem',
                gbid: '31011500001320000076'
            }, {
                top: '4.3rem',
                left: '6.7rem',
                gbid: '31011500001320000029'
            }, {
                top: '6.35rem',
                left: '0.5rem',
                gbid: '31011500001320000004'
            }, {
                top: '7.5rem',
                left: '1.1rem',
                gbid: '31011500001320000010'
            }, {
                top: '7.5rem',
                left: '3.2rem',
                gbid: '31011500001320000008'
            }, {
                top: '7.65rem',
                left: '5.6rem',
                gbid: '31011500001320000077'
            }, {
                top: '7.4rem',
                left: '7.35rem',
                gbid: '31011500001320000015'
            }, {
                top: '7.65rem',
                left: '8.7rem',
                gbid: '31011500001320000011'
            }, {
                top: '6.38rem',
                left: '1.85rem',
                gbid: '31011500001320000003'
            }, {
                top: '6.6rem',
                left: '2.5rem',
                gbid: '31011500001320000009'
            }, {
                top: '6.6rem',
                left: '4.5rem',
                gbid: '31011500001320000006'
            }, {
                top: '6.6rem',
                left: '6.1rem',
                gbid: '31011500001320000001'
            }, {
                top: '7rem',
                left: '2.82rem',
                gbid: '31011500001320000005'
            }, {
                top: '7rem',
                left: '4.8rem',
                gbid: '31011500001320000002'
            }, {
                top: '7.3rem',
                left: '3.8rem',
                gbid: '31011500001320000007'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/zhoupu_huiyi.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
