<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>三号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/zp">三号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>49</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>47</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.3rem',
                left: '0.65rem',
                gbid: '31011500001320000477'
            }, {
                top: '0.3rem',
                left: '1.65rem',
                gbid: '31011500001320000481'
            }, {
                top: '0.3rem',
                left: '2.67rem',
                gbid: '31011500001320000485'
            }, {
                top: '0.3rem',
                left: '3.7rem',
                gbid: '31011500001320000489'
            }, {
                top: '0.3rem',
                left: '4.7rem',
                gbid: '31011500001320000493'
            }, {
                top: '0.3rem',
                left: '5.7rem',
                gbid: '31011500001320000461'
            }, {
                top: '0.3rem',
                left: '6.75rem',
                gbid: '31011500001320000465'
            }, {
                top: '0.3rem',
                left: '7.78rem',
                gbid: '31011500001320000469'
            }, {
                top: '0.3rem',
                left: '8.78rem',
                gbid: '31011500001320000473'
            }, {
                top: '0.3rem',
                left: '9.78rem',
                gbid: '31011500001320000657'
            }, {
                top: '1.8rem',
                left: '0.65rem',
                gbid: '31011500001320000476'
            }, {
                top: '1.8rem',
                left: '1.65rem',
                gbid: '31011500001320000480'
            }, {
                top: '1.8rem',
                left: '2.67rem',
                gbid: '31011500001320000484'
            }, {
                top: '1.8rem',
                left: '3.7rem',
                gbid: '31011500001320000488'
            }, {
                top: '1.8rem',
                left: '4.7rem',
                gbid: '31011500001320000492'
            }, {
                top: '1.8rem',
                left: '5.7rem',
                gbid: '31011500001320000460'
            }, {
                top: '1.8rem',
                left: '6.75rem',
                gbid: '31011500001320000464'
            }, {
                top: '1.8rem',
                left: '7.78rem',
                gbid: '31011500001320000468'
            }, {
                top: '1.8rem',
                left: '8.78rem',
                gbid: '31011500001320000472'
            }, {
                top: '1.8rem',
                left: '9.78rem',
                gbid: '31011500001320000656'
            }, {
                top: '3.7rem',
                left: '0.65rem',
                gbid: '31011500001320000478'
            }, {
                top: '3.7rem',
                left: '1.65rem',
                gbid: '31011500001320000482'
            }, {
                top: '3.7rem',
                left: '2.67rem',
                gbid: '31011500001320000486'
            }, {
                top: '3.7rem',
                left: '3.7rem',
                gbid: '31011500001320000490'
            }, {
                top: '3.7rem',
                left: '4.7rem',
                gbid: '31011500001320000458'
            }, {
                top: '3.7rem',
                left: '5.7rem',
                gbid: '31011500001320000462'
            }, {
                top: '3.7rem',
                left: '6.75rem',
                gbid: '31011500001320000466'
            }, {
                top: '3.7rem',
                left: '7.78rem',
                gbid: '31011500001320000470'
            }, {
                top: '3.7rem',
                left: '8.78rem',
                gbid: '31011500001320000474'
            }, {
                top: '5.1rem',
                left: '0.65rem',
                gbid: '31011500001320000479'
            }, {
                top: '5.1rem',
                left: '1.65rem',
                gbid: '31011500001320000483'
            }, {
                top: '5.1rem',
                left: '2.67rem',
                gbid: '31011500001320000487'
            }, {
                top: '5.1rem',
                left: '3.7rem',
                gbid: '31011500001320000491'
            }, {
                top: '5.1rem',
                left: '4.7rem',
                gbid: '31011500001320000459'
            }, {
                top: '5.1rem',
                left: '5.7rem',
                gbid: '31011500001320000463'
            }, {
                top: '5.1rem',
                left: '6.75rem',
                gbid: '31011500001320000467'
            }, {
                top: '5.1rem',
                left: '7.78rem',
                gbid: '31011500001320000471'
            }, {
                top: '5.1rem',
                left: '8.78rem',
                gbid: '31011500001320000475'
            }, {
                top: '2.1rem',
                left: '10.95rem',
                gbid: '31011500001320000498'
            }, {
                top: '4.5rem',
                left: '10rem',
                gbid: '31011500001320000496'
            }, {
                top: '6.5rem',
                left: '8.75rem',
                gbid: '31011500001320000497'
            }, {
                top: '6.5rem',
                left: '5.2rem',
                gbid: '31011500001320000494'
            }, {
                top: '6.6rem',
                left: '3.7rem',
                gbid: '31011500001320000501'
            }, {
                top: '5.6rem',
                left: '1.6rem',
                gbid: '31011500001320000500'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011500001320000504'
            }, {
                top: '7.4rem',
                left: '0.8rem',
                gbid: '31011500001320000499'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011500001320000503'
            }, {
                top: '7.4rem',
                left: '5.2rem',
                gbid: '31011500001320000495'
            }, {
                top: '2.75rem',
                left: '10.25rem',
                gbid: '31011500001320000502'
            }
        ],
        'arr2': [
            {
                top: '0.3rem',
                left: '0.65rem',
                gbid: '31011500001320000524'
            }, {
                top: '0.3rem',
                left: '1.65rem',
                gbid: '31011500001320000528'
            }, {
                top: '0.3rem',
                left: '2.67rem',
                gbid: '31011500001320000532'
            }, {
                top: '0.3rem',
                left: '3.7rem',
                gbid: '31011500001320000536'
            }, {
                top: '0.3rem',
                left: '4.7rem',
                gbid: '31011500001320000540'
            }, {
                top: '0.3rem',
                left: '5.7rem',
                gbid: '31011500001320000508'
            }, {
                top: '0.3rem',
                left: '6.75rem',
                gbid: '31011500001320000512'
            }, {
                top: '0.3rem',
                left: '7.78rem',
                gbid: '31011500001320000516'
            }, {
                top: '0.3rem',
                left: '8.78rem',
                gbid: '31011500001320000520'
            }, {
                top: '0.3rem',
                left: '9.78rem',
                gbid: '31011500001320000659'
            }, {
                top: '1.8rem',
                left: '0.65rem',
                gbid: '31011500001320000523'
            }, {
                top: '1.8rem',
                left: '1.65rem',
                gbid: '31011500001320000527'
            }, {
                top: '1.8rem',
                left: '2.67rem',
                gbid: '31011500001320000531'
            }, {
                top: '1.8rem',
                left: '3.7rem',
                gbid: '31011500001320000535'
            }, {
                top: '1.8rem',
                left: '4.7rem',
                gbid: '31011500001320000539'
            }, {
                top: '1.8rem',
                left: '5.7rem',
                gbid: '31011500001320000507'
            }, {
                top: '1.8rem',
                left: '6.75rem',
                gbid: '31011500001320000511'
            }, {
                top: '1.8rem',
                left: '7.78rem',
                gbid: '31011500001320000515'
            }, {
                top: '1.8rem',
                left: '8.78rem',
                gbid: '31011500001320000519'
            }, {
                top: '1.8rem',
                left: '9.78rem',
                gbid: '31011500001320000658'
            }, {
                top: '3.7rem',
                left: '0.65rem',
                gbid: '31011500001320000525'
            }, {
                top: '3.7rem',
                left: '1.65rem',
                gbid: '31011500001320000529'
            }, {
                top: '3.7rem',
                left: '2.67rem',
                gbid: '31011500001320000533'
            }, {
                top: '3.7rem',
                left: '3.7rem',
                gbid: '31011500001320000533'
            }, {
                top: '3.7rem',
                left: '4.7rem',
                gbid: '31011500001320000505'
            }, {
                top: '3.7rem',
                left: '5.7rem',
                gbid: '31011500001320000509'
            }, {
                top: '3.7rem',
                left: '6.75rem',
                gbid: '31011500001320000513'
            }, {
                top: '3.7rem',
                left: '7.78rem',
                gbid: '31011500001320000517'
            }, {
                top: '3.7rem',
                left: '8.78rem',
                gbid: '31011500001320000521'
            }, {
                top: '5.1rem',
                left: '0.65rem',
                gbid: '31011500001320000526'
            }, {
                top: '5.1rem',
                left: '1.65rem',
                gbid: '31011500001320000530'
            }, {
                top: '5.1rem',
                left: '2.67rem',
                gbid: '31011500001320000534'
            }, {
                top: '5.1rem',
                left: '3.7rem',
                gbid: '31011500001320000538'
            }, {
                top: '5.1rem',
                left: '4.7rem',
                gbid: '31011500001320000506'
            }, {
                top: '5.1rem',
                left: '5.7rem',
                gbid: '31011500001320000510'
            }, {
                top: '5.1rem',
                left: '6.75rem',
                gbid: '31011500001320000514'
            }, {
                top: '5.1rem',
                left: '7.78rem',
                gbid: '31011500001320000518'
            }, {
                top: '5.1rem',
                left: '8.78rem',
                gbid: '31011500001320000522'
            }, {
                top: '2.1rem',
                left: '10.95rem',
                gbid: '31011500001320000544'
            }, {
                top: '6.5rem',
                left: '8.75rem',
                gbid: '31011500001320000543'
            }, {
                top: '6.5rem',
                left: '5.2rem',
                gbid: '31011500001320000541'
            }, {
                top: '6.5rem',
                left: '2.65rem',
                gbid: '31011500001320000546'
            }, {
                top: '7.3rem',
                left: '1.7rem',
                gbid: '31011500001320000550'
            }, {
                top: '7.4rem',
                left: '0.8rem',
                gbid: '31011500001320000545'
            }, {
                top: '7.4rem',
                left: '11.3rem',
                gbid: '31011500001320000549'
            }, {
                top: '7.4rem',
                left: '5.2rem',
                gbid: '31011500001320000542'
            }, {
                top: '2.75rem',
                left: '10.25rem',
                gbid: '31011500001320000548'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/zhoupu_there' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
